Online resources

Use these online resources to learn how to make the best use of WS_FTP.

Getting Started Guide (PDF) This quick start takes you through the initial installation and connection to an FTP server.

Tools Guide (PDF) This guide explains options only available in WS_FTP Professional. It covers advanced features such as Batch Mode, using the Transfer Manager, and the Find, Synchronize, Backup, Scheduler, Script, and command line utilities.

Security Guide (PDF) Covers the security protocols that work with WS_FTP, including File Transfer Integrity, SSL, SSH, and OpenPGP, and how to work with firewalls.


Frequent questions

In This Section

How do I save a site after I've entered it in the Address bar

What are Hotdrops, and how do I use them?

What is Active Edit, and how do I use it? (WS_FTP Professional)

How do I make my website using WS_FTP?

How do I select a default site?

What is passive mode?

What are the differences between the server types on the Site Options tab?

How do I determine if I should use ASCII, Binary, or Auto Detect for transfers?

When/How do I configure the Firewall tab?

How do I select SSL certificates for different sites?

What is the difference between SSH and SSL?

How do I make a backup of my WS_FTP program?

What are workspaces and how do I use them? (WS_FTP Professional)


How do I save a site after I've entered it in the Address bar

The Address bar can be used in two ways to connect to an FTP server:

  • Type the address directly into the Address bar - If you type the address alone (ex. ftp.ipswitch.com), WS_FTP attempts to make an anonymous connection to the server. If you have a user name and password for the server, enter them in the boxes following the address field, after entering the ftp address in the address box. You can also enter the user name and password in front of the address in this format: username:password@ftp.ipswitch.com:port/path.
  • Use the list box to select a recently visited site - When you connect to a site, a record of that connection is stored in the list box. You can connect to that site by selecting the entry. WS_FTP attempts to connect using the same options defined when the site was last visited. Only server address, user name, and password are saved in the Address bar.

Note:You can customize the Address bar. To make changes, click the arrow at the end of the Address bar, then select Add or remove buttons.

Note:You can make an SSL or SSH connection by selecting the type of secure connection from the lock icon next to the address box.

Saving a site entered on the Address Bar

  1. Right-click on the connection tab and select Add to Site Manager.
  2. Enter a name for the site.

When you complete the wizard, the FTP site is added to the Site Manager.


What are Hotdrops, and how do I use them?

HotDrops are shortcuts to remote directories that you can create anywhere on your local system. They appear in the Send To > WS_FTP HotDrops menu with the remote directory name.

You can drag files and folders to the icon and drop them. The files and folders will then be automatically uploaded to that site. The Transfer Manager shows the progress of the transfers.

If you double-click on the file, WS_FTP launches and automatically connects to the site and navigates to the local and remote folders that you identify when you set up the hotdrop.

To set up a HotDrop:

  1. Connect to a remote site.
  2. Navigate to the directory you want to use as your HotDrop destination.
  3. Right-mouse click in the remote pane and select Create HotDrop. The Create HotDrop dialog appears.
  4. Verify or enter the location of the destination in the Destination Folder box.
  5. Enter the local folder WS_FTP opens when you open this hotdrop from the shell.
  6. Click OK.
  7. Select where you want to save the HotDrop file, and what you want to call it.
  8. Click Save.

You can synchronize files using the HotSync feature which works in much the same way as the HotDrop feature. For more details see Using HotSync.


What is Active Edit, and how do I use it? (WS_FTP Professional)

The active edit feature allows you to edit remote files quickly and without having to actively transfer them before and after editing.

Once active edit has been configured for an extension, you can launch the file on the remote system.

To use active edit on a remote file:

  1. Configure an editor and extension.
  2. Select the file you want to edit.
  3. Click Edit from the command bar, or right-mouse click on the file and select Operations > Edit.
  4. The file launches in the associated application.

To display information about active edits:

  • Select the Active Edit Manager button on the toolbar. (This option is only available if the application is currently editing remote files).

To edit a local file:

  1. Select the file you want to edit.
  2. Click Edit from the command bar, or right-click on the file and select Open.

The file launches in the associated application.


How do I make my website using WS_FTP?

If you are building a website, you will need tools for web site development. File transfer (WS_FTP) can help you manage files for your website, after the site is established.


How do I select a default site?

With WS_FTP, you can select a site from your list and make it your default site. You can then use the automatic reconnect feature to have WS_FTP connect to that site when you start the application.

To select a default site

  1. In the toolbar, click Connect to open the Site Manager.
  2. Right-click on the site name, then select Default Site.

Related Topics

Automatic Reconnect

Connecting to a Default Site


What is passive mode?

Normally, when you connect to an FTP site, the site establishes the data connection to your PC (the client). However, if the site allows passive transfers, you can have your PC establish the data connection.

We recommend that you use passive mode for most transfers. Note that passive mode may be required for users who are behind some types of router-based firewalls or behind a gateway requiring passive transfers.


What are the differences between the server types on the Site Options tab?

How to get to the Site Options Dialog

  1. In the tool bar, click Connect (or select Connections > Site Manager) to open the Site Manager.
  2. Select a remote site and click Edit. The Site Options dialog appears.
  3. In the left pane, select a properties category.

You can also get to Site Options by right-clicking on an open tab of a remote connection and selecting Properties.

Advanced options for a site:

  • Server Type - Select the type of server/connection you need. The administrator of the server to which you are connecting will need to tell you which server type is being run, particularly if they are using a secure transfer protocol. The types are described below:
    • FTP - File Transfer Protocol. This is the default setting and is the correct choice for most users. The default port for FTP Is port 21.
    • FTP/SSL (AUTH SSL) - FTP in explicit SSL mode encrypts the command channel.
    • FTPS/Implicit SSL - FTP in implicit SSL mode encrypts the login as well as the command channel.
    • HTTP - Hypertext Transfer Protocol. Allows you to upload or download files over the standard World Wide Web ports and protocols. You cannot transfer folders via HTTP connection.
    • HTTPS - Secure Hypertext Transfer Protocol. Allows you to upload or download files over the standard World Wide Web ports and protocols with SSL encryption.

      If you select the HTTP or HTTPS type, the administrator for the server needs to have directory listings enabled, otherwise you will connect to the home folder, but will not see folders and files.

  • SFTP/SSH - Secure File Transfer Protocol. If the server you are connecting to is an SSH server, select this from the pull-down menu. When you connect to the server, SSH will automatically be initiated. The default port for SFTP/SSH is 22. (WS_FTP Professional)
  • Host Type - If you know the host type, select it from the list. If you do not know, try Automatic detect. Each type of server stores its directory and file information in a unique way. The host type helps WS_FTP read and display the directory information from the various types of servers. If you want to find the host type, use the procedure in the topic Determining the host type.
  • Firewall - If you have configured a [image] firewall , select the firewall configuration from the list. For more information on how to configure firewalls, see Program Options: Firewall.

    Some organizations separate their local networks from the rest of the Internet by installing a "firewall" or "gateway." A firewall is a system or software which is configured to prevent particular types of access/information from entering the network. Most firewalls block the flow into the local area network, but allow individuals to access most resources outside of the network.

    WS_FTP lets you enter information about a firewall into a firewall configuration, which you can then use when connecting to an FTP site from behind that firewall. You can configure the firewall once, and then assign that firewall configuration to whatever sites need to use it.

    Multiple Firewalls

    There are several reasons you might want to create more than one firewall configuration. If you use a laptop computer in different locations that have different firewalls, you will want to set up a firewall configuration for each location, so you can switch to the appropriate firewall configuration when you are in each location.

    Another reason you might want to set up multiple firewall configurations is that your network could have more than one router configured as a firewall. In this case, you would assign a different firewall configuration to an FTP site depending on which part of the network you are working from.

    Furthermore, you might have a number of "trusted sites" (for example, FTP sites set up by your own company) for which you would use a different firewall (or no firewall).

  • Use Passive mode for data connections - Turn this on if you want your PC to establish the data connection to the FTP site instead of the site establishing the data connection to your PC. This is recommended for most FTP sites, and it is absolutely necessary for some firewall and gateway configurations and when you get failed data channel errors. Note, however, that not all FTP sites support passive mode.
  • Force passive connections to use host address - Turn this on if you want WS_FTP to always use the IP address used on the control channel, even if the server returns another IP address..
  • Disable Directory Caching - Select this option to have WS_FTP refresh the directory listing every time the directory is accessed, including after transfers.
  • Verify Deletions - When you attempt to delete a file, you can have WS_FTP display a dialog box that confirms the deletion; this gives you a chance to change your mind, or to cancel a deletion you initiated by mistake.
  • Connection retries - Number of times to retry establishing a connection if the first connection attempt fails. This can be from 0 to 40 times.
  • Connection retry delay - Amount of time between WS_FTP retries establishing a connection if the first connection attempt fails. This can be from 5 to 300 seconds.
  • Network timeout - This is the number of seconds (from 5 to 3600) before WS_FTP times out waiting for an FTP site to respond to a command.

    The initial connection timeout is determined by your [image] Winsock DLL . Setting this value higher does not have any effect on the initial connection to the FTP site. Setting it to less than the amount of time than your Winsock DLL uses will cause the connection to fail in that amount of seconds.

    The Winsock (Windows Sockets) dynamic link library is a specification for the Microsoft Windows API (applications programming interface). Software providers use Winsock as a guideline for developing network software.

  • Remote port - This is the port to connect to on the FTP site. This is normally 21; however, it may be something different if you are passing through a firewall, or if the site administrator has assigned the FTP service to a non-standard port.

Keep alive - The number of seconds (from 10 to 3600) that WS_FTP will wait before issuing a command to the FTP server to keep the connection alive. To disable this option, enter 0.


How do I determine if I should use ASCII, Binary, or Auto Detect for transfers?

Files can be transferred in ASCII, binary, or "Auto" mode.

A file that is text, HTML, postscript, other ASCII format (.txt, .html, .htm, .cgi), or [image] EBCDIC should be transferred in ASCII mode .

Extended Binary Coded Decimal Interchange Code. EBCDIC is an 8-bit binary code for larger IBM computers in which each byte represents one alphanumeric character or two decimal digits. Control commands are also represented. EBCDIC is similar to ASCII code, which is used on most other computers.

Transferring a binary file in ASCII format can damage the file.

A file that is a bitmap, an executable, or compressed (.bmp, .jpg, .exe, .zip) should be transferred in [image] binary mode . (Binary mode should also be used if there is no file extension or the file extension is not registered.)

The binary transfer mode transfers a file as an exact copy of the original, and should be used for transferring all binary files, including bitmaps, executables, or compressed files (.bmp, .jpg, .exe, .zip).

(Binary mode contrasts with ASCII mode which treats a file as text, translating the end-of-line characters during transfer.)

If you select Auto mode, WS_FTP checks to see if the file has an extension that is listed on the ASCII Filenames dialog. If so, ASCII mode is used; if not, binary mode is used.

Selecting the Transfer Mode

You can set the startup transfer mode for a site, folder, or the application. Or you can select the transfer mode for a particular transfer as follows:

  1. Select the file(s) you want to transfer.
  2. Select the transfer mode.

Click the Upload or Download arrow.


When/How do I configure the Firewall tab?

To enter firewall information, you will need to get information about your firewall from your network administrator. For more information, see Firewall types and required information for WS_FTP.

  1. In the toolbar, select Options.
  2. In the left pane, select Firewall.
  3. Click New. The Firewall Properties dialog appears.
  4. Enter the required firewall information and click OK. Once it is complete, the firewall entry appears in the Configured Firewalls box.

You can now assign the firewall configuration to the site, by selecting the name of the configured firewall from the list on the Advanced tab of the Site Options dialog. For more directions on how to do this, see Using a configured firewall.


How do I select SSL certificates for different sites?

You can select SSL certificates created or imported by WS_FTP on a per-site basis.

To select a SSL cetificate:

  1. From the Site Manager, select the site in the Sites list.
  2. Click Edit.
  3. Select the SSL item.
  4. In the Client certificate box, select the certificate you want to use for that site.
  5. Click OK.


What is the difference between SSH and SSL?

With both SSL and SSH, it is up to the administrator of the server you are trying to make a connection with to tell you which server type is being run at that address. If you do not know, and attempt to make an SSL connection or an insecure connection to an SSH server, the connection will fail, even if you change the port to 22 in the Site Profile.

  • SSL - Secure Sockets Layer generally uses port 21.
  • SSH - Secure Shell generally uses port 22. (WS_FTP Professional)

Related Topics

What is SSH?

SSL vs Implicit SSL

How to make an SSL connection

How to make an SSH connection


How do I make a backup of my WS_FTP program?

To make a backup of your WS_FTP program, see our Knowledge Base article.


What are workspaces and how do I use them? (WS_FTP Professional)

Workspaces allow you to switch quickly between frequently- accessed groups of connections and local tabs. At any point, you can save the current connections and folder views in a workspace so that you can return to them quickly at a later time.

When you save a workspace, the following items are saved:

  • Connection tabs, including the current folder
  • Appearance of navigation and command bars
  • File masks
  • Sort orders
  • Widths of columns
  • Any comments you have made in the Workspace Manager comment box.

Workspaces can be managed via the Workspace bar.


Basics

In This Section

What is WS_FTP?

What do you need to start?

Getting started

WS_FTP Features

WS_FTP requirements, patches, versions


What is WS_FTP?

WS_FTP is the leading file transfer client with millions of users worldwide. You can easily and securely transfer files between your home and office and to and from customers, clients, or vendors.

How WS_FTP Works

When your computer is connected to the Internet, WS_FTP can connect to any computer that has a valid Internet address and is running an FTP, SFTP, or HTTP server program. After a connection is established, you can upload files and folders to the file transfer server, and download files and folders from the server.

Using WS_FTP

When connected to a server, WS_FTP displays the contents of your local computer on the left and the contents of the remote server on the right. WS_FTP provides powerful transfer management tools that are easily accessible and customizable.

The main screen for WS_FTP LE and WS_FTP Professional both show the local and remote file lists in separate, side-by-side views. The WS_FTP Professional main screen includes advanced security and productivity features, some of which are highlighted below.

FTP Pro main screen with callouts


What do you need to start?

You must obtain the following information, usually from the FTP server administrator or your Internet service provider, to make a connection:

  • Server Address can be either the host name (for example, ftp.ipswitch.com) or the IP address (156.21.50.255) of the server.
  • User Name
  • Password


Getting started

To make a connection to a remote server and transfer a file:

  1. Making the First Connection. When WS_FTP is first opened, the New Connection wizard helps you connect to an FTP, SSH, or HTTP/S server, providing instructions and examples on each screen. The wizard also saves the connection, similar to saving a favorite, so that you can easily re-connect later. (If the wizard is not displayed, from the Connections menu, select New Connection).
  2. Transferring a File. After you have connected to a server, you can transfer files in one of three ways:
    • Transfer Arrows. Select a file, then click the arrow that points away from the pane that file is in to transfer it.
    • Drag and Drop. Click on a file and hold the left mouse button while you drag the file to where you want to transfer it. Select multiple files by holding down the Ctrl key while selecting.
    • Copy and Paste. Right-click on a file and select Copy. Then, right-click where you want to transfer the file and select Paste.


WS_FTP Features

The basic features of WS_FTP allow you to:

  • Connect your PC to a remote [image] FTP site

    An FTP site consists of an FTP server program located on an Internet host computer.

    Many companies and organizations maintain FTP sites (also known as "FTP servers"). These can be:

    • File repositories from which you can copy files such as free programs and evaluation versions of software. WS_FTP provides a number of popular FTP sites that have already been configured for you. When you connect to an FTP site like this, look for a file called readme, readme.txt, index, or 00index. Such files provide descriptions of the resources available on the site as well as other useful information.
    • File repositories where you can place files for use by others. (For example, a site on which you place your Web site pages for your ISP, or a site on which you place a photograph file for use in an on- line auction.)
  • Browse files and folders on both the FTP site and your PC
  • Copy and move files between your PC and an FTP site
  • Save and organize connection parameters for your favorite FTP sites
  • Resume interrupted file transfers
  • Automatically retry failed transfers
  • Browse remote and local sites with thumbnail view
  • Auto-connect to remote sites on application start-up
  • Display local and remote image files as thumbnails.
  • Find local files and folders that meet certain criteria using the WS_FTP local search utilities

The following advanced features are available in WS_FTP Professional:

  • Make a secure connection (with SSL or SSH) so that all data is encrypted as it is transferred
  • Copy files from one FTP site to another
  • Track and save the folder paths you visit for quick access another time (via workspaces)
  • Perform multiple file transfers using the WS_FTP Transfer Manager
  • Transfer a single file in multiple parts
  • Append a file to another file on the other system (Professional version)
  • Schedule large files for download at a later, non-peak time or schedule regular transfers with the WS_FTP Scheduler Utility
  • Find remote files and folders that meet certain criteria using the WS_FTP remote search utilities
  • Synchronize directory structures between your PC and an FTP site using the WS_FTP Synchronize Utility
  • Synchronize two remote sites
  • Back up files between your file directories and FTP sites
  • Validate that transferred files have not been compromised between the source and destination sites
  • Integrate WS_FTP with your browser for faster downloading of files from the Web
  • Encrypt files during transfer, and in storage using OpenPGP
  • Perform actions (delete, rename, move) on files when the transfer is completed


WS_FTP requirements, patches, versions

In This Section

12.4 System Requirements

Other WS_FTP Products

Download Patches

Contacting Ipswitch


12.4 System Requirements

Supported operating systems

WS_FTP supports the following Operating Systems:

  • Microsoft Windows 8 (32-bit and 64-bit English and German editions)
  • Microsoft Windows 7 (32-bit and 64-bit English and German editions)
  • Microsoft Windows Vista (32-bit English and German editions); Service Pack 2 (SP2) recommended
  • Microsoft Windows XP Professional (32-bit English and German editions); Service Pack 3 (SP3) recommended
  • Microsoft Windows 2008 Server Standard (32-bit English edition); Service Pack (SP2) recommended

Hardware requirements

Minimum requirements based on Windows XP Professional, SP3:

  • 233 megahertz (MHz) processor
  • 64 megabytes (MB) of memory
  • 2 gigabytes (GB) hard drive and 50 MB free disk space during installation


Other WS_FTP Products

WS_FTP Server, WS_FTP Server with SSH, the WS_FTP Server Web Transfer Module, and the WS_FTP Server Ad Hoc Transfer Module must be purchased separately.


Download Patches

Ipswitch occasionally makes patches and upgrades available on our Web site. Note that product upgrades to extend capabilities are also available from the same locations, but you should note that most upgrades require a valid service agreement.

To access patches on the Ipswitch Web site:

  1. In your Web browser, go to the Patches and Upgrades page, and then click the link for your platform type. (http://www.ipswitchft.com/support/ws_ftp_professional/releases/patches.asp)
  2. Save the patch file to a location other than your WS_FTP folder or your Temp folder.
  3. Run the patch file to update the software.


Contacting Ipswitch

For the latest Ipswitch product news, software updates, and ordering information, visit our Web site at http://www.ipswitchft.com.

For technical support for purchased products, please visit: http://www.ipswitchft.com/support/WsFtpPro/.

For support for WS_FTP LE, please visit: http://www.wsftple.com

For specific questions not covered in the documentation, please visit our Knowledge Base at: http://ipswitchft.force.com/kb/knowledgeHome.

To submit your comments and suggestions, send e-mail to feedback@ipswitch.com.

For general inquiries about Ipswitch, send e-mail to info@ipswitch.com.

For evaluation software questions, send e-mail to evalhelp@ipswitch.com.

Product Sales and Customer Service

For contact information for:

  • Direct, Reseller and OEM sales
  • Customer service: rrder status, delivery, and billing

go to:

http://www.wsftp.com/company/contact.asp


Configuring sites

In This Section

Configuring a new FTP site

Changing the name of a site configuration

Changing the host name or address

Changing the host type

Connecting to a WS_FTP Server

Connecting to a MOVEit DMZ Server

Connecting to a MOVEit DMZ Server using HTTPS (WS_FTP Professional)

Commenting on an FTP site

Deleting a configured site

Organizing sites in folders

Setting a default e-mail address for anonymous logins

Setting folder properties


Configuring a new FTP site

  1. From the Connections menu, select New Connection. The Connection Wizard opens.
  2. Follow the directions in the Connection Wizard.

When you are finished, WS_FTP connects to the site.

The site information is saved. To edit site options, click Connect to open the Site Manager. Then select the site and click Edit.


Making an SSL connection

Making an SSL connection requires little additional configuration to new or existing site profiles.

When creating a new site profile through the Connection Wizard, change the Server Type to FTP/SSL, or FTP/Implicit SSL when prompted by the wizard.

If editing an existing site profile:

  1. In the toolbar, click Connect to open the Site Manager.
  2. Select the site from the configured sites list, then click Edit. The Site Options dialog appears.
  3. Select Advanced.
  4. In Server type, select FTP/SSL, or FTP/Implicit SSL server type. Click OK.

    For a description of the different SSL types, see SSL vs Implicit SSL.

  5. Click Connect to connect to the site. WS_FTP 'tells' the server that you want to make an SSL connection. The server then transmits an identifying certificate, letting the client know who the server is. If that certificate is already listed in the client's Trusted Authority database, the connection will be made.
  6. If that certificate is not listed as a trusted authority, the Non-Trusted Authority window will appear.
  7. Select the option you need and click OK. If the server does not require a certificate to be returned, the secure connection will be established. All data transmitted between you and the server will be encrypted.

If you are attempting to make a connection to a server which asks WS_FTP to send back a certificate, follow the directions for Client Certificate Verification.


Making an HTTP/S connection

You can connect to and transfer files over HTTP/S connections with Microsoft IIS and Apache web servers. Full file and folder listings and navigation is supported on these servers.

Making an HTTP or HTTPS connection requires little additional configuration to new or existing site profiles.

When creating a new site profile through the Connection Wizard, change the Server Type to HTTP or HTTPS when prompted by the wizard.

If editing an existing site profile:

  1. In the toolbar, click Connect to open the Site Manager.
  2. Select the site from the configured sites list, then click Edit. The Site Options dialog appears.
  3. Select Advanced.
  4. In Server type, select HTTP or HTTPS. Click OK.
  5. Click OK to close the Site Options dialog.
  6. Click Connect to connect to the site.


Making an SSH connection (WS_FTP Professional)

Making an SSH connection requires little additional configuration to new or existing site profiles.

When creating a new site profile through the Connection Wizard, change the Server Type to SFTP/SSH when prompted by the wizard.

If editing an existing site profile:

  1. In the toolbar, click Connect to open the Site Manager.
  2. Select the site from the configured sites list, then click Edit. The Site Options dialog appears.
  3. Select Advanced.
  4. In Server type, select SFTP/SSH. Click OK.
  5. Select an authentication method:
    • Password - If your server uses password authentication, then setup is complete. The next time you log onto this site, SSH will be used to secure the connection.
    • Public Key - If your server uses public key authentication, select Advanced > SSH. Select the correct key pair from SSH Keypair. If no key pairs are available, you can create one.
    • Keyboard Interactive - If your server is configured to use keyboard interactive authentication, the server will ask for the user's input. WS_FTP Professional will present a dialog automatically asking the user for a password, answer to a security question, etc., depending on the server's security settings.

      Note:If you select Keyboard Interactive authentication, then manual user input is required. This means that automated file synchronization processes will require a user's real-time interaction (in contrast to the other methods, which automatically access a stored password or key file).

  6. Click OK to close the Site Options dialog.
  7. Click Connect to connect to the site.

When you use that profile to make a connection, the client will automatically attempt to make an SFTP/SSH connection on port 22 of that server.

Use the Tools > Options > SSH dialog to select which Ciphers/MAC (Message Authentication Code) to be used with an SSH connection.


Changing the name of a site configuration

The Site Name is a name you assign to an FTP site for your own convenience; this is the name you select from the list of configured sites. The Site Name is limited to 78 characters.

  1. In the toolbar, click Connect to open the Site Manager.
  2. Click Rename or right-click the site and select Rename from the shortcut (right-click) menu.
  3. Enter a new [image] Site Name . (This name can be different from the [image] Host Name.)

    Every system (computer) on the Internet has an official host name and Internet (IP) address. In order to connect to an FTP site, you must find out the official name or address of the site. For example, a system might have a host name of superserv.ipswitch.com and an IP address of 123.124.125.126. In WS_FTP, you can use either the host name or the IP address to specify a particular FTP site.

    Examples

    • For most large, well- known companies, their FTP sites are named "ftp.companyname.com" (e.g. ftp.microsoft.com, ftp.adobe.com, and ftp.aol.com)
    • To get the name or address of a popular FTP site, use a search engine such as Lycos.com or Yahoo.com to search for the name. Or, try replacing the "www" portion of the organization's URL with "ftp", for example replace www.ipswitch.com with ftp.ipswitch.com. Or simply call the company and ask for the name of their FTP site.
    • If you want to connect to an FTP site maintained by your Internet Service Provider (ISP), your ISP will provide you with an FTP name or address that looks something like: ftp.ipswitch.com or 156.22.3.1.

    This is the name of the FTP site information you are saving, and can be anything you desire (Note: You must use either letters or numbers in the name. No special characters, punctuation marks, or brackets can be used). It identifies the connection you are creating and is the name you will choose from your list of configured sites. The length of this name is limited to 78 characters. This name can (and should) be different than the Host Name/Address!

    Tip:You can right-click on the tab of a saved site and select Rename to quickly rename the site.


Changing the host name or address

Every system (computer) on the Internet has an official host name and IP address. To connect to an FTP site, you must find out the official name or address of the site.

For example, to get the name or address of a popular FTP site, use a search engine such as Google.com or Yahoo.com to search for the name. Or, try replacing the "www" portion of the organization's [image] URL with "ftp", for example replace www.ipswitch.com with ftp.ipswitch.com. Or simply call the company and ask for the name of their FTP site.

Uniform Resource Locator (URL). An Internet address which tells a browser where to find an Internet resource. For example, the URL for the Ipswitch Web site is http://www.ipswitch.com/

Or, if you want to connect to an FTP site maintained by your Internet Service Provider (ISP), your ISP will provide you with an FTP name or address that looks something like: ftp.wsftpnet.com or 156.50.3.1.

  1. In the toolbar, click Connect to open the Site Manager.
  2. Select the site in the Sites list.
  3. Click Edit. The Site Options dialog appears.
  4. In the Host Name box, edit the host name or IP address.

This is either a fully qualified Internet [image] host name or IP address .

Every system (computer) on the Internet has an official host name and Internet (IP) address. In order to connect to an FTP site, you must find out the official name or address of the site. For example, a system might have a host name of superserv.ipswitch.com and an IP address of 123.124.125.126. In WS_FTP, you can use either the host name or the IP address to specify a particular FTP site.

Examples

  • For most large, well- known companies, their FTP sites are named "ftp.companyname.com" (e.g. ftp.microsoft.com, ftp.adobe.com, and ftp.aol.com)
  • To get the name or address of a popular FTP site, use a search engine such as Lycos.com or Yahoo.com to search for the name. Or, try replacing the "www" portion of the organization's URL with "ftp", for example replace www.ipswitch.com with ftp.ipswitch.com. Or simply call the company and ask for the name of their FTP site.
  • If you want to connect to an FTP site maintained by your Internet Service Provider (ISP), your ISP will provide you with an FTP name or address that looks something like: ftp.ipswitch.com or 156.22.3.1.

Tip:You can also access the Site Options dialog by right- clicking on the site's tab and selecting Properties.


Changing the host type

The host type is usually the manufacturer and model of the FTP server (the physical device on which the FTP site resides). For a complete list of host types supported by WS_FTP, go to the Knowledge Base on the Ipswitch Web site and search for "host type."

  1. In the toolbar, click Connect to open the Site Manager.
  2. Select the site in the Sites list.
  3. Click Edit. The Site Options dialog opens.
  4. Select the Advanced dialog.
  5. Select the Host type:
    • If you know the host type, select it from the list. The Host Type drop-down list shows all host types supported by WS_FTP.
    • If you do not know the host type, WS_FTP can probably detect it for you: try automatic detect

If you want to look up the host type, use the procedure in the topic, Determining the host type.

You can also view a Knowledge Base article that discusses host type connection issues.

Tip:You can also access the Site Options dialog by right-clicking on the site's tab and selecting Properties.


Connecting to a WS_FTP Server

WS_FTP Server provides easy-to-use, secure FTP, SSH, and HTTPS file transfer.

When used with WS_FTP Server, WS_FTP Professional provides:

  • File integrity

    Guarantees that the file uploaded and the file downloaded are identical.

  • Encryption of client-server connections with 256-bit AES encryption.
  • FIPS 140-2 validated cryptography for both client and server.
  • Secure login

    Provides encrypted login credentials between client and server, even over unencrypted FTP.

To connect to WS_FTP Server:

  1. In the Connections menu, select New Connection.
  2. Follow the directions in the Connection Wizard to set the Site name, Connection type, Server address, User name and password.
  3. On the last screen of the wizard (the Finish screen), click Advanced. The Site Options dialog opens.
  4. In the left pane, select Advanced. The Advanced options page opens.

    site options advanced

  5. For Server type, check with the WS_FTP Server administrator to see which type is implemented.
  6. For Host type, select WS_FTP Server, then click OK.
  7. On the Finish screen, make sure Connect to this site is selected, then click Finish. WS_FTP connects to the site and displays the user home folder.


Connecting to a MOVEit DMZ Server

MOVEit DMZ is a highly secure enterprise data transfer server which boasts end-to-end encrypted transfer and storage of data and files and delivers powerful administration and reporting capabilities.

When used with MOVEit DMZ, WS_FTP Professional provides:

  • Automatic end-to-end file non-repudiation

    Non-repudiation ensures the integrity of transferred files and prove who uploaded and who downloaded a specific file.

  • Compression of files

    Automatic file compression and decompression delivers faster transfer speeds.

  • File integrity

    Guarantees that the file uploaded and the file downloaded are identical.

  • Encryption of client-server connections with 256-bit AES encryption.
  • FIPS 140-2 validated cryptography for both client and server.
  • HTTPS optimization

    Transfers over HTTPS use automatic compression, non-repudiation, and file integrity.

To connect to a MOVEit DMZ server:

  1. In the Connections menu, select New Connection.
  2. Follow the directions in the Connection Wizard to set the Site name, Connection type, Server address, User name and password.
  3. On the last screen of the wizard (the Finish screen), click Advanced. The Site Options dialog opens.
  4. In the left pane, select Advanced. The Advanced options page opens.

site options adv dmz

  1. For Server type, check with the MOVEit DMZ administrator to see which type is implemented. MOVEit DMZ is likely to require FTPS, or SSH secure connections.
  2. For Host type, select MOVEit DMZ, then click OK.
  3. On the Finish screen, make sure Connect to this site is selected, then click Finish. WS_FTP connects to the site and displays the user home folder.


Connecting to a MOVEit DMZ Server using HTTPS (WS_FTP Professional)

  1. In the Connections menu, select New Connection.
  2. Follow the directions in the Connection Wizard to set the Site name, Connection type, Server address, User name and password.
  3. On the last screen of the wizard (the Finish screen), click Advanced. The Site Options dialog opens.

    In the left pane, select Advanced. The Advanced options page opens.

  4. For Server type, select HTTPS.
  5. For Host type, select MOVEit DMZ.
  6. On the Finish screen, click Advanced to open the Site Options.
  7. In the Site Options, in the left pane select Startup. Set the Remote site folder to the name of your folder on the HTTP server.

    Note:If MOVEit DMZ is installed on a virtual directory in IIS6, you must enter the virtual directory name along with the IP address or hostname of the MOVEit DMZ server. To do this, in the Site options, select Host Info; in the Host Name box, enter the server and the directory name; for example: 156.212.3.184/virtualdirectoryname

    Then, click Ok to close the Site Options.

  8. On the Finish screen, make sure Connect to this site is selected, then click Finish. WS_FTP connects to the site and displays the user home folder.


Commenting on an FTP site

You can store a comment about the site for your future reference.

  1. In the toolbar, click Connect to open the Site Manager.
  2. From the Site Manager, select the site in the Sites list.
  3. Click Edit.
  4. Enter a Comment about the site in the Host Info dialog.


Deleting a configured site

  1. In the toolbar, click Connect to open the Site Manager.
  2. Select the site.
  3. Click Delete, or press the Delete key on your keyboard.
  4. When prompted, click Yes to delete the site.


Organizing sites in folders

You can organize your configured sites in folders. For example, you might have one folder for FTP sites that offer free games, and another folder for FTP sites from which you download software updates.

  1. In the toolbar, click Connect to open the Site Manager.
  2. In the Site Manager you can:
    • Create new folders for specific sites.
    • Use drag and drop to relocate sites and folders in the Sites list.
    • Use copy and paste to relocate sites and folders in the Sites list.
    • Rename sites and folders.
    • Delete sites and folders.


Setting a default e-mail address for anonymous logins

Some FTP sites support [image] anonymous logins which allow anyone to log onto the site and [image] download files. However, even FTP sites that allow anonymous logins still require a user ID and password; for most anonymous logins, the user ID is the word anonymous and the password is an e-mail address.

Transfer a file to your local PC from an FTP site.

To log on to any FTP site, you must identify yourself with a user ID and password. Some FTP sites let you use the word anonymous as a User ID, and your e-mail address as your password; this is known as an "anonymous login." (All of the Ipswitch preconfigured FTP sites are set up as anonymous logins.)

FTP sites that allow anonymous logins usually exist to provide files that can be downloaded by the general public; anyone on the Internet can log onto the site anonymously and copy files to his or her PC. This is similar to logging on to a file server as a "guest."

Anonymous logins have access to a vast store of software, games, music, and numerous other resources. However, if you log in anonymously, you usually are not allowed to do more than view public folders and download files. (You are usually unable to view private folders or to upload files.)

  1. In the toolbar, click Options.
  2. Select the General page. (This will be the first page displayed when the Options window is opened.)
  3. In the E-mail Address box, enter the name of the e-mail address you want to use when you log onto an FTP site anonymously.

See also [image] Notes about Passwords .

If you are logging on anonymously (using an e-mail address as a password):

  • You can use a valid e-mail address if you do not mind the FTP site learning your e-mail address.
  • You can place a minus (-) sign in front of the e-mail address in order to minimize the number of descriptive messages you will receive from the FTP site administrator.
  • WS_FTP does not allow you to enter a blank password; however, you can enter empty quotation marks if you would rather not divulge a valid e-mail address.

If you are not logging on anonymously:

  • We do not recommend turning on Save Password unless you are the only user of your computer and no one else has access to your WS_FTP folder. If you do not save the password, WS_FTP will prompt you for one when you initiate the connection.


Setting folder properties

You can set options on a site folder so that all new sites created in that folder will contain those options. Sites currently in that folder will not change automatically.

To set the folder properties:

  1. In the toolbar, click Connect to open the Site Manager.
  2. Select the folder from the Sites list, then click Edit.
  3. Set the options you need.
  4. Click OK to save the changes.


Connecting to a site

In This Section

Site Manager

Connecting to a configured site

Connecting to default site

Sending a command to an FTP site

Creating and using hotdrops

Logging on with a User ID, password, and account

Setting the remote port

Retrying a connection

Disconnecting from a site

Integrating WS_FTP with a browser or e-Mail (WS_FTP Professional)

Firewalls


Site Manager

Use the Site Manager to access and configure your saved connections, also called FTP sites. This dialog appears when you click Connect on the toolbar.

Features

Site List - This list contains all of the folders and sites stored on your computer. A folder with a plus (+) icon next to it contains site. Click the folder to view the site stored there.

Connect - Select a site and click Connect to connect to that site.

Create Site - Select a folder and click Create Site to create a new site in that folder. The New Site Wizard walks you through creating the site.

Create Folder - Select the Sites folder and click Create Folder to create a new folder.

Edit - Select a site and click Edit to edit the information and options stored on that site.

Rename - Select a site and click Rename to change the site name.

Delete - Select a site or folder and click Delete to remove it from the list. If you delete a folder, all of the sites stored there will be removed as well.

Close - Click Close to close this dialog.

Right-mouse menu

You can access this menu by right clicking in the Sites list. It offers more ways to organize your sites.

Copy - Select Copy to copy the selected site or folder.

Paste - Select Paste to paste a copied site or folder into the selected folder.

Delete - Select a site or folder and select Delete to remove it from the list. If you delete a folder, all of the sites stored there will be removed as well.

Rename - Select a site or folder and select Rename to change the name of the site or folder.

Create HotDrop in Send To Menu - Select this option to set the selected FTP site as a HotDrop in the Send to menu (located in the right-click menu). HotDrops in the Send to menu are shortcuts for transferring files to remote FTP directories. After you create a HotDrop in the Send to menu, the site is added to the right-click menu with the site name; for example, mysite.

When you right-click on a file in Windows Explorer or the local WS_FTP main window, select Send To > WS_FTP HotDrop and the name of the target HotDrop site in the list, the file is transferred to the selected FTP directory. Sites that are set as a HotDrop in the Send to Menu are indicated by a red heart next to the site icon.

Default Site - Select a site and select Default Site to set that site as your default site. Used with the automatic reconnect feature.

Properties - Select a site or folder and select Properties to view or modify the information stored there.


Connecting to a configured site

FTP [image] sites you have configured appear in the Sites list on the Site Manager. You can connect to a site in the following ways:

A configured FTP site is a collection of information about an FTP server. A site configuration includes:

  • Your name for the site configuration
  • The site's [image] host name or IP address, as well as host type

    Every system (computer) on the Internet has an official host name and Internet (IP) address. In order to connect to an FTP site, you must find out the official name or address of the site. For example, a system might have a host name of superserv.ipswitch.com and an IP address of 123.124.125.126. In WS_FTP, you can use either the host name or the IP address to specify a particular FTP site.

    Examples

    • For most large, well- known companies, their FTP sites are named "ftp.companyname.com" (e.g. ftp.microsoft.com, ftp.adobe.com, and ftp.aol.com)
    • To get the name or address of a popular FTP site, use a search engine such as Lycos.com or Yahoo.com to search for the name. Or, try replacing the "www" portion of the organization's URL with "ftp", for example replace www.ipswitch.com with ftp.ipswitch.com. Or simply call the company and ask for the name of their FTP site.
    • If you want to connect to an FTP site maintained by your Internet Service Provider (ISP), your ISP will provide you with an FTP name or address that looks something like: ftp.ipswitch.com or 156.22.3.1.
  • Your user ID, password, and account on the site
  • The startup folder for the FTP site
  • Any commands you want to send the site
  • The local and remote file masks
  • A time offset (if the site is in a different time zone)
  • Retry, timeout, and port settings
  1. On the toolbar, click Connect to open the Site Manager.
  2. Select a site in the Sites list, then click Connect (or, double-click on a site in the Sites list).
    OR
  • On the toolbar, click on the down arrow next to Connect, then select a site.
    OR
  • From the Connections menu, select Recent Sites, then select the site.


Connecting to default site

Once you have selected a default site, you can have WS_FTP connect to that site automatically when you start the application.

  1. In the toolbar, click Options, then select General.
  2. In the Auto reconnect box, select Connect to Default Site.
  3. Click OK.


Sending a command to an FTP site

  1. In the toolbar, click Connect to open the Site Manager.
  2. Select the site in the Sites list, then click Edit.
  3. Select the Startup page.

In the Initialize Command text box, enter any commands you want to issue to the FTP site at the beginning of the session. Separate multiple commands with a semi-colon (;).

For example, the command SITE UMASK 022 changes the UMASK used when creating files (on a UNIX system).


Creating and using hotdrops

HotDrops are shortcuts to remote directories that you can create anywhere on your local system. They appear in the Send To > WS_FTP HotDrops menu with the remote directory name.

You can drag files and folders to the icon and drop them. The files and folders will then be automatically uploaded to that site. The Transfer Manager shows the progress of the transfers.

If you double-click on the file, WS_FTP launches and automatically connects to the site and navigates to the local and remote folders that you identify when you set up the hotdrop.

To set up a HotDrop:

  1. Connect to a remote site.
  2. Navigate to the directory you want to use as your HotDrop destination.
  3. Right-mouse click in the remote pane and select Create HotDrop. The Create HotDrop dialog appears.
  4. Verify or enter the location of the destination in the Destination Folder box.
  5. Enter the local folder WS_FTP opens when you open this hotdrop from the shell.
  6. Click OK.
  7. Select where you want to save the HotDrop file, and what you want to call it.
  8. Click Save.

You can synchronize files using the HotSync feature which works in much the same way as the HotDrop feature. For more details see Using HotSync.


Logging on with a User ID, password, and account

Logging on with a user ID, password, and/or account

To log on to an FTP site, you must identify yourself with a user ID and password. For sites that allow [image] anonymous logins , you can use the word anonymous as a user ID and an e-mail address as a password. To test this, try connecting to the Ipswitch FTP site (ftp.ipswitch.com) using the user ID Anonymous.

To log on to any FTP site, you must identify yourself with a user ID and password. Some FTP sites let you use the word anonymous as a User ID, and your e-mail address as your password; this is known as an "anonymous login." (All of the Ipswitch preconfigured FTP sites are set up as anonymous logins.)

FTP sites that allow anonymous logins usually exist to provide files that can be downloaded by the general public; anyone on the Internet can log onto the site anonymously and copy files to his or her PC. This is similar to logging on to a file server as a "guest."

Anonymous logins have access to a vast store of software, games, music, and numerous other resources. However, if you log in anonymously, you usually are not allowed to do more than view public folders and download files. (You are usually unable to view private folders or to upload files.)

However, FTP sites that are not open to the general public, or that allow you to [image] upload files, usually require users to identify themselves with a special user ID, password, and (sometimes) an account number or name. FTP sites such as these are used for exchanging confidential files within an organization, posting of personal Web pages, or storing photographs for ads in on-line auctions.

Transfer a file from your local PC to an FTP site.

To change a site configuration from an anonymous login to a private login:

  1. Get the user ID, password, and account name or number (if applicable) from the FTP site administrator, your ISP, a co-worker, or other authorized source of information about the FTP site.
  2. In the toolbar, click Connect to open the Site Manager.
  3. Select the site from the Sites list, then click Edit.
  4. Make sure Anonymous is cleared and enter your User ID, Password, and [image] Account (if applicable).

    Some FTP sites, notably VM/CMS hosts, require an account in order to authenticate the client and provide access to a default directory for the user. For many sites, however, no account is required.

  5. Click OK.

Note:We do not recommend turning on Save Password unless no one else has access to your WS_FTP folder!

See also: Where do I get a Username and Password?


Setting the remote port

The [image] remote port is the port on which WS_FTP will try to connect to the FTP site. This is normally 21; however, it may be something different if you are going through a firewall, or if the FTP site administrator has assigned the FTP protocol to another port.

The remote port is the port on which an FTP site, is "listening" for an FTP request. The default remote port number for FTP is 21.

  1. In the toolbar, click Connect to open the Site Manager.
  2. Select the site in the Sites list, then click Edit.
  3. Select the Advanced dialog.
  4. Enter the Remote Port number.


Retrying a connection

Retrying a connection to a busy FTP site: If the initial connection attempt fails, the FTP site may be busy. WS_FTP can try again to make a connection.

  1. In the toolbar, click Connect to open the Site Manager.
  2. Select the site in the Sites list, then click Edit.
  3. Select Advanced.
  4. In the Connection Retries box, enter the number of times to try again (0 - 40 attempts are allowed).
  5. In the Connection retry delay box, enter the amount of time between attempts by WS_FTP to establish a connection if the first connection attempt fails. This can be from 5 to 300 seconds.


Disconnecting from a site

To [image] disconnect from a site:

To disconnect your PC from an FTP site, WS_FTP closes the open connection between your PC and the FTP site.

  • click Disconnect in the toolbar, or
  • close the tab in which it is displayed by clicking on the X button to the right of the connection tab, or
  • close the application.


Integrating WS_FTP with a browser or e-Mail (WS_FTP Professional)

FTP sites have an Internet address, similar to a web address, that looks like:

ftp://ftp.ipswitch.com, sftp://ftp.ipswitch.com, or ftps://ftp.ipswitch.com

You can set an option in Ipswitch WS_FTP Professional so that when you click on an FTP, FTPS, or SFTP address in your browser or e-mail client, so that Ipswitch WS_FTP Professional will open and connect to the FTP server.

The type of FTP address affects how this works:

If the address includes: | Ipswitch WS_FTP Professional does:
the name of an FTP server Ex. ftp.ipswitch.com | Opens and connects to the server
the path and name of a file Ex: ftp.ipswitch.com/French/ftp803.txt | Downloads the file to your PC and prompts whether to save or open the file.
the path and name of a folder Ex: ftp.ipswitch.com/French | Opens, connects to the server, and navigates to the folder.

To turn on Browser Integration:

  1. In the toolbar, click Options.
  2. From the Program Options dialog, select Browser Integration.
  3. Select the option Enable integration for FTP URLs in Internet Explorer.
  4. If you want to be prompted each time you click an FTP URL so you can choose whether or not to use WS_FTP Professional, select Prompt before using WS_FTP to process FTP URLs.


Firewalls

In This Section

Using a configured firewall

Firewall Types

FireScript Editor

Open FireScript

Using a NAT Firewall


Using a configured firewall

Once you have configured a firewall, you use it as follows.

  1. In the toolbar, click Connect to open the Site Manager.
  2. Select a site, then click Edit.
  3. Select the Advanced dialog.
  4. In the Firewall box, select a firewall configuration.


Firewall Types

Type of Firewall | Information to enter in WS_FTP
SITE hostname | Host Name (or Address), User Name (ID)
USER after logon | Host Name (or Address), User Name (ID), Password
USER with no logon | Host Name (or Address)
Proxy OPEN | Host Name (or Address)
USER remoteID @remoteHost fireID | Host Name (or Address), User Name (ID), Password
USER fireID @remoteHost | Host Name (or Address), User Name (ID), Password
Transparent | User Name (ID), Password
USER remoteID @fireID@remoteHost | Host Name (or Address), User Name (ID), Password
SOCKS 4 and SOCKS 5 | Host Name (or Address), User Name (ID), Password
HTTP | Host Name (or Address), User Name (ID), Password


FireScript Editor

FireScript Editor is a tool used to edit or create [image] firewall scripts used in FTP connections.

Some organizations separate their local networks from the rest of the Internet by installing a "firewall" or "gateway." A firewall is a system or software which is configured to prevent particular types of access/information from entering the network. Most firewalls block the flow into the local area network, but allow individuals to access most resources outside of the network.

WS_FTP lets you enter information about a firewall into a firewall configuration, which you can then use when connecting to an FTP site from behind that firewall. You can configure the firewall once, and then assign that firewall configuration to whatever sites need to use it.

Multiple Firewalls

There are several reasons you might want to create more than one firewall configuration. If you use a laptop computer in different locations that have different firewalls, you will want to set up a firewall configuration for each location, so you can switch to the appropriate firewall configuration when you are in each location.

Another reason you might want to set up multiple firewall configurations is that your network could have more than one router configured as a firewall. In this case, you would assign a different firewall configuration to an FTP site depending on which part of the network you are working from.

Furthermore, you might have a number of "trusted sites" (for example, FTP sites set up by your own company) for which you would use a different firewall (or no firewall).

Editing existing scripts:

  1. Select File > Open.
  2. Select the firewall script you want to edit and click OK. The script appears in the FireScript Editor window.
  3. Make the desired changes to the script.
  4. From the Script menu, select Syntax Check to debug your script.
  5. Save your script, or save it with a new name.

Creating a new script:

  1. Select File > New. The basic information in all firewall scripts is inserted into the script editor.
  2. Enter the code for the script.
  3. From the Script menu, select Syntax Check to debug your script.
  4. Save your script.


Open FireScript

All of the firewall scripts in your script directory are displayed in the Existing Scripts box. To edit or view one of these scripts, select it and click Open.

To save a script, enter the name of the script in the Script box and click Save.


Using a NAT Firewall

When using a [image] NAT (Network Address Translation) firewall, you may encounter problems when trying to use SSL encryption. To fix this, you should configure WS_FTP and the firewall to allow incoming connection to your PC. WS_FTP needs to tell the server to connect to the external IP address, and the firewall should forward these incoming connection to your PC. You should also limit the number of ports that the firewall open for these connections. In many cases, this will allow you to use SSL through a NAT firewall.

Because of today's need for increased security, many businesses and personal users use a firewall to prevent unauthorized access to or from their private systems. Firewalls can be software or hardware based, or they can be comprised of a combination of both. Part of this protection can include the use of a device or application called NAT.

NAT or Network Address Translation is an Internet standard that enables a local-area network (LAN) to use one set of IP addresses for internal traffic and a second set of addresses for external traffic. A NAT box located where the LAN meets the Internet makes all necessary IP address translations. Additionally, NAT provides a type of firewall by hiding internal IP addresses, and it enables a company to use more internal IP addresses. Since they are used internally only, there is no possibility of conflict with IP addresses used by other companies and organizations.

Note: If you are using Windows XP, you may be able to automatically configure your firewall to open the necessary ports and obtain the external IP address using UPnP. UPnP can be enabled on the Program Options: Firewall dialog.

To configure SSL through a NAT Firewall:

  1. In the Program Options, select Firewall.
  2. Select Force PORT IP Address.
  3. Enter the IP Address of the NAT firewall.
  4. Select the Limit Port Range option.
  5. Enter the Minimum and Maximum port range.
  6. Click OK.


Viewing and Navigating Files and Folders

In This Section

Changing the current drive

Changing the current folder

Creating a folder on an FTP site

Displaying directory information

Searching for local files

Sorting files and folders

Masking the display of files and folders

Setting the startup folder on an FTP site

Customizing the Command Bar

Linking folder navigation

How to turn off text labels on buttons


Changing the current drive

You can change the drive on your computer (the local system).

Do one of the following:

  • Type the drive letter followed by a colon into the current folder box; for example, d:
  • Scroll the list box and click the appropriate drive.
  • Click Browse, then select the drive you want to change to and click OK.
  • Click Folders to open the folders list. Select the drive you wish to open from this list.


Changing the current folder

Do one of the following:

  • If the desired folder name is shown in the list box, click it.
  • Click Browse, then select the directory you want to change to and click OK.
  • Edit the folder path in the current folder box.
  • Click Folders to open the folders list. Select the folder you wish to open from this list.

Note: If you selected Save folder history when connection is closed on the Display tab of Program Options, the drop-down list for both the Local System and Remote Site will show the folders you visited during previous sessions.


Creating a folder on an FTP site

Not all FTP sites allow you to create and remove folders; you must have an account on the FTP site and permission to write to the FTP site.

If you do have an account and permissions, select the FTP site file list and select the New Folder button (above the file list). You are prompted for a folder name and must supply a name that is valid for the current FTP site.


Displaying directory information

Click the Directory Info button. Information about the current directory is displayed as a text document in the default Text Viewer. (To see what the default text viewer is, in the toolbar, click Options, then select the General page.)

For each file or folder within the current directory, the information shown may include: size, type, permissions, creation date, date last modified, and name.

You can print the document or save it. You may also right- click in the directory and select Properties to view the directory properties.


Searching for local files

Using the Search Utility (local search): You can use Search Utility to search local files that you want to transfer from your computer to an FTP server. If you have the Copernic™ or Google™ Desktop Search utility installed, you can search for file content using their integrated search engine from the Ipswitch WS_FTP client. For more information about selecting the search utility, see the Program Options: General topic.

To search for local files:

  1. From the Tools menu, click Search > Local File. The Search tab displays in the local window.
  2. In the Search box, enter the file name or part of the file name you want to find. You can use wildcard characters such as * and ?. If the Local Desktop Search (Windows search) is enabled, click Options to select other search options. The search Options are not available if using the Copernic or Google Desktop Search utility.
  3. Click the search icon. The search results are displayed in the search results list below.
  4. Select the file that you want to upload from the search results. Upload the files to the FTP server you select.

Important: Only a single file at a time can be selected and transferred from the search results.

Note: The local Search tab view is created automatically at start up if the Open Last Local and Remote Folders option is selected in the Tools > Options > General > Auto reconnect.

Related Topics

Using Search Options (local search)

Using the Find Utility (remote search)


Sorting files and folders

You can sort the files and folders in the Local System or Remote Site list boxes by using the column headings (Name, Size, Type, Modified, Attributes) above each list. You can sort both panes by selecting View from the toolbar and then selecting the appropriate menu item (Large Icons, Small Icons, List, Details, Thumbnails).

Using column headings to sort

Click a column heading to sort the files and folders as follows:

  • Name. Click the column heading to toggle the alphabetical list between ascending and descending order. Click Ctrl+Name to sort the file names by file extension.
  • Size. Click the column heading to toggle the list between ascending and descending order in terms of the file size.
  • Type. Click the column heading to group the items by type.
  • Modified. Click the column heading to toggle the list between ascending and descending order in terms of their file date.
  • Attributes. Click the column heading to group the items by attributes.


Masking the display of files and folders

If your PC or an FTP site contains a large number of folders and files, you can limit the items displayed by using the File Mask text box (in the command bar).

The File Mask is not enabled on the command bar by default. To enable the File Mask, refer to the Customizing the Command Bar topic.

You can mask the display manually or via the Site Options.

Setting the file mask via Site Options:

  1. Click Connect to open the Site Manager.
  2. Select the site in the Sites list, then click Edit.
  3. Select the Startup page.
  4. To limit the displayed files, enter characters and an asterisk in the Local file mask and/or Remote file mask text box. Examples: To display only text files, enter *.txt. To display only files whose names begin with the letter A, enter a*.

Setting the file mask manually for just the current connection:

You can use a file mask while navigating a particular site. There is a File Mask box in the command bar for each connection tab. In the appropriate File Mask text box, enter a file mask and then press Enter.


Setting the startup folder on an FTP site

You can set the folder that is current when you first connect to an FTP site.

  1. Click Connect to open the Site Manager.
  2. Select the site in the Sites list, then click Edit.
  3. Select the Startup page.
  4. In the Remote site folder text box, enter the path of the folder you would like to view when you first connect to this site.


Customizing the Command Bar

The Command Bar is a toolbar at the top of each file list that provides quick access to file or folder functions within the view. By default, the command bar is populated with the following commands:

  • Browse
  • New Folder
  • View
  • Edit
  • Execute
  • Refresh
  • Rename
  • Delete

To add or remove commands from this toolbar, right-click anywhere on the toolbar and select Customize. You can also select the down arrow located to the far right edge of the toolbar to display a menu that allows Add or Remove Buttons.


Linking folder navigation

Two connections that have the same folder structure can be linked so that navigation (and optionally folder creation) in one is repeated in the other.

By default, linked folders can share navigation only within folder structures that already exist on both connections. If you open a folder in one connection that does not exist in the other, the link is broken.

To enable Folder Linking:

  1. Navigate to the folders you want to link in the left and right panes.
  2. Click Link Folders on the toolbar, or select Tools > Link Folders.

Your folders will remained linked until you encounter a situation that breaks the link. An error dialog with an explanation is shown when the link is broken.


How to turn off text labels on buttons

  1. Right-click on the tool bar for which you want to remote text labels, then select Customize. The Customize dialog appears.
  2. Select Options.
  3. Clear Display text below icons.
  4. Click Close.


Transferring Files

In This Section

Transferring files or folders

Automatically retrying a failed transfer

Moving files

Resuming a transfer when the application starts

Dragging and dropping

Tabs

Creating and using hotdrops

Creating and using hotdrops in the Send To menu

Viewing a file (in its associated application)

Executing files

Working with transfer modes

Specifying the startup transfer mode

Doing passive transfers

Setting the network timeout

Setting the default text viewer

Using the Upload Wizard

Speeding up large transfers (multipart transfers) (WS_FTP Professional)

Appending files (WS_FTP Professional)

Verifying transfer integrity

Transfer modes

Working with UNIX files and folders

Using a firewall

Checking transfer quota


Transferring files or folders

To transfer files or folders:

  1. Open the folder to which you want to transfer files on the [image] destination system.

    The system to which you are transferring files; this can be either the FTP site if you are uploading files, or it can be the local system (your PC) if you are downloading files to your PC.

  2. Select the file(s) or folder(s) on the [image] source system.

    The system from which you are transferring files; this can be either the local system (your PC) if you are uploading files, or it can be the FTP site if you are downloading files to your PC.

  3. Do one of the following:
    • Drag the selected files to the destination folder or the destination connection tab.
    • Click the transfer arrow to transfer the selected file(s) or folders(s) to the destination system.
    • Select Edit > Copy, then select the destination connection tab and select Edit > Paste. You can also use keyboard shortcuts and right-click menus to copy and paste.

To get prompted for a file name:

Do one of the following:

  • Click a transfer arrow when no file is selected.
  • Hold the Ctrl key while clicking the transfer arrow (When a file is selected).


Automatically retrying a failed transfer

If the initial attempt to transfer a file fails, WS_FTP can automatically retry the attempt a set number of times.

To set the Automatic retry:

  1. On the toolbar, click Options. The Options dialog opens.
  2. Select the Transfers page.
  3. In Number of retries for failed transfers, enter the number of times you want WS_FTP to retry the transfer. You can enter any whole number between 0 and 99.
  4. In Delay between retries (seconds), enter the number of seconds you want WS_FTP to wait between each transfer attempt. You can enter any whole number between 0 and 300.


Moving files

To move a file means to copy it from one location to another location and delete it from the source location.

Before you can move a file, you must select Allow files and folders to be moved from the General dialog of Program Options. To display the General options, select Tools > Options, or click Options in the toolbar.

You can move files from one location on an FTP site to another location on the same site if you have the appropriate permissions from the site administrator.

  • To move a file, select the file and drag it to the new folder on the same site.
  • You can also right-click on the file and select Operations > Move Files. You will be asked to enter the path to the folder you want to move the file to.
  • You can also right-click and drag the file to the new folder, then select Move Here from the pop-up menu.


Resuming a transfer when the application starts

WS_FTP can automatically resume interrupted transfers or transfer attempts when the application is started, if WS_FTP is terminated while:

  • It is in the process of transferring a file

OR

  • If it is still on the Transfer list as a failed transfer.

To set this option:

  1. In the toolbar, click Options or select Options from the Tools menu.
  2. Select the Transfers page.
  3. Select the Automatically resume transfers when application starts option.
  4. Click OK.


Dragging and dropping

You can use drag and drop to transfer files or folders.

In the interface:

  • With drag and drop, you can:
    • Drag files from the Local System pane to a Remote Site pane or vice versa.
    • Drag files from your Desktop or from any window on your local system to the FTP pane ("Remote Site") of the WS_FTP main window, and vice versa.
    • Drag and drop with the right mouse button to get menu choices.
    • You can drag items from one remote site and drop them on the tab associated with another to complete a site to site transfer (Professional version).


Tabs

Tabs identify the site name on both the local and the remote system. Use the tabs to navigate among multiple connections.

In the local system on the left side of the main window, you see the My Computer tab. To open a second view, in the toolbar, select New Local View. A second My Computer tab appears.

When connected to a server, in the remote system on the right side of the main window, a tab shows the site name for the server. You can open multiple connections to FTP servers and a tab appears for each connection.

Click on a tab to show its associated file list. To close the active tab, click the close button (x) to the right of the tab.

To copy a file on the local system, you can drag-and drop a file from the currently displayed file list to a second My Computer tab.

You can do a site to site transfer by selecting files from the currently displayed remote file list and using drag-and-drop to a second FTP server tab.


Creating and using hotdrops in the Send To menu

HotDrops in Send To menu are shortcuts for transferring files to remote FTP directories. After you create a HotDrop in the Send To menu, the site HotDrop is added to the shortcut menu (right-click menu) with the site name; for example, mysite.

When you right-click on a file in Windows Explorer or the local WS_FTP main window, select Send To > WS_FTP HotDrop and the name of the target HotDrop site in the list, the file is transferred to the selected FTP directory. Sites that are set as HotDrop in the Send To menu are indicated with a check mark beside the site icon.

To set up a HotDrop in the Send To menu

  1. In the tool bar, click Connect (or select Connections > Site Manager) to open the Site Manager.
  2. Right-click a remote site, then click Create HotDrop in the Send To Menu. The Create HotDrop dialog appears.
  3. Verify or enter the location of the destination in the Destination Folder box.
  4. Click the Save password when creating HotDrop option if you want to automatically use the site's password when transferring files to a hotdrop site.

    Note:The save password option is only enabled if the connection is made from the Address bar.

  5. Enter the local folder that WS_FTP opens when you open this hotdrop from the shell.
  6. Click Save.


Viewing a file (in its associated application)

  1. Select the file.
  2. Click View.

If the file you want to view is on an [image] FTP site , WS_FTP first transfers the file to these directories:

An FTP site consists of an FTP server program located on an Internet host computer.

Many companies and organizations maintain FTP sites (also known as "FTP servers"). These can be:

  • File repositories from which you can copy files such as free programs and evaluation versions of software. WS_FTP provides a number of popular FTP sites that have already been configured for you. When you connect to an FTP site like this, look for a file called readme, readme.txt, index, or 00index. Such files provide descriptions of the resources available on the site as well as other useful information.
  • File repositories where you can place files for use by others. (For example, a site on which you place your Web site pages for your ISP, or a site on which you place a photograph file for use in an on- line auction.)
  • Windows 7, 8, Vista, Server 2008: \Users\Username\AppData\Roaming\Ipswitch\WS_FTP\Storage
  • Windows XP: \Documents and Settings\Username\Application Data\Ipswitch\Ws_ftp\Storage

Then, the file is opened in the Text Viewer. You can select the Save As... menu option and save the file to whatever name you want.


Executing files

When you open or execute a file from within WS_FTP, the file is opened in the application that Windows associates with the file extension (via the Windows API "ShellExecute" function.)

To open or execute a file, select the file and then click Execute. If the file is on an FTP site, WS_FTP transfers the file to your Temp directory. The file is opened in the application that Windows associates with the file extension.


Working with transfer modes

Files can be transferred in ASCII, binary, or "Auto" mode.

A file that is text, HTML, postscript, other ASCII format (.txt, .html, .htm, .cgi), or [image] EBCDIC should be transferred in ASCII mode .

Extended Binary Coded Decimal Interchange Code. EBCDIC is an 8-bit binary code for larger IBM computers in which each byte represents one alphanumeric character or two decimal digits. Control commands are also represented. EBCDIC is similar to ASCII code, which is used on most other computers.

Transferring a binary file in ASCII format can damage the file.

A file that is a bitmap, an executable, or compressed (.bmp, .jpg, .exe, .zip) should be transferred in [image] binary mode . (Binary mode should also be used if there is no file extension or the file extension is not registered.)

The binary transfer mode transfers a file as an exact copy of the original, and should be used for transferring all binary files, including bitmaps, executables, or compressed files (.bmp, .jpg, .exe, .zip).

(Binary mode contrasts with ASCII mode which treats a file as text, translating the end-of-line characters during transfer.)

If you select Auto mode, WS_FTP checks to see if the file has an extension that is listed on the ASCII Filenames dialog. If so, ASCII mode is used; if not, binary mode is used.

Selecting the Transfer Mode

You can set the startup transfer mode for a site, folder, or the application. Or you can select the transfer mode for a particular transfer as follows:

  1. Select the file(s) you want to transfer.
  2. Select the transfer mode.
  3. Click the Upload or Download arrow.


Specifying the startup transfer mode

The Startup Transfer Mode is the transfer mode that will be used unless you override before you make the transfer.

To set the Startup Transfer Mode:

  1. From the Site Manager, select the site in the Sites list.
  2. Click Edit.
  3. Select the Startup dialog.
  4. Under Startup transfer mode, select one of the following:
    • ASCII. Used for text file transferring.
    • Binary. Binary mode is used for transferring files that are not text (e.g., executable programs, word processing documents, spreadsheets, databases, graphics files, and sound files).
    • Auto Detect. When selected, all files are transferred in binary mode unless the extension is listed on the Extensions tab. Extensions can be up to ten characters long and can contain periods. (These are not DOS extensions!) If you expect it to match on a period, you must enter the period.


Doing passive transfers

Normally, when you connect to an FTP site, the site establishes the data connection to your PC ( [image] the client). However, some FTP sites allow [image] passive transfers – this means that your PC establishes the data connection.

Normally, when you connect to an FTP site, the site establishes the data connection to your PC (the client). However, if the site allows passive transfers, you can have your PC establish the data connection.

We recommend that you use passive mode for most transfers. Note that passive mode may be required for users who are behind some types of router-based firewalls or behind a gateway requiring passive transfers.

An FTP client is a computer that is running FTP client software. When you use FTP to download files from an FTP site, you are actually running an FTP client (such as WS_FTP) on your PC.

By default, passive mode is selected in WS_FTP; we recommend that you use it for transfers to and from FTP sites that support it. Note that passive mode may be required in the following instances:

  • For users on networks behind some types of router-based firewalls
  • Users on networks behind a gateway requiring passive transfers
  • If transfers are erratic
  • If you keep getting failed data channel errors

To select passive transfers for a site:

  1. Click Connect to open the Site Manager.
  2. Select the site in the Sites list, then click Edit.
  3. On the Advanced dialog, select Use passive mode for data connections.


Setting the network timeout

The network timeout is the number of seconds that elapses before WS_FTP stops waiting for an FTP site to respond. Normally, the network timeout is determined by your [image] Winsock DLL . You can set it to less time than your Winsock DLL, but setting it higher will not affect anything.

The Winsock (Windows Sockets) dynamic link library is a specification for the Microsoft Windows API (applications programming interface). Software providers use Winsock as a guideline for developing network software.

  1. From the Site Manager, select the site in the Sites list.
  2. Click Edit.
  3. Select the Advanced dialog.
  4. Enter the number of seconds for the Network timeout.

In addition to the network timeout setting within WS_FTP, there is also a "server timeout" that is determined by the FTP site. Most FTP sites will shut down the connection to a client such as WS_FTP after a few minutes of inactivity. You can specify the Keep alive option, on the Site Options: Advanced dialog, to keep the connection open for a certain amount of time.

Timeouts when uploading Web pages: If the FTP site to which you upload your Web pages times out, see Connecting to an Internet Service Provider.


Setting the default text viewer

The default text viewer is the application (Windows Notepad by default) that will be started when you want to look at a text file.

  1. Select Tools > Options.
  2. Select the General page.
  3. In the Text Viewer box, enter the name of the text viewer you want to use, or click the browse button to search for a viewer.
  4. Click OK.


Using the Upload Wizard

The Upload Wizard is a utility that allows you to transfer files from your local system to a remote FTP site without using the WS_FTP interface. There are two ways to access the Upload Wizard:

  • In Windows Explorer, select the files or folders you want to upload, then right- click on the list. In that list you will see Upload using WS_FTP Upload Wizard. After selecting that option, the Upload Wizard appears with the files already added to the upload list.
  • Select Start > Programs > Ipswitch WS_FTP 12 > Utlilties > WS_FTP Upload Wizard. The Wizard opens and is ready for you to add the files you want to upload.


Speeding up large transfers (multipart transfers) (WS_FTP Professional)

Large files, such as an architect’s blueprint or a software executable, can take longer to transfer. If you regularly transfer large files, you can use Multipart mode to speed up the transfer.

When in Multipart mode, WS_FTP splits large files into smaller segments, and downloads all segments via different, yet concurrent, connections. This decreases the total download time for large individual files.

The number of connections that WS_FTP uses is determined by:

  • the number of additional connections specified in the Site Options: Transfer dialog
  • the number of connections allowed by the server

The Transfer Manager displays the file, the number of segments that the file has been divided into, and the status of the transfer of each of the segments. When each of the segments are complete, the Transfer Manager shows the status of re-combining the segments into one file, if that process takes longer than 2 seconds.

If there are no segments listed under the file being downloaded, then the file is not large enough to be divided.

Note: Multipart works with download files only. It does not work with SSH connections. Also, the server must support multiple connections for Multipart mode to work.


Appending files (WS_FTP Professional)

You can select a file on the source system and transfer the file to the destination system, appending the file to a destination file. (The source system is where the file is coming from.)

Append mode is ignored when selecting compress or PGP file transfers.

To append files using Append File Mode:

  1. Select Connections > Site Manager to open the Site Manager.
  2. Select a site and click Connect.
  3. Select Tools > Append File Mode. At the bottom of the remote site’s file list, the Append Mode icon appears.
  4. Select the file transfer. You are prompted for the destination file name.

    Note:You can append only one file at a time, so select one file to transfer.

  5. Enter the file name of the destination file (the file to which the transferred files are appended).

The selected file is transferred and appended to the destination file. If you open the destination file, you will see the appended file.


Verifying transfer integrity

WS_FTP can be configured to verify the integrity of file transfers, provided the FTP server that it connects to supports integrity checks. For more information, see About transfer integrity checks.

Enabling transfer integrity checking in WS_FTP includes two steps:

  • Enable the Check transfer integrity option in Site Options, as described below.
  • Set the algorithm used to compare the transferred file with the original. This depends on the cryptography that the server supports and determines the security (or strength) of the integrity check. This is set in Program Options > File Integrity.

To enable Transfer Integrity checking for a site:

  1. On the toolbar, click Connect to open the Site Manager.
  2. Select the site you want to enable Transfer Integrity checking for, then click Edit. The Site Options dialog opens.
  3. In the left pane, select Transfer, then select Check Transfer Integrity.
  4. Click OK to close the Site Options dialog.

After a transfer is completed, the log window reports the outcome of the Transfer Integrity check.

To enable Transfer Integrity checking in the default site options:

Note: After setting the Check Transfer Integrity option, all new sites will check transfer integrity by default. Any existing sites will retain their previous settings; if you want to enable transfer integrity checking for existing sites, you must modify their profiles individually.

  1. On the toolbar, click Connect to open the Site Manager.
  2. In the left pane, select the Sites folder, then click Edit. The Folder Options dialog opens.
  3. In the left pane, select Transfer, then select Check Transfer Integrity.
  4. Click OK to close the Folder Options dialog.


Transfer modes

In This Section

Batch mode (WS_FTP Professional)

MultiPart mode (WS_FTP Professional)

Using OpenPGP mode to encrypt and decrypt files for transfer (WS_FTP Professional)

Appending files (WS_FTP Professional)

Compression mode (WS_FTP Professional)


Batch mode (WS_FTP Professional)

To activate batch mode, select Tools > Batch Mode.

While in batch mode, WS_FTP will place all transfers in the Transfer Manager for download/upload. When you are ready to process the transfer, right click the file (in the Transfer Manager) and select Start.

To remove the file from the Transfer Manager, right click the file and select Delete.

See also: Building a List of Files for Transfer


MultiPart mode (WS_FTP Professional)

Large files, such as an architect’s blueprint or a software executable, can take longer to transfer. If you regularly transfer large files, you can use Multipart mode to speed up the transfer.

When in Multipart mode, WS_FTP splits large files into smaller segments, and downloads all segments via different, yet concurrent, connections. This decreases the total download time for large individual files.

The number of connections that WS_FTP uses is determined by:

  • the number of additional connections specified in the Site Options: Transfer dialog
  • the number of connections allowed by the server

The Transfer Manager displays the file, the number of segments that the file has been divided into, and the status of the transfer of each of the segments. When each of the segments are complete, the Transfer Manager shows the status of re-combining the segments into one file, if that process takes longer than 2 seconds.

If there are no segments listed under the file being downloaded, then the file is not large enough to be divided.

Note: Multipart works with download files only. It does not work with SSH connections. Also, the server must support multiple connections for Multipart mode to work.


Using OpenPGP mode to encrypt and decrypt files for transfer (WS_FTP Professional)

OpenPGP Mode allows you to encrypt files that you transfer by using OpenPGP keys. Encrypting a file with OpenPGP ensures that only people who have the appropriate key can decrypt the file. When OpenPGP mode is enabled for a remote site, encryption works as follows:

  • When you upload a file to the site, if the file is not already encrypted, the file will be encrypted, then transferred. This is true whether the site is a local view or a remote site.
  • When you download an encrypted file (a file with a .pgp extension) from a remote site, if you have the appropriate private key, the file will be transferred, then decrypted. The decrytped file will have the ".pgp" extension removed. For example, if the encrypted file was named spreadsheet.xls.pgp, then the decrytped file will be spreadsheet.xls.
  • When you download an encrypted file from a local site, a local to local transfer, the encrypted file is transferred as is; it is not automatically decrypted.

Turning on OpenPGP Mode

OpenPGP Mode can be enabled for any remote server connection.

  1. Connect to a remote server.
  2. Select the remote server's tab.
  3. Select Tools > OpenPGP Mode, or click OpenPGP Mode on the toolbar. The OpenPGP Mode dialog appears.
  4. Select the OpenPGP Transfer method you would prefer to use from the options listed:
    • Encrypt the files using a key from your keyring. Select the Encryption keys to use to encrypt the files.
    • Sign the files using your private key as the digital signature. Select the Signing key to use to sign the files. Enter the Passphrase of signing key.
    • Select Encrypt and Sign to use both options together.
  5. Click OK. OpenPGP Mode is now enabled for the duration of the connection or until it is disabled.
  6. Upload or download files. When you upload a file, it will ask you to choose the OpenPGP key pair to use.

    Your key pairs, those that you have either generated or imported, are shown in Program Options > OpenPGP > Key Pairs.

    The uploaded, OpenPGP encrypted files will have the file extension: .pgp. For example, if you upload the file named chapter4.pdf, it will appear as chapter4.pdf.pgp on the remote site folder.

    If you download a file with the .pgp extension, if you have the appropriate private key, the file will be decrypted and verified. The file name will appear with it's original extension.

Turning off OpenPGP Mode

  1. While connected to a remote server, select the remote server's tab.
  2. Select Tools > OpenPGP Mode, or click OpenPGP Mode on the toolbar.
  3. OpenPGP Mode is now turned off.


Compression mode (WS_FTP Professional)

You can select one or more files or folders on your local computer and transfer them to a remote server as a compressed archive (zip file) using Compression Mode.

Compression Mode is enabled by selecting Tools > Compression Mode from the main menu or clicking Compression Mode on the tool bar.

To change the settings used in Compression Mode, see the Compression page on the Program Options dialog.


Working with UNIX files and folders

In This Section

Changing the permissions for UNIX files


Changing the permissions for UNIX files

You can change modes for a UNIX file on an FTP site, provided you have permission.

  1. Select the file.
  2. From the right mouse menu select Properties. The permissions areas appear at the bottom of the Properties dialog. If the file is not on a UNIX server, the fields will be blank.
  3. Set any of the options and click the OK button.

Background Information

Permissions can also be expressed as three-digit values; for example, 751. The first digit expresses Owner permissions; the second, Group permissions; the third, Other.

Three-digit values are used in the WS_FTP log, in the message area, and by some system administrators and ISPs.

The table below shows how WS_FTP options correspond to each digit. The third column shows the possible values for Owner, Group, and Other as viewed in the ten-position value in the first column of a directory list for a UNIX site.

WS_FTP Options | 1st, 2nd, or 3rd digit of 3- digit no. | Permissions in dir list
none | 0 | ---
Execute | 1 | --x
Write | 2 | -w-
Write, Execute | 3 | -wx
Read | 4 | r--
Read, Execute | 5 | r-x
Read, Write | 6 | rw-
Read, Write, Execute | 7 | rwx

Therefore, the permission described as 751 would appear in a directory listing as a ten-position code, drwxr-x—x, where:

  • the first position, d, indicates whether item is a file (-) or directory (d)
  • positions 2-4 (rwx) indicate Owner permissions: read, write, execute
  • positions 5-7 (r-x) indicate Group permissions: read and execute.
  • positions 8-10 (--x) indicate Other permissions: execute only.

Note: If you attempt to change permissions, you will need to check the message area or the log to see if you were successful.


Using a firewall

In This Section

About firewalls

Configuring a firewall

Using a configured firewall


About firewalls

Some organizations separate their local networks from the rest of the Internet by installing a "firewall" or "gateway." A firewall is a system or software which is configured to prevent particular types of access/information from entering the network. Most firewalls block the flow into the local area network, but allow individuals to access most resources outside of the network.

WS_FTP lets you enter information about a firewall into a firewall configuration, which you can then use when connecting to an FTP site from behind that firewall. You can configure the firewall once, and then assign that firewall configuration to whatever sites need to use it.

Multiple Firewalls

There are several reasons you might want to create more than one firewall configuration. If you use a laptop computer in different locations that have different firewalls, you will want to set up a firewall configuration for each location, so you can switch to the appropriate firewall configuration when you are in each location.

Another reason you might want to set up multiple firewall configurations is that your network could have more than one router configured as a firewall. In this case, you would assign a different firewall configuration to an FTP site depending on which part of the network you are working from.

Furthermore, you might have a number of "trusted sites" (for example, FTP sites set up by your own company) for which you would use a different firewall (or no firewall).


Configuring a firewall

To enter firewall information, you will need to get information about your firewall from your network administrator. For more information, see Firewall types and required information for WS_FTP.

  1. In the toolbar, select Options.
  2. In the left pane, select Firewall.
  3. Click New. The Firewall Properties dialog appears.
  4. Enter the required firewall information and click OK. Once it is complete, the firewall entry appears in the Configured Firewalls box.

You can now assign the firewall configuration to the site, by selecting the name of the configured firewall from the list on the Advanced tab of the Site Options dialog. For more directions on how to do this, see Using a configured firewall.


Checking transfer quota

WS_FTP Servers can be set with user quotas. You can check to see how much of your quota you have left by running an "xquote" command.

To run xquote, do the following:

  1. Right click in WS_FTP Professional's right pane.
  2. Choose Operations > FTP Commands > QUOTE.
  3. Enter "xquota" in the Quote field.
  4. Click OK.
  5. Under the Information Window, click the Connection Log tab.
  6. In the log window, look for a set of entries similar to the following:

xquota

213-File and disk usage

File count: 0

File limit: 100

Disk usage: 0

Disk limit: 1073741824

213 File and disk usage end

The above log entries show a quota of one gig of disk usage with 100 files as the limits for transferred files.

Note: The xquota command works with FTP only. It is not permitted with SSH.


Customizing the interface

In This Section

Starting WS_FTP with the Site Manager

WS_FTP Toolbar Buttons

Tabs

Customizing the appearance of tabs

Remembering folders

Setting what happens when you double-click a file

Creating a new workspace (WS_FTP Professional)

Single pane view


Starting WS_FTP with the Site Manager

You can have WS_FTP start up in one of four ways:

  • Showing just the main window.
  • Showing the main window connected to the last site used.
  • Showing the main window connected to the default site.
  • Showing the main window with the Site Manager.
  1. In the toolbar, click Options.
  2. Select General.
  3. For Auto reconnect, select the appropriate option.
  4. Click OK.


WS_FTP Toolbar Buttons

There are four toolbars that you can make visible or hide by using the View menu:

  • Standard
  • Quick Connect
  • Workspace
  • Modes

You can customize each toolbar by clicking on the down arrow button at the far right of the toolbar, you can quickly enable or disable toolbar buttons, or select Customize.

Individual buttons on these toolbars can be moved onto any of the other toolbars.

The following sections describe which buttons can appear on the toolbars of the WS_FTP interface.

Standard toolbar

  • Connect - Clicking the button displays the Site Manager; clicking the down arrow shows these menu items:
    • New Connection - Starts the Connection Wizard that you use to create a site and connect to it.
    • Site Manager - Lets you create, edit, and delete sites and connect to a site.
    • Sites list - lists all of the sites you have created.
  • Disconnect - Disconnects the selected view.
  • Connection Wizard - Displays the Connection Wizard, which steps through creating a new connection.
  • New Local View - Creates a new local view connection.
  • Views - Click to choose the directory display type you want to use (affects both the local and remote file list):
    • Large Icons - Changes the layout of the list pane to show file names along with large icons associated with the file type.
    • Small Icons - Changes the layout of the list pane to show file names along with small icons associated with the file type.
    • List - Changes the layout of the list pane to show an ordered list of files in a selected directory.
    • Detail - Changes the layout of the list pane to show an ordered list of files with the name, size, type, time of last modification, and attributes listed.
    • Thumbnails - Changes the layout of the list pane to show a list of thumbnail images for graphics in the directory.
  • Options - Displays the Program Options dialog.
  • Edit Manager - Displays the Edit Manager.
  • Send to Scheduler - Allows you to schedule a transfer of the selected files or folders. (Professional version)
  • Transfer Shortcut - Uses the selected items to create a transfer shortcut. The transfer shortcut will transfer the selected file in one pane to the folder in the other pane each time it is executed.
  • Local Search - Opens a Search tab in the local files pane.
  • Backup Files - Launches the Backup Files Utility.
  • Sync Files - Launches the Synchronize Utility.
  • Link Folders Mode - Toggles Link Folder Mode for the selected connections.
  • Find Utility - Launches the Find Utility.
  • Scheduler Utility - Launches the Scheduler Utility.
  • Script Utility - Launches the Script Utility.
  • Help Topics - Launches the WS_FTP Help system.
  • Tutorials - Launches the WS_FTP tutorials web page.
  • About - Displays the WS_FTP about dialog.

Quick Connect toolbar

  • Address - Displays the Address entry box, where you can enter an FTP address.
  • Connection Type - Displays the connection type drop-down menu.
  • User ID - Displays the User ID entry box, where you can enter the user name for your FTP account.
  • Password - Displays the Password entry box.
  • Port - Displays the Port entry box.
  • Connect to URL -Displays the button that lets you connect using the specified Address and User ID.
  • Reset - Set the toolbar to the original default display.

Workspace toolbar (Professional only)

  • Workspace - Displays a drop-down that lists existing workspaces.
  • Manager - Opens the Workspace Manager, which lets you add, edit, and delete workspaces.
  • Add - Lets you click to add the current set of local and remote connections as a workspace.
  • Save - Lets you save any changes to the current workspace.
  • Close - Closes the current workspace.
  • Reset - Set the toolbar to the original default display.

Modes toolbar (Professional only)

  • Batch Mode - Toggles Batch Mode for the active remote connection.
  • Multipart Mode - Toggles Multipart Mode for the active remote connection.
  • OpenPGP Mode - Toggles OpenPGP mode for the active remote connection.
  • Append Mode - Toggles Append mode for the active remote connection.
  • Compression Mode - Toggles Compression Mode for the active remote connection.
  • Reset - Set the toolbar to the original default display.


Customizing the appearance of tabs

Change the Color of a Tab

You can modify the color of its tab by right-clicking on it. If the tab has not been saved (a connection made via the Quick Connect bar or local view made via the New Local View button), you must save it before you can modify the properties of its tab.

  1. Right-click on the tab you want to modify. A context menu appears.
  2. Select Set Color.
  3. Select a color or one of the following options:
    • Random Color - Changes the color of the tab to a randomly chosen color.
    • Default Color - Changes the color of the tab to the color specified in the Program Options: Display dialog.
    • Pick a Color... - Opens a color dialog that allows you to select a Windows color to blend a custom color.

Remote tab colors can also be changed via the Startup page of the Site Options dialog.

Local tab colors can also be changed via the Local Options dialog.

Change the Default Colors for New Tabs

You can specify colors to be applied to all new remote and local tabs.

  1. Click Options in the main toolbar (or select Tools > Options from the menu bar). The Program Options dialog appears.
  2. Select Display from the tree on the left. The Display page appears.
  3. Under Default Colors, select a color for Local and Remote tabs.


Remembering folders

The current folder box for both the Local System (My Computer) and Remote System (FTP Server) can show the folders (via a drop-down list) you visited during previous sessions.

  1. In the toolbar, click Options.
  2. Select the Display dialog.
  3. Select Save folder history when connection is closed.
  4. Click OK.


Setting what happens when you double-click a file

You can set a double-click on a file name to transfer the file, view the file, execute the file, or do nothing.

  1. In the toolbar, click Options.
  2. Select the Display item.
  3. For Double click action, select Transfer, View, Execute, or Nothing.
  4. Click OK.


Creating a new workspace (WS_FTP Professional)

  1. Customize the connections to match what you want your new workspace to look like by opening the relevant connections and placing them in the correct panes. You can do this by modifying an existing workspace, or by closing the open workspace to start with a blank workspace.
  2. Once all of your connections are configured like you want them, click Add on the Workspace Toolbar. The Enter Workspace Name dialog appears.
  3. Enter a name for your new workspace, then click OK. Your new workspace is created and opened.


Single pane view

Single Pane View allows you to simplify the WS_FTP interface to have only one pane, which contains both local and remote connections.

In Single Pane View, you can make transfers by dragging files to another connection's tab or by copying and pasting files from one connection to another. You can also use Single Pane View in conjunction with Windows Explorer, with Windows Explorer serving in effect as your local view.

To enable Single Pane View, Select View > Single Pane View.


Monitoring file transfers

In This Section

Logging overview

Monitoring the progress of transfers

Confirming overwrites


Logging overview

Log files are a record of the conversation between the client (WS_FTP) and the server you are connected to. There are three ways you can view logs generated by WS_FTP.

  1. The Connection Log window displays all conversations between WS_FTP and the server. The Connection Log window is displayed in the Information WIndow at the bottom of the application. Click Connection Log to display the log.
  2. In the toolbar, click Options, then select Logging. Select the log file from the directory identified.
  3. In the Transfer Manager, select the transfer item, right-click and select Log.


Monitoring the progress of transfers

WS_FTP displays the progress of an on-going transfer via the Transfer Manager. Next to the request name, a progress "thermometer" is shown with the percentage of completion. On the same line you will see bytes transferred, the transfer rate in units per second, the total size of the transfer, and the time remaining in the transfer.

You can click Pause (next to the progress thermometer) at any time to pause the transfer.


Confirming overwrites

Most sites allow you to [image] overwrite (replace) a file without giving you a warning. However, you can have WS_FTP display a confirmation dialog box when you are about to overwrite a file:

To replace a file with another file having the same file name.

  1. In the toolbar, click Options.
  2. Select the Transfers page.
  3. In the File overwrite prompt section, select one of the following:
    • Don't prompt for overwrite (always overwrite) - Select this option to have WS_FTP overwrite all files when you attempt to transfer to a destination where a file with the same name exists.
    • Prompt for overwrite if file exists - Select this option to have WS_FTP prompt before it overwrites a file when you attempt to transfer to a destination where a file with the same name exists.
    • Prompt for overwrite for same or new files only -Select this option to have WS_FTP ask if you want to overwrite a file when you attempt to transfer a file to a destination where there is the same or newer version (by date and time). Note that this feature will not work with some FTP sites.


Working with File Dates and Times

In This Section

Dates and times overview

Working with timestamp problems on uploads

Preserving file date and time

Transferring only newer files

Information Window: Menus

Adjusting file dates and times for a different time zone

Time Displays as 00:00


Dates and times overview

You can:

  • Preserve file date and time when downloading
  • Transfer only newer files
  • Adjust for a Different Time Zone

Note: The date and time on some FTP sites may not display correctly; for example, you may see a time of 00:00. For more information, see Time displays as 00:00.


Working with timestamp problems on uploads

If the FTP site is a Windows NT [image] host , it will always stamp incoming files with Greenwich Mean Time (GMT). To correct this, enter the time difference in the site properties. When you [image] upload a file to any other [image] type of FTP site, the file date and time is usually automatically updated by the FTP site to the date and time of the transfer. If Preserve file time on upload (MDTM support required) is selected, WS_FTP will attempt to keep the timestamp that is on the local system with the MDTM command. If the FTP server does not support this command, the file time will be changed.

The host type is usually the manufacturer and model of the FTP server (the physical device on which the FTP site resides).

You can also view a Knowledge Base article that discusses host type connection issues.

Transfer a file from your local PC to an FTP site.

The host type is usually the manufacturer and model of the FTP server (the physical device on which the FTP site resides).

You can also view a Knowledge Base article that discusses host type connection issues.


Preserving file date and time

By default, when you transfer files, the file date and time are updated to the date and time of the transfer. You can change this, so that the date and time are preserved.

To set how date and time are handled:

  1. From the Site Manager, select the site in the Sites list.
  2. Click Edit.
  3. Select the Transfer page.
  4. Select or clear Preserve filetime on uploads or Preserve filetime on downloads.

Important Note about Uploads

If the preservation of file date and time is not supported by the FTP site, you will get an "MTDM" error when you upload files to the site. Note, however, that the files will transfer correctly with updated timestamps from the FTP site. (The "MTDM" error is not serious, even though it displays in red.)


Transferring only newer files

When you transfer a folder to a location where a folder with the same name already exists, you can make sure WS_FTP does not overwrite a file that has the same or a newer date. To do this, you set WS_FTP to transfer only files having newer dates and times than the files in the folder to which you are transferring.

  1. Select Tools > Options.
  2. Select the Transfers page.
  3. Select Don't transfer older/same files during folder transfers.


Information Window: Menus

Transfer Manager Tab

  • Start - Forces a transfer to be executed.
  • Pause - Pauses the selected transfer.
  • Delete - Deletes the transfer entry.
  • Schedule - Adds the transfer to WS_FTP Scheduler so the transfer can be done at a time specified by the user.
  • Select All - Selects all items on the transfer list.
  • Properties - Displays the transfer properties for the selected item.
  • Log - Displays the log file for the selected item.

Transfer History Tab

  • Delete - Deletes the items selected.
  • Execute - Executes the selected file. If it is a download, the destination file will be executed. If it is an upload, the source file will be executed.
  • Schedule - Adds the transfer to WS_FTP Scheduler so the transfer can be done at a time specified by the user.
  • Decode - Decodes a OpenPGP file from transfer history.
  • Decompress - Decompresses a ZIP file from transfer history.
  • Clear All - Clears all items from the History tab.

Connection Log Tab

  • Save As - Save the log window contents to a file.
  • Clear - Clears the information displayed in the log window.
  • Print - Print the entire contents of the log window.
  • Copy - Copy the selected text in the log window to the clipboard.
  • Select All - Selects all text in the log window.


Adjusting file dates and times for a different time zone

You can have WS_FTP adjust the display of file dates and times on an FTP site so they represent the times and dates in your time zone. For example, if an FTP site is in a time zone three hours earlier than your time zone, you can adjust a date and time of 06/10/2004 1:00 AM to 06/9/2004 10:00 PM.

To adjust file dates and times for a different time zone:

  1. Select Connections > Site Manager to open the Site Manager.
  2. Select the site in the Sites list, then click Edit.
  3. Select the Startup page.
  4. In Default offset in hours, enter the difference in whole hours between the time zone of your PC and the time zone of the FTP site. Use a positive number if the site is in an earlier time zone or a negative number for a later time zone.
  5. If desired, select Attempt to auto-discover time offset to have WS_FTP attempt to determine the correct offset automatically. For more information, see Site Options: Startup.


Time Displays as 00:00

Occasionally, you may see the time for older files displayed as 00:00. This means that the FTP site cannot furnish WS_FTP with the file times of older files. (WFTPD is an example of a popular FTP site which exhibits this behavior.)


Naming and Renaming Files

In This Section

Renaming a file before or after transfer

Renaming a file as you transfer it

Getting prompted for path and file name

Having the FTP Site assign the file name

Having WS_FTP assign the file name

Converting file names to lower case

Converting file extensions


Renaming a file before or after transfer

Not all FTP sites allow you to rename files and folders on the site. You can rename files only if you have an account on the FTP site and permission to rename files and folders.

If you cannot rename a file on an FTP site, you may not have renaming privileges on the site, or you may be trying to use a long name on an FTP site that does not allow long names. Try a name of eight characters or less.

To rename a file on an FTP site:

  1. Select the file(s).
  2. Click Rename (or select it from the shortcut (right- click) menu, or the File > Operations menu). You are prompted for the new name.
  3. Enter the new name for the item and click OK.

If you selected multiple files, you are prompted to rename the next file.

See also: Renaming a file as you transfer it


Renaming a file as you transfer it

You can get a prompt that allows you to enter a path and name for each file you transfer to/from the site. You can also rename just one file as you transfer it as follows:

  1. Select the file.
  2. Press and hold the Ctrl key.
  3. Click the Upload or Download arrow. You are prompted for a file name and location.
  4. Specify the location (path) and enter a new file name.
  5. Click OK.

If the name is not accepted, you may be trying to use a long name on an FTP site that does not allow long names. Try a name of eight characters or less.


Getting prompted for path and file name

When you transfer a file, WS_FTP can automatically display a prompt that shows you the proposed destination path and file name and allows you to confirm or change them.

To get a prompt for transfers:

  1. From the Site Manager, select the site in the Sites list.
  2. Click Edit.
  3. Select the Transfer page.
  4. Select Prompt for Destination File Names.


Having the FTP Site assign the file name

You can have WS_FTP make sure the [image] uploaded file names do not conflict with existing files if the FTP site supports the STOU FTP command. The new filename is determined by the FTP site.

Transfer a file from your local PC to an FTP site.

  1. From the Site Manager, select the site in the Sites list.
  2. Click Edit.
  3. Select Transfer.
  4. Select Send Unique.


Having WS_FTP assign the file name

You can have WS_FTP make sure [image] downloaded file names do not conflict with existing files. The new filename is changed so that the numbers 000-999 are added before the extension.

Transfer a file to your local PC from an FTP site.

  1. From the Site Manager, select the site in the Sites list.
  2. Click Edit.
  3. Select the Transfer page.
  4. Select Receive Unique.


Converting file names to lower case

Some sites require file names that use all lower case letters. You can have WS_FTP automatically convert file names to all lower case as you transfer them.

To convert uploaded file names to lower case:

  1. From the Connections menu, select Site Manager.
  2. Select the site in the Sites list.
  3. Click Edit.
  4. Select Transfer.
  5. Select Force Lowercase Remote Names.


Converting file extensions

How to get to the Program Options Dialog

  1. In the tool bar, click Options (or select Tools > Options) to open the Program Options dialog.
  2. In the left pane, select a properties category.

WS_FTP can automatically convert the extensions of files you transfer. For example, if the FTP site uses .html for HTML files and your system uses .htm, you can specify that all files with the extension .html be converted to .htm when they are downloaded to your system.

The list in the Extensions dialog, under Options > Transfer > Extensions, shows all user defined extension conversions for the selected program options.

Important: Extensions can be set up for a per host basis or as a program option for all files. The Convert Extensions option, at Site Options: Transfer, must be selected to enable the host settings or the program options settings. If Extension settings are defined for a host and the program options, the host settings take priority over the program options settings. For more information about setting up Extension settings for a selected host, see Site Options: Converting File Extensions.

To add an extension conversion:

  1. In the toolbar, click Options.
  2. Click Transfers > Extensions.
  3. Click Add.
  4. In the Local text box enter the file extension of the local file.
  5. The Conversion drop-down allows you to configure whether the conversion should happen on [image] download, upload or both.

    downextconvert

    File extensions are changed only as files are downloaded.

    upextconvert

    File extensions are changed only as files are uploaded.

    bothextconvert

    File extensions are changes as files are both uploaded and downloaded.

    Example

    .xyz upextconvert .txt means that if file.xyz is uploaded, it will be changed to file.txt. However, file.txt will remain file.txt if it is downloaded.

  6. In the Remote text box, enter the file extension of the remote file.
  7. Click Ok. The extension conversion appears in the list box.

To delete an extension conversion:

  1. Select it in the list box.
  2. Click Remove.

To change the processing order of extension conversions:

  1. Select the entry to change.
  2. Click the up or down arrow to rearrange the item in the list. (The application processes from top to bottom, and continues until a matching conversion is found).

Related Topics

Conversion Rule Explanations

downextconvert | File extensions are changed only as files are downloaded.
upextconvert | File extensions are changed only as files are uploaded.
bothextconvert | File extensions are changes as files are both uploaded and downloaded.

Example

.xyz upextconvert .txt means that if file.xyz is uploaded, it will be changed to file.txt. However, file.txt will remain file.txt if it is downloaded.


Deleting Files and Folders

In This Section

Deleting files and folders

Deleting non-empty folders

Confirming deletions


Deleting files and folders

To delete a file or folder from a site (if you have permission to delete files from the site):

  1. Select the file or folder.
  2. Click Delete on the command bar, select Operations > Delete from the shortcut (right- click) menu, or use Delete on your keyboard.

    Note:If a folder is not empty, you cannot delete it unless you have selected Allow deletion of non-empty folders on the General page of Program Options.

    If you cannot delete a file from a site, you may not have delete permissions on the site. Contact your Server administrator for details on your permissions on their server.


Deleting non-empty folders

You can always delete empty folders from an FTP site, if the site allows it. However to delete non-empty folders and all their contents, do the following:

  1. Select Tools > Options.
  2. Select the General page.
  3. Select Allow deletion of non-empty folders. This permits deletion of folders from FTP sites that allow it; this setting has nothing to do with deleting folders from your PC.


Confirming deletions

When you attempt to delete a file, you can have WS_FTP display a dialog box that confirms the deletion. This gives you a chance to change your mind, or to cancel a deletion you initiated by mistake. You can select this option for a particular FTP site, for all sites in a particular folder, or all sites.

To verify deletions from a particular site:

  1. Click Connect to open the Site Manager.
  2. Select the site in the Sites list, then click Edit.
  3. Select the Advanced page.
  4. Select Verify Deletions.
  5. Click OK.


Using the Information Window

In This Section

WS_FTP Transfer Manager

Transfer Manager tab

Transfer History tab

Removing files from the Transfer Manager

Viewing logs

Scheduling a transfer with the Transfer Manager

Building a list of files for transfer (Batch Mode) (WS_FTP Professional)


WS_FTP Transfer Manager

The Transfer Manager is used to manage the transfer of files, to monitor multiple transfers, and to research multiple log files created through WS_FTP transfers.

How To

Use the Transfer Manager to monitor transfers

Removing files from the Transfer Manager

View logs through the Transfer Manager

Building a List of Files for Transfer

Scheduling a Transfer with the Transfer Manager


Transfer Manager tab

The Transfer Manager window displays a list of all pending uploads and downloads, as well as active transfers. This list can be sorted by clicking on the column headers.

  • Source - The path and name of the file or folder that is to be transferred.
  • Status - The current status code of the listed item. For more information about specific status messages, see Transfer Manager Status Codes. Click the pause icon to pause the transfer or the start icon to start or resume the transfer.
  • Progress - Indicates how complete the event listed in Status is.
  • Transferred - The size of the transfer in bytes.
  • Rate (KB/S) - The number of Kilobytes being transferred per second.
  • Time Left - The estimated time left until the transfer is complete.

To start a transfer

  1. Select the items on the transfer list.
  2. Select Start from the right-click menu, or click Start in the Status column.

    You can also start individual items by clicking the Start in the Status column.

To delete an item

  1. Select the item in the transfer list.
  2. From the right-click menu, select Delete.

Note: The transfer must be paused or completed before it can be deleted.


Transfer History tab

The Transfer History tab of the Information Window displays a list of successful transfers. This list can be sorted by clicking on the column headers.

  • Transfer Arrow - The arrow on the far left side of the item identifies what type of transfer was performed. An up arrow means upload, a down for download, and a left- right arrow is for site to site transfers.
  • Date - This is the date and time the transfer was completed.
  • Source - This is the site that was used to connect to the source.
  • Source Path - The path on the source directory from the root to the transferred item.
  • Source File Name - The name of the source file that was transferred.
  • Destination - The site and folder that was used to connect to the destination.
  • Destination Path - The path on the destination directory from the root to where the transferred item was placed.
  • Destination File Name - The name of the file after it has been transferred.
  • Size - The size of the transferred file in bytes.

Executing a file:

Once a file is successfully transferred, you can select it and choose Execute from the right-click menu. If it is a download, the destination file will be executed. If it is an upload, the source file will be executed.

Clearing the History:

  • You can clear items from the history list by selecting them and choosing Delete from the right-click menu.
  • You can clear the entire list by selecting Clear All from the right-click menu.

Decompressing a ZIP file:

  • After you downloaded a .zip file, you can select it and choose Decompress from the right-click menu.

Decrypting a OpenPGP file:

  • After you download a OpenPGP-encrypted file, you can select it and choose Decrypt from the right-click menu.


Removing files from the Transfer Manager

To remove a file from the Transfer Manager:

  1. Select the file you want removed.
  2. From the right-click menu, select Delete.


Viewing logs

When a transfer begins on the Transfer Manager, WS_FTP will create a log file for both the connection and the transfer itself.

To view the log for a transfer:

1. Selecting the transfer request.

2. From the right-click menu, select Log. The Log for that file is displayed.


Scheduling a transfer with the Transfer Manager

  1. Select the item or items on either the Transfer Manager or Transfer History tab.
  2. From the right-click menu (depending on what tab you are on), select Schedule. The Schedule Item Properties dialog appears.
  3. Enter the information needed on the Schedule Item Properties dialog.
  4. Click OK to add the item to the scheduler.


Building a list of files for transfer (Batch Mode) (WS_FTP Professional)

When transferring multiple files, you may find it easier to first build a list of files for transfer, then process the transfer. When Batch Mode is active, you can browse folders and add files to the batch list. You can review the list, make any changes, and then upload or download the entire list.

To transfer files and folders using Batch Mode:

  1. Connect to a site.
  2. Select Tools > Batch Mode to start Batch Mode.
  3. Select a file or folder and click the transfer arrow, the item will be placed in the Transfer Manager. You can also drag-and-drop files, subject to the following conditions:
    • If you drag-and-drop a file to a location inside the application, the file is added to the batch.
    • If you drag-and-drop a file to a location outside the application, then the file will immediately transfer; the file will not be added to the batch.
  4. Once you have added all of the items to the 'batch,' you can review the list and proceed as follows:
    • To view the list of files for transfer, in the Transfer Manager, select the file name and click the plus sign (+) to expand the list.
    • To transfer the entire list, right-click the top-level file (in the Transfer Manager) and click Start.
    • To remove a file from the Transfer Manager, right-click the file, then select Delete.
  5. Select Tools > Batch Mode to take WS_FTP out of batch mode. WS_FTP will then prompt you to start the transfer. If you decline to start it at that time, you can start it later by clicking the start button in the Transfer Manager.


Securing Your Transfers

In This Section

SSL vs. SSH

SSL vs Implicit SSL

About transfer integrity checks

Verifying transfer integrity


SSL vs. SSH

With both SSL and SSH, it is up to the administrator of the server you are trying to make a connection with to tell you which server type is being run at that address. If you do not know, and attempt to make an SSL connection or an insecure connection to an SSH server, the connection will fail, even if you change the port to 22 in the Site Profile.

  • SSL - Secure Sockets Layer generally uses port 21.
  • SSH - Secure Shell generally uses port 22. (WS_FTP Professional)

Related Topics

What is SSH?

SSL vs Implicit SSL

How to make an SSL connection

How to make an SSH connection


SSL vs Implicit SSL

WS_FTP uses two types or 'flavors' of the SSL protocol. Explicit SSL and Implicit SSL. The encryption strength and stability is virtually the same. The only difference lies in the way the client communicates with an FTP server during connection negotiations, and the port that the server is 'listening' on.

  • Explicit SSL - Client starts the connection with a connection 'in the clear' and then attempts to secure the connection before sending the username and password.
  • Implicit SSL - In this version, the client sends all negotiations to the server in a secure manner. Implicit SSL connections use port 990, so any attempt at connecting to a server that is not configured for Implicit SSL will fail.


About transfer integrity checks

If supported by the FTP server, WS_FTP can perform a file integrity check on all transferred files. As part of the last step of the transfer, both the FTP client and the FTP server perform a cryptographic hash of the transferred file. If the values agree, both sides "know" that the file transferred is completely identical to the original. The results of the file checks are displayed in the WS_FTP log.

This feature detects data modification so connection hijacking attacks (when an attacker reads, inserts, or modifies files in transit) can be detected in file transfers.

So how does file transfer integrity work?

First, file transfer integrity is enabled on a site-by-site basis be selecting the Check Transfer Integrity option in the Site Options > Transfer dialog.

Once enabled for a site, the type of integrity checking done is controlled by the Program Options> File Integrity dialog. WS_FTP will use all the file integrity algorithms that are selected, in the order they are displayed, to check a file after transferring. For each algorithm, WS_FTP will check the response from the server to see if the server supports it (using the FEAT command). If the server returns an error, (usually “500 command not supported”), WS_FTP will try the next algorithm, and remember the ones that the server does not support. Support of a particular file integrity algorithm can be checked by looking for errors in the Connection Log after a file transfer.

WS_FTP will use the following commands to the server for integrity checking: XCRC, XMD5, XSHA1, XSHA256 and XSHA512. Although none of these commands have the weight of Internet standards, one or more of these commands are supported by most of the servers that support integrity checking.

If no file integrity algorithms are supported by the server, then, as a last resort, if the Use size comparison in Transfer Integrity Checking option is selected, WS_FTP will check the size of the recently transferred file by sending the SIZE command to the remote server. If the server supports the SIZE command (and not all servers do), WS_FTP will compare the value returned from the server with the size of the local file. Although this is not a guarantee of file integrity, it is a minimum check that the correct number of bytes were transferred.

The algorithm strength also impacts the time it takes to verify file integrity. The higher the algorithm strength, the longer the transfer verification takes.


SSL

In This Section

Making an SSL connection

Client Certificate Verification

Program Options: Client Certificates

Program Options: Trusted Authorities

Non-Trusted Certificate

Removing a certificate

Exporting a certificate

Importing a certificate


Client Certificate Verification

If the server you are attempting to make a connection to requires your client to send a [image] certificate back to the server, you must:

A certificate is an identification file used in connection negotiations. Certificate files usually have a .crt extension.

  1. Configure the site with the FTP/SSL or FTP/Implicit SSL server type.
  2. Create a certificate.
  3. Send the [image] certificate signing request file to your server administrator.

    This file is created when the certificate is generated. It is to be sent to your server administrator to be signed and returned to you. The file usually ends in .csr.

  4. Once the server administrator signs your certificate signing request, a certificate file will be sent back to you.
  5. When you receive the file, you need to import the signed certificate file.
    1. From Program Options, select SSL > Client Certificates.
    2. Click the Import button to start the Import Wizard.
    3. When prompted for the Certificate File, provide the path to the signed certificate file you received from the server administrator.
    4. When prompted for the Private Key File, provide the path to the private key file of the certificate that you originally created.
    5. When prompted for the Certificate Name, provide a new name for the certificate that you created that signifies that the certificate has been signed by the server administrator.
  6. Select the newly imported certificate in Client Certificate drop down on the site's SSL page.
    1. Select the site in the Site Manager.
    2. Click Edit.
    3. Select Advanced > SSL.
    4. Select your signed certificate in the Client Certificate list.
    5. Click OK.
  7. Connect to the server.


Program Options: Client Certificates

How to get to the Program Options Dialog

  1. In the tool bar, click Options (or select Tools > Options) to open the Program Options dialog.
  2. In the left pane, select a properties category.

To create an SSL [image] certificate :

A certificate is an identification file used in connection negotiations. Certificate files usually have a .crt extension.

  1. In Program Options, select SSL > Client Certificates.
  2. Click Create. The Certificate Creation wizard appears.
  3. Once you finish the wizard, the client will appear in this list.

To import an SSL certificate, click Import and follow the on-screen instructions.

To delete an SSL certificate, select the certificate and click Delete.

If you are creating a certificate to be used by WS_FTP, contact your server administrator for instructions on getting the certificate signed, if it is required by the server.


Program Options: Trusted Authorities

How to get to the Program Options Dialog

  1. In the tool bar, click Options (or select Tools > Options) to open the Program Options dialog.
  2. In the left pane, select a properties category.

The Trusted Authorities dialog stores a list of [image] certificate names that are recognized or trusted by your client. When a certificate is trusted, WS_FTP will make the connection without prompting the user.

A certificate is an identification file used in connection negotiations. Certificate files usually have a .crt extension.

Certificate Display

  • Issued To - Who the certificate was issued to.
  • Issued By - Who the certificate was signed by.
  • Expires - Date on which the certificate expires.

Related Topics

Importing a certificate

Exporting a certificate

Removing a certificate


Non-Trusted Certificate

When you connect to a server using the SSL connection option, that server sends you a [image] certificate . If that certificate is not listed on the Trusted Authority tab, or if it was not trusted by a certificate on this list, this window appears.

A certificate is an identification file used in connection negotiations. Certificate files usually have a .crt extension.

Certificate Information

  • Issued To. Name of the person or company who the certificate belongs to.
  • Issued By. Name of the person or company who signed the certificate.
  • Active From. The date on which this certificate was activated.
  • Expires On. The date the displayed certificate will no longer be a valid certificate.

Options

  • Allow this connection only. If this option is selected, the connection will be made, but WS_FTP will still not recognize the certificate as a trusted authority. The next time you attempt to connect to this server, this window appears once again.
  • Trust this certificate. If this option is selected, the connection will be made and the certificate will be added to the trusted authority database in the Trusted Authority tab.
  • Do not allow this connection. If this option is selected, the connection will be terminated.


Removing a certificate

To remove a certificate from the Trusted Authorities database:

  1. On the Trusted Authorities page in the Program Options, select the certificate to be removed.
  2. Click Remove.
  3. A warning appears advising you to export the certificate before you remove it. Removing the certificate will delete the certificate file.
  4. Click OK to remove the certificate.


Exporting a certificate

To export a certificate from the Trusted Authorities database:

  1. Select the certificate you want to copy out of your database.
  2. Click Export.
  3. Select the folder you want to copy the certificate to and enter the name you want to save the certificate file as.
  4. Click OK.


Importing a certificate

To add a certificate to the Trusted Authorities database:

  1. On the Trusted Authorities dialog of Program Options, click Import and select the path and file name for the certificate. The Add Certificate window appears.
  2. Review the information on that window and click Yes to add the certificate to the database.


WS_FTP Search (local search)

In This Section

Using the Search Utility

Using Search options


Using the Search Utility

Using the Search Utility (local search): You can use Search Utility to search local files that you want to transfer from your computer to an FTP server. If you have the Copernic™ or Google™ Desktop Search utility installed, you can search for file content using their integrated search engine from the Ipswitch WS_FTP client. For more information about selecting the search utility, see the Program Options: General topic.

To search for local files:

  1. From the Tools menu, click Search > Local File. The Search tab displays in the local window.
  2. In the Search box, enter the file name or part of the file name you want to find. You can use wildcard characters such as * and ?. If the Local Desktop Search (Windows search) is enabled, click Options to select other search options. The search Options are not available if using the Copernic or Google Desktop Search utility.
  3. Click the search icon. The search results are displayed in the search results list below.
  4. Select the file that you want to upload from the search results. Upload the files to the FTP server you select.

Important: Only a single file at a time can be selected and transferred from the search results.

Note: The local Search tab view is created automatically at start up if the Open Last Local and Remote Folders option is selected in the Tools > Options > General > Auto reconnect.

Related Topics

Using Search Options (local search)

Using the Find Utility (remote search)


Using Search options

Use the Search Options to narrow the search criteria when the Local Desktop Search option (Windows search) is enabled under Tools > Options > General > Desktop Search Technology list.

Note: The Search Options button is disabled when the Google Desktop Search or the Copernic Desktop Search utility is installed and enabled. To select and enable a different local desktop search utility, go to Tools > Options > General > Desktop Search Technology list.

Enter the search criteria in the search box. Use * and ? to specify wildcard search characters. You can search based on a single criteria, or if you have selected the Local Desktop Search option, you can enter multiple search criteria in the Search option dialog:

  • Look in. Enter the file path or click the folder icon to browse for the file path to search for files in.
  • Search Subfolders. Select this option to search the specified file path and directories located below the file path.
  • Case Sensitive. Select this option to turn on case sensitive search capabilities.
  • Modified date. Select an option to narrow file search by date:
    • Any date. Select this option to search for files of any date range.
    • Within last week. Select this option to search for files within the last week.
    • Within last month. Select this option to search for files within the last month.
    • Within last year. Select this option to search for files within the last year.
    • Specify dates. Select to make date range options available.
  • From. Select a start date for the file search.
  • To. Select a end date for the file search.
  • Size. Select an option to search for files within specified sizes.
    • Any file size. Select this option if you do not want to specify a minimum or maximum file size.
    • Specify size (in bytes). Select at least to search for a minimum file size or at most to search for a maximum file size, then select minimum or maximum size of the files you want to find.

Related Topics

Using the Find Utility (remote search)


Advanced Features (WS_FTP Professional)

In This Section

WS_FTP Script

WS_FTP Scheduler

WS_FTP Search (remote search)

WS_FTP Synchronize

WS_FTP Backup Wizard

Compression Mode

SSH/SFTP

FIPS Mode

Using OpenPGP Mode

Active Edit

Using workspaces

Using Notifications


WS_FTP Script

In This Section

Overview of Scripting (WS_FTP Professional)

Starting the Script Utility (WS_FTP Professional)

Basic Syntax (WS_FTP Professional)

Command Reference (WS_FTP Professional)

Debugging Scripts (WS_FTP Professional)

Debugging Commands (WS_FTP Professional)

File Transfer Tasks (WS_FTP Professional)

Executing Scripts (WS_FTP Professional)

Post Transfer Actions (WS_FTP Professional)

Sample Scripts (WS_FTP Professional)


Overview of Scripting (WS_FTP Professional)

How to get to the Script Utility

The Script Utility lets you write, debug, and execute scripts that can perform many of the file transfer operations available in WS_FTP.

The Script Utility Tool Bar

  • Open - Click to locate a script file to open.
  • Save - Click to save either the script or the log file.
  • Clear - Click to clear the script window, the log window, or both windows.
  • Run - Click to run the commands in the script window.
  • Step - Click to step through the commands in the script window one command at a time. Each time you click, the next command is executed.
  • Stop - Click to terminate a running script.
  • Schedule - Click to open the Schedule Item Properties dialog to set up tasks for the Scheduler Utility to run. After information is entered, click OK to add the item to the Scheduler queue.

The Log Window Right-Click Menu

Right-clicking on the Log window allows you to save or print the log, in addition to standard text functions.

Related Topics

Sample Scripts

File Transfer Tasks

Post Transfer Actions

Script Flow Control

Debugging

Script Command Reference


Starting the Script Utility (WS_FTP Professional)

You can start the WS_FTP Script Utility in the following ways:

  • Select Start > Programs > Ipswitch WS_FTP 12 > Utilities > WS_FTP Script Utility.
  • With WS_FTP open, select Tools > Script Utility.


Basic Syntax (WS_FTP Professional)

To run a script, type ftpscrpt followed by the appropriate arguments. For example,

ftpscrpt -f script1.scp


Command Reference (WS_FTP Professional)

Commands |  | Execution Control | Debugging
ACCT | PASS | LABEL | LOG
AUTH | POSTXFER | GOTO | TRACE
CD | PUT | ONERROR |
CLOSE | QUOTE | ONSUCCESS |
CONNECT | RDEL |  |
DEL | RENAME |  |
DIR | RGET |  |
GET | RMDIR |  |
LCD | RNFR |  |
MDELETE | RNTO |  |
MGET | RPUT |  |
MKDIR | SHELL |  |
MODE | SITE |  |
MPUT | USER |  |


Debugging Scripts (WS_FTP Professional)

To debug a script:

  1. Open the script file.
  2. Make sure you have TRACE and LOG commands at the beginning of the script.
  3. Step through the script using the Step button and use the information in the "Trace" and "Log" windows to determine which commands are executing as desired and which are not.
  4. Use online Help to look up any commands that are not executing as desired and correct the command syntax.


Debugging Commands (WS_FTP Professional)

You can debug your script by:

Tracing the results of each script command (TRACE)

Viewing a log of FTP events (LOG)


File Transfer Tasks (WS_FTP Professional)

Your script can perform the file transfer tasks shown below. (For a simple list of commands, click here.)

Logging On

  • Connect to site on a particular port (CONNECT)
  • Set the user ID for the log on to the site (USER)
  • Set the password for the log on to the site (PASS)
  • Set the user ID for your firewall
  • Set the password for your firewall
  • Specify PASV or PORT mode (MODE)

Navigating and Viewing Files and Folders

  • Change the current folder on your PC (LCD)
  • Change the current folder on the site (CD)
  • Issue a list command to the site using a file mask (DIR)

Managing Files and Folders

  • Create a folder on the site (MKDIR)
  • Delete a folder from a site (RMDIR)
  • Delete a file from a site (DEL)
  • Delete either multiple files or folders with contents from an FTP site (RDEL)
  • Rename a file or folder on a site (RNFR)

Transferring Files and Folders

  • Using Append, Multipart, Compress or OpenPGP Mode for a transfer (MODE)
  • Copy a file from a site (GET)
  • Copy multiple files from a site (MGET)
  • Copy multiple files or folders with contents (RGET)
  • Copy a file to a site (PUT)
  • Copy multiple files to a site (MPUT)
  • Copy either multiple files or folders with contents to a site (RPUT)
  • After transfer has completed, delete, rename, or move the source files

Other

  • Shell out to your PC to execute command line (SHELL)
  • Close a connection you have opened (CLOSE)
  • Setting what to do when a command succeeds (ONSUCCESS)
  • Setting what to do when an error occurs (ONERROR)
  • Go to a point in the script (GOTO)
  • Establish a labeled point in the script for use with GOTO command (LABEL)


Executing Scripts (WS_FTP Professional)

  1. Write and save your script.
  2. Do one of the following:
    • In the Scripting Utility, click Run.
    • Go to the MS-DOS prompt and type ftpscrpt followed by the appropriate command line parameters. For example,

      ftpscrpt -p sitename -f script1.scp

Note: To be able to run a script from any location on your hard disk, we recommend that you place the Scripting Utility folder in the Path statement in your Autoexec.bat file or add the WS_FTP folder to the path variable in the System Environment. Otherwise, change to your .ini file folder before you enter the commands.


Post Transfer Actions (WS_FTP Professional)

Post transfer actions let you further process a source file after the transfer has been completed. If you are doing an upload, then the source file is in a local folder, and the post transfer action will be processed on the local machine. If you are doing a download, then the source file is in a remote folder, and the post transfer action will be processed on the remote server, if the server allows it.

You can choose from the following actions:

  • POSTXFER - Enables Post Transfer Mode.
  • PXDELETE - After the file transfer is completed, delete the source file(s) from the folder.
  • PXRENAME <Rename Mask> - After the file transfer is completed, rename the source file(s) in the folder.
  • PXMOVE <directory> - After the file transfer is completed, move the source files to a specified folder.

    Note:To move the file, the source location must have access to the specified folder. For example, you cannot move local files to a remote site; you can move files from a local folder to another local folder; or from a remote folder to another folder on the remote site.

  • PXRENAME <Rename Mask> PXMOVE <directory> - After the transfer has completed, renames the source file(s) using the Rename Mask (described above), then moves the files to the specified directory on the source machine.
  • POSTXFER PXOFF - Disables Post Transfer Mode.

For information about using these commands in a script, see:

POSTXFER Command Syntax

Sample Scripts


Sample Scripts (WS_FTP Professional)

Sample 1. A script that downloads a file (anonymous login)

In this example, the script connects to the Ipswitch FTP site and downloads a "Read Me" file.

Type at Command Prompt:

C:/ftpscrpt -f getreadme.scp

getreadme.scp

TRACE SCREEN
LOG SCREEN
USER anonymous
PASS ipswitchuser@unknown
CONNECT ftp.ipswitch.com
CD Ipswitch\Product_Downloads
DIR
GET readme.txt
CLOSE

Sample 2. A script that uploads web pages to a hosted site (most parameters in script commands)

In this example, the script connects to a specific FTP site entering a user ID and password. Then the script changes (CD) to the appropriate folder on the FTP site and on the local system (LCD). Finally it copies all the .htm files in the current local folder to the current FTP folder.

Type at Command Prompt:

C:/ ftpscrpt -f postwebsite.scp

postwebsite.scp

TRACE Screen

LOG Screen

USER Louie

PASS Petra

CONNECT ftp.acme_isp.com

CD htmfiles/LouPetra

LCD C:/webstuff/current/

MPUT *.htm

CLOSE

Sample 3. A script that uploads web pages to a hosted site (most parameters in command line)

In this example, the command line and the script achieve exactly the same result as the previous script, but the parameters are entered in the command line instead of in the script.

Type at Command Prompt:

C:/ ftpscrpt  MySites!Zebra  -f postwebsite.scp

postwebsite.scp

TRACE Screen

LOG Screen

CONNECT

LCD C:/LPwebstuff/current

MPUT *.html

CLOSE

Sample 4. A script that uploads web pages to a hosted site, then moves the source files to a new folder (via the Post Transfer command)

In this example, the script connects to a specific FTP site entering a user ID and password. Then the script changes (CD) to the appropriate folder on the FTP site and on the local system (LCD). It then copies all the .htm files in the current local folder to the current FTP folder. Finally, after the transfer completes, the script moves the source files to an archive folder: C:/webstuff/archive/

Type at Command Prompt:

C:/ ftpscrpt -f postwebsite.scp

postwebsite.scp

TRACE Screen

LOG Screen

USER Louie

PASS Petra

CONNECT ftp.acme_isp.com

CD htmfiles/LouPetra

LCD C:/webstuff/current/

POSTXFER PXMOVE C:/webstuff/archive/

MPUT *.htm

POSTXFER PXOFF

CLOSE


WS_FTP Scheduler

In This Section

About WS_FTP Scheduler (WS_FTP Professional)

Starting the Scheduler Utility (WS_FTP Professional)

Add to Scheduler (WS_FTP Professional)

Deleting a task (WS_FTP Professional)

Editing a task (WS_FTP Professional)

Running a task (WS_FTP Professional)


About WS_FTP Scheduler (WS_FTP Professional)

WS_FTP Scheduler lets you schedule regular uploads or downloads for files or directories. The utility is a front-end interface to Microsoft Scheduler.

To use the Scheduler Utility, select Tools > Scheduler Utility.

The Scheduler window shows all queued FTP tasks and their status. The tasks are listed from top to bottom in the order in which they were added to the list. For each task, the Scheduler window shows the following information:

  • Task Name - The name of the task file.
  • Next Run Time - The date and time the task is scheduled to run.
  • Last Status - The status of the task.

Scheduler Tasks

Add to Scheduler

Deleting a task

Editing a task

Running a task


Starting the Scheduler Utility (WS_FTP Professional)

You can start the WS_FTP Scheduler Utility in the following ways:

  • Select Start > Programs > Ipswitch WS_FTP 12 > Utilities > WS_FTP Scheduler.
  • With WS_FTP open, select Tools > Scheduler Utility.


Add to Scheduler (WS_FTP Professional)

To add a task to the scheduler from the Scheduler Utility:

  1. From the WS_FTP Scheduler menu, select File > New > Transfer. The Scheduler Properties dialog appears.
  2. Click Browse next to Source Path/File. The Browse for Folder dialog opens.
  3. On the Local or Remote tab, select the source folder for the transfer. Click OK.
  4. Click Browse next to Destination Path/File. The Browse for Folder dialog opens.
  5. On the Local or Remote tab, select the destination folder for the transfer. Click OK.
  6. Select other options as appropriate.
  7. Under Frequency Options, select how often you want this transfer to occur: Once, Minutes, Daily, Weekly, Monthly, each time you Startup WS_FTP, or each time you Logon to the site.
  8. Click OK to add the task to the list.


Deleting a task (WS_FTP Professional)

To remove a scheduled task from the list:

  1. From the WS_FTP Scheduler dialog, select the item on the scheduler queue.
  2. Select File > Delete. A confirmation dialog appears.
  3. Click OK to remove the item from the queue.

Tip: You can also press the Delete key or right-click a scheduled task and click Delete.


Editing a task (WS_FTP Professional)

To edit a task previously added to the Scheduler queue:

  1. From the WS_FTP Schedular dialog, select the item on the scheduler queue.
  2. Select File > Edit. An edit dialog appears.
  3. Make the changes you need to make to the item and click OK.

Tip: You can also double-click on the item or right-click a scheduled task and click Edit.


Running a task (WS_FTP Professional)

Tasks that are on the scheduler queue run automatically as long as your local system is connected to the Internet. You can also run a scheduled task manually.

To run a scheduled task off- schedule:

  1. From the WS_FTP Scheduler dialog, select an item on the scheduler queue.
  2. Select File > Run. The selected task runs.


WS_FTP Search (remote search)

In This Section

Introduction (WS_FTP Professional)

Using the Find Utility (WS_FTP Professional)

Making the Connection (WS_FTP Professional)

Retrying the Connection (WS_FTP Professional)

Disconnecting from an FTP Site (WS_FTP Professional)

Specifying Where to Look (WS_FTP Professional)

Overview of Criteria (WS_FTP Professional)

Searching a Different FTP Site (WS_FTP Professional)

Searching by Date Modified (WS_FTP Professional)

Searching by Name (WS_FTP Professional)

Searching by Size (WS_FTP Professional)

Results list (WS_FTP Professional)

Renaming a File (WS_FTP Professional)

Deleting a File (WS_FTP Professional)

Transferring Files and Folders (WS_FTP Professional)

Date Modified Tab (WS_FTP Professional)

Name and Location Tab (WS_FTP Professional)

Advanced Tab (WS_FTP Professional)


Introduction (WS_FTP Professional)

The Find Utility (remote search), based on FTP, lets you quickly search for files and folders on [image] FTP sites , then transfer the found files to your computer. The Find Utility is designed to work in conjunction with WS_FTP; it provides easy access to the FTP sites you have already configured in WS_FTP.

An FTP site consists of an FTP server program located on an Internet host computer.

Many companies and organizations maintain FTP sites (also known as “FTP servers”). These can be:

  • File repositories from which you can copy files such as free programs and evaluation versions of software. WS_FTP provides a number of popular FTP sites that have already been configured for you. When you connect to an FTP site like this, look for a file called readme, readme.txt, index, or 00index. Such files provide descriptions of the resources available on the site as well as other useful information.
  • File repositories where you can place files for use by others. (For example, a site on which you place your Web site pages for your ISP, or a site on which you place a photograph file for use in an online auction.)

To find files, you first connect to an FTP site, then enter search criteria. You can search by name, date modified, size, or any combination of the three.

Related Topics

Using the Search Utility (local search)

Using the Find Utility (remote search)


Using the Find Utility (WS_FTP Professional)

You can use Find Utility to search for remote files that you want to transfer from an FTP server to your computer or another FTP server.

You can start the WS_FTP Find Utility in the following ways:

  • Select Start > Programs > Ipswitch WS_FTP 12 > Utilities > WS_FTP Find Utility.
  • With WS_FTP open, select Tools > Search > Remote Files.


Making the Connection (WS_FTP Professional)

The Find Utility attempts to connect you to the [image] FTP site . Once the connection is made, you can use the [image] Browse button to view folders starting at the current folder.

Once you connect to a site, you can select Browse to locate and choose a folder to search. The folders are displayed starting at the folder shown in Look in.

An FTP site consists of an FTP server program located on an Internet host computer.

Many companies and organizations maintain FTP sites (also known as “FTP servers”). These can be:

  • File repositories from which you can copy files such as free programs and evaluation versions of software. WS_FTP provides a number of popular FTP sites that have already been configured for you. When you connect to an FTP site like this, look for a file called readme, readme.txt, index, or 00index. Such files provide descriptions of the resources available on the site as well as other useful information.
  • File repositories where you can place files for use by others. (For example, a site on which you place your Web site pages for your ISP, or a site on which you place a photograph file for use in an online auction.)

The connection to the FTP site lasts until:

  • You close the connection,
  • You quit the Find Utility, or
  • Your connection to the FTP site is interrupted by external circumstances (such as your modem becoming disconnected).

See also:

Entering User ID and Password


Retrying the Connection (WS_FTP Professional)

To have the Find Utility retry connecting to an [image] FTP site if the first attempt fails,

An FTP site consists of an FTP server program located on an Internet host computer.

Many companies and organizations maintain FTP sites (also known as “FTP servers”). These can be:

  • File repositories from which you can copy files such as free programs and evaluation versions of software. WS_FTP provides a number of popular FTP sites that have already been configured for you. When you connect to an FTP site like this, look for a file called readme, readme.txt, index, or 00index. Such files provide descriptions of the resources available on the site as well as other useful information.
  • File repositories where you can place files for use by others. (For example, a site on which you place your Web site pages for your ISP, or a site on which you place a photograph file for use in an online auction.)
  1. Click the Advanced tab.
  2. Enter the number of times to retry the connection in the Retry the Connection box.


Disconnecting from an FTP Site (WS_FTP Professional)

To disconnect from the current [image] FTP site , but use the search criteria on another FTP site, click the Disconnect button in the Find Utility.

An FTP site consists of an FTP server program located on an Internet host computer.

Many companies and organizations maintain FTP sites (also known as “FTP servers”). These can be:

  • File repositories from which you can copy files such as free programs and evaluation versions of software. WS_FTP provides a number of popular FTP sites that have already been configured for you. When you connect to an FTP site like this, look for a file called readme, readme.txt, index, or 00index. Such files provide descriptions of the resources available on the site as well as other useful information.
  • File repositories where you can place files for use by others. (For example, a site on which you place your Web site pages for your ISP, or a site on which you place a photograph file for use in an online auction.)


Specifying Where to Look (WS_FTP Professional)

The Look in box is where you specify which configured site profile to use to connect and search.

You can also connect to FTP sites you have not configured by simply entering the site’s host name or IP address. You will be connected as an anonymous user.

Entering the path. In the Look in text box, you can also enter the path you want to search. You can appended it to the site name by typing, or (once you have connected to the site) by using the [image] Browse button.

Once you connect to a site, you can select Browse to locate and choose a folder to search. The folders are displayed starting at the folder shown in Look in.


Overview of Criteria (WS_FTP Professional)

You can enter several types of search criteria. You can search by a single criterion such as name, date, or size. You can also combine search criteria by entering criteria on more than one tab; for example, you can search by:

  • Name and date
  • Name and size
  • Date and size
  • Name, date, and size


Searching a Different FTP Site (WS_FTP Professional)

To disconnect from the current [image] FTP site , but save the search criteria to use on another site, close the current connection.

An FTP site consists of an FTP server program located on an Internet host computer.

Many companies and organizations maintain FTP sites (also known as “FTP servers”). These can be:

  • File repositories from which you can copy files such as free programs and evaluation versions of software. WS_FTP provides a number of popular FTP sites that have already been configured for you. When you connect to an FTP site like this, look for a file called readme, readme.txt, index, or 00index. Such files provide descriptions of the resources available on the site as well as other useful information.
  • File repositories where you can place files for use by others. (For example, a site on which you place your Web site pages for your ISP, or a site on which you place a photograph file for use in an online auction.)


Searching by Date Modified (WS_FTP Professional)

If you know the exact or approximate date of the file (or folder) you want to find,

  1. Click the Date Modified tab.
  2. Click Find all files created or modified.
  3. Select the appropriate range of dates.
    • Between. Select this option to search for files that were created between the beginning and end dates. Use the mm/dd/yyyy format for both boxes.
    • During the previous x months. Select this option to search for files that were created within a certain number of months.
    • During the previous x days. Select this option to search for files that were created within a certain number of days.


Searching by Name (WS_FTP Professional)

If you know all or part of the name of the file (or folder) you want to find, click the Name & Location tab and type all or part of the name in the Named box. You can use wildcard characters such as * and ?

If you leave the Named box blank, the search will find all files in the Look in location.

If you don’t know the name of a file, search by date or size.


Searching by Size (WS_FTP Professional)

When searching for files, you can specify a minimum or maximum file size. However, you can’t search for folders by size, since folder size is always zero, even if the folder is not empty.

  1. Click the Advanced tab.
  2. Do one of the following:
    • In the Size box, select At least to search for a minimum file size or At most to search for a maximum file size. Then, indicate the minimum or maximum size of the files you want to find.

      For example, if you select At Least in the Size box and enter 50 in the KB box, the Find Utility looks for all files that are 50K or larger.

    • To disregard file size in the search, make sure that [blank] is selected in the Size box.


Results list (WS_FTP Professional)

The list of found files is displayed when files and folders meeting your criteria have been found. You can sort the list in ascending or descending order by clicking the column headings.

You can:

  • Transfer a file or folder
  • Rename a file or folder
  • Delete a file or folder


Renaming a File (WS_FTP Professional)

Once the Find Utility displays a [image] list of found files , you can rename a file in the list (if you have permission to rename files on the current [image] FTP site ).

An FTP site consists of an FTP server program located on an Internet host computer.

Many companies and organizations maintain FTP sites (also known as “FTP servers”). These can be:

  • File repositories from which you can copy files such as free programs and evaluation versions of software. WS_FTP provides a number of popular FTP sites that have already been configured for you. When you connect to an FTP site like this, look for a file called readme, readme.txt, index, or 00index. Such files provide descriptions of the resources available on the site as well as other useful information.
  • File repositories where you can place files for use by others. (For example, a site on which you place your Web site pages for your ISP, or a site on which you place a photograph file for use in an online auction.)

The list of found files is displayed when files and folders meeting your criteria have been found. You can sort the list in ascending or descending order by clicking the column headings.

You can:

  • Transfer a file or folder
  • Rename a file or folder
  • Delete a file or folder

To rename a file, select it and then select Rename from the right mouse menu.


Deleting a File (WS_FTP Professional)

You can delete a file in the [image] list of found files (if you have permission to delete files from that site).

The list of found files is displayed when files and folders meeting your criteria have been found. You can sort the list in ascending or descending order by clicking the column headings.

You can:

  • Transfer a file or folder
  • Rename a file or folder
  • Delete a file or folder

To delete a file, select it and then select Delete from the right mouse menu.


Transferring Files and Folders (WS_FTP Professional)

The Transfer item on the File menu displays a dialog box in which you can select the location to which you want to transfer the selected files in the [image] list of found files.

The list of found files is displayed when files and folders meeting your criteria have been found. You can sort the list in ascending or descending order by clicking the column headings.

You can:

  • Transfer a file or folder
  • Rename a file or folder
  • Delete a file or folder
  1. In the list of found files, select the files (and folders) you want to transfer.
  2. Select the desired transfer mode from the Options menu.
  3. Do one of the following:
    • Double-click the file or folder.
    • Drag the selected files to the desired location.
    • Right-mouse click on the file or folder and select Transfer.


Date Modified Tab (WS_FTP Professional)

This tab lets you search for files that were created between the dates you specify.

  1. Click the Date Modified tab.
  2. Do one of the following:
    • To search for files (or folders) created or modified during a specific time period, click Find all files created or modified and then select the appropriate range of dates.
      • Between. Select this option to search for files that were created between the beginning and end dates.
      • During the previous x months. Select this option to search for files that were created within a certain number of months.
      • During the previous x days. Select this option to search for files that were created within a certain number of days.
    • To disregard dates in the search, select All Files.


Name and Location Tab (WS_FTP Professional)

The Name & Location tab lets you specify where you want to look, and for what file name.

  • Named
  • Look in

    The Look in box is where you specify which configured site profile to use to connect and search.

    You can also connect to FTP sites you have not configured by simply entering the site’s host name or IP address. You will be connected as an anonymous user.

    Entering the path. In the Look in text box, you can also enter the path you want to search. You can appended it to the site name by typing, or (once you have connected to the site) by using the [image] Browse button.

    Once you connect to a site, you can select Browse to locate and choose a folder to search. The folders are displayed starting at the folder shown in Look in.

  • Browse

    Once you connect to a site, you can select Browse to locate and choose a folder to search. The folders are displayed starting at the folder shown in Look in.

  • Include Subfolders

    To search all subfolders of the Look in location, select Include Subfolders.

    If you want to search only the folder indicated in the Look in box, clear the Include Subfolders check box.

  • Find Now
  • Cancel

    Click Cancel to cancel a search that is in progress.

  • Disconnect

    To disconnect from the current [image] FTP site , but use the search criteria on another FTP site, click the Disconnect button in the Find Utility.

    An FTP site consists of an FTP server program located on an Internet host computer.

    Many companies and organizations maintain FTP sites (also known as “FTP servers”). These can be:

    • File repositories from which you can copy files such as free programs and evaluation versions of software. WS_FTP provides a number of popular FTP sites that have already been configured for you. When you connect to an FTP site like this, look for a file called readme, readme.txt, index, or 00index. Such files provide descriptions of the resources available on the site as well as other useful information.
    • File repositories where you can place files for use by others. (For example, a site on which you place your Web site pages for your ISP, or a site on which you place a photograph file for use in an online auction.)
  • Clear


Advanced Tab (WS_FTP Professional)

The Advanced tab allows you to do two things: specify a file size and/or indicate the number of times you want to retry to connect to a site.

If you are searching for a file, do one of the following:

  • In Size, select At least to search for a minimum file size or At most to search for a maximum file size. Then, indicate the minimum or maximum size of the files you want to find. For example, if you select At Least and enter 50 in KB, the Find Utility looks for all files that are 50K or larger.
  • To disregard file size in the search, select the first, blank option in Size.
  • To have the Find Utility retry connecting to an [image] FTP site if the first attempt fails, enter the number of times to retry the connection in the Retry the Connection box.

    An FTP site consists of an FTP server program located on an Internet host computer.

    Many companies and organizations maintain FTP sites (also known as “FTP servers”). These can be:

    • File repositories from which you can copy files such as free programs and evaluation versions of software. WS_FTP provides a number of popular FTP sites that have already been configured for you. When you connect to an FTP site like this, look for a file called readme, readme.txt, index, or 00index. Such files provide descriptions of the resources available on the site as well as other useful information.
    • File repositories where you can place files for use by others. (For example, a site on which you place your Web site pages for your ISP, or a site on which you place a photograph file for use in an online auction.)

Note: You can’t use Size to search for a folder, since all folder have a size of zero, even if they’re not empty.


WS_FTP Synchronize

In This Section

WS_FTP Synchronize Overview (WS_FTP Professional)

Starting WS_FTP Synchronize (WS_FTP Professional)

WS_FTP Synchronize Utility main screen (WS_FTP Professional)

Creating a Control File (WS_FTP Professional)

Using a Control File (WS_FTP Professional)

Executing Control Files Using HotSync (WS_FTP Professional)

Post Transfer Actions (WS_FTP Professional)

Exclusions (WS_FTP Professional)

Inclusions (WS_FTP Professional)

Using Visual Compare (WS_FTP Professional)

Command Line Arguments (WS_FTP Professional)


WS_FTP Synchronize Overview (WS_FTP Professional)

The WS_FTP Synchronize Utility lets you synchronize (mirror) two different directories (local and remote, local to local, or remote to remote). Use synchronize features to automatically keep your remote sites up-to-date by copying in new items and deleting old items, or by deleting items that have been removed from the source directory.

Synchronize settings are saved in control files with the .ctl extension. After you have configured a control file, you can use the settings without selecting options for the job. Control files from previous versions of WS_FTP Synchronize will work in this version.

WS_FTP Synchronize operates in four modes:

  • Synchronize Location 1 to Location 2 - This mode updates Location 2 so that it includes all the files and subfolders in Location 1.
  • Synchronize Location 2 to Location 1 - This mode updates Location 1 so that it includes all the files and subfolders in Location 2.
  • Synchronize both Location 1 and Location 2 - This mode makes each location match the other by copying the newest version of Location 1 files to the Location 2 and by copying the newest version of Location 2 files to Location 1.
  • Customized mode - This mode lets you set the actions you want the utility to perform when files have a specific status.

Note: You cannot use OpenPGP mode with the Synchronize Utility. If you use a OpenPGP-enabled site with Synchronize, be aware that the files will not be encrypted.

Related Topics

Starting WS_FTP Synchronize

WS_FTP Synchronize Dialog

Creating a Control File

Using a Control File

Using Visual Compare

Post Transfer Actions

Exclusions

Inclusions

Using the Command Line

Using HotSync


Starting WS_FTP Synchronize (WS_FTP Professional)

You can start the WS_FTP Synchronize Utility in the following ways:

  • Select Start > Programs > Ipswitch WS_FTP 12 > Utilities > WS_FTP Synchronize Utility.
  • With WS_FTP open, to create a new Synchronize task, select Tools > Synchronize Files > Add a new synchronize task.
  • With WS_FTP open, to edit or run an existing Synchronize task, select Tools > Synchronize Files > Manage synchronize tasks.
  • Use the HotSync functionality.

Related Topics

Creating a Control File


WS_FTP Synchronize Utility main screen (WS_FTP Professional)

This is the main dialog of the WS_FTP Synchronize utility. When you use this dialog, you are creating a control file (.ctl) that will be used to perform the synchronization between the locations you identify.

Important: You cannot use OpenPGP mode when transferring files using the Synchronize Utility. You can transfer files that have already been OpenPGP-encrypted.

The following are the dialog features:

Toolbar buttons - The buttons control the various functions of the utility.

  • New - Click this button to start a new control file.
  • Open - Click this button to open a control file.
  • Save - Click this button to save your current settings as a control file.
  • Execute - Click this button to execute the synchronize job. If the Visual compare only (no action performed) option is selected, the Compare dialog shows the actions that will occur, but no transfers are made.
  • Schedule - Click this button to schedule the synchronize job through WS_FTP Scheduler.
  • Location1 and Location2 - The locations section is where you identify the directories that you want to synchronize. Click the Browse button to choose the directory for Location 1 and Location 2. Locations can be either a local or a remote site.
  • Modes - Select the mode you want Synchronize to operate in.
    • Synchronize Location 1 --> Location 2 - This mode updates Location 2 so that it includes all the files and subfolders of Location 1.
    • Synchronize Location 1 <-- Location 2 - This mode updates Location 1 so that it includes all the files and subfolders of Location 2.
    • Synchronize both Location 1 <--> Location 2 - This mode makes each location match the other by copying the newest version of Location 1 files to the Location 2 and by copying the newest version of Location 2 files to Location 1.
    • Customized - Lets you set the actions you want the utility to perform when files are found with a specific status.
  • Status and Actions - Use these options when you have chosen Customized mode. The Status is the current state of the comparison, and the Action is what WS_FTP Synchronize will do when it finds an item with that status.
    • Only on Loc1 - The file is only found in Location 1.
    • Newer on Loc1 - The file found in Location 1 is newer than the file found in Location 2.
    • Same on both - The file found is the same in both locations.
    • Newer on Loc2 - The file found is newer on Location 2.
  • Only on Loc2 - The file is only found in Location 2.
  • Options - Click for descriptions of the options.
  • Post Transfer Actions - Click for information on how to use post transfer actions.
  • Exclusions - Click for information on how to use exclusions.
  • Inclusions - Click for information on how to use inclusions.


Creating a Control File (WS_FTP Professional)

WS_FTP Synchronize uses 'control files' to store configuration options and settings for your synchronize jobs. This saves you from having to go through setting up a job each time you want to run it.

To create a control file:

  1. Choose a directory for both Location 1 and Location 2. You can type in a local directory in either box, or click the Browse button to choose a remote site from a site profile, or a local folder. Click the Local tab on the Folder Selection dialog to choose a local folder.

    Note: You cannot use OpenPGP mode with the Synchronize Utility. If you use a OpenPGP-enabled site with Synchronize, be aware that the files will not be encrypted. You can, however, transfer files that have already been OpenPGP encrypted.

  2. Select the options you want to use.
  3. Select the mode you want to execute.
  4. Review the Status and Actions that will perform and make any adjustments you need to make. If you make an adjustment, your status will be changed to Customized.
  5. Set up any post transfer actions you want to use.
  6. Identify any Inclusions or Exclusions you may have.
  7. Click Save to save the control file.

You will now be able to use that control file anytime you use Synchronize. You can open and edit the control file when you want to change the Synchronize option.

Related Topic

Using a Control File

Scheduling a Synchronize Job


Using a Control File (WS_FTP Professional)

If you have already created a control file, or have one from a previous version of WS_FTP Synchronize, you can execute it without having to make all of your selections again.

To use an existing control file:

  1. In the Synchronize dialog, click Open. The Open dialog appears.
  2. Select the control file you want to open.
  3. Click OK. Your control file is loaded and is ready to go.
  4. Review the information to make sure you do not need to change anything.
  5. Click Execute. If you have changed a setting, you will be prompted to save the control file.

Related Topic

Executing Control Files Using HotSync
Creating a Control File


Executing Control Files Using HotSync (WS_FTP Professional)

You can save a control file (.ctl) as an icon on your desktop and use the HotSync functionality to quickly synchronize files and folders.

To set up a control file as a HotSync shortcut:

  1. Go through the process of creating a control file.
  2. Save the control file as a shortcut icon on your desktop.
  3. To initiate the Synchronize job, double-click the shortcut icon. The Synchronize Utility is displayed to show the progress of the synchronization.

The files and folders are automatically synchronized with the location defined in the control file.


Post Transfer Actions (WS_FTP Professional)

Post transfer actions let you further process a source file after the transfer has been completed. If you are doing an upload, then the source file is in a local folder, and the post transfer action will be processed on the local machine. If you are doing a download, then the source file is in a remote folder, and the post transfer action will be processed on the remote server, if the server allows it.

You can choose from the following actions:

  • None. No action taken on completion of file transfer.
  • Delete Source File(s). After the file transfer is completed, delete the source file(s) from the folder.
  • Rename Source File(s). After the file transfer is completed, rename the source file(s) in the folder.
  • Move Source File(s). After the file transfer is completed, move the source files to a specified folder.

    Note: To move the file, the source location must have access to the specified folder. For example, you cannot move local files to a remote site; you can move files from a local folder to another local folder; or from a remote folder to another folder on the remote site.

  • Rename and Move Source File(s). After the transfer has completed, renames the source file(s) using the Rename Mask (described above), then moves the files to the specified directory on the source machine.

To delete a file after the transfer completes:

  1. For the Action option, select Delete Source File(s).
  2. For any files transferred in the specified Synchronization job, the source files will be deleted.

To move files after the transfer completes:

  1. For the Action option, select Move Source File(s). The Folder box appears.
  2. Browse and select a folder to which the source files will be moved.

    When the transfer is completed, for any files transferred as part of the Synchronization job, the source file will be moved to the specified folder.

To rename files after the transfer completes:

  1. For the Action option, select Rename Source File(s). The File Rename Mask appears.
  2. In the File Rename Mask, enter the characters and any macros to use in renaming the file. For information about what can be entered here, see Post Transfer Macros.

    When the transfer is completed, for any files transferred as part of the Synchronization job, the source file will be renamed using the file mask.

To rename and move files after the transfer completes:

  1. For the Action option, select Rename Source File(s). The File Rename Mask and the the Folder box appear.
  2. In the File Rename Mask, enter the characters and any macros to use in renaming the file. For information about what can be entered here, see Post Transfer Macros.
  3. In the Folder box, browse and select a folder to which the source files will be moved.

    When the transfer is completed, for any files transferred as part of the Synchronization job, the source file will be renamed using the file mask and then moved to the specified folder.


Exclusions (WS_FTP Professional)

With the Exclusion system, you can enter a file name, file extension, or search string to have WS_FTP Synchronize ignore any files or folders that match the string. Wildcards (* and ?) can be used for unknown file names or several files of a similar name or type.

Note: Exclusion settings are processed after Inclusion settings.

To add an exclusion:

  1. In the Exclusions section of the dialog, click Add. The Exclusion dialog appears.
  2. Enter what you want to exclude in the Rules box. If you are using the Absolute location type, you can click the Browse button to select the file or folder.

    Click here for examples of exclusion rules.

  3. In the Type box, select what type of item you want to apply the exclusion to.
    • Apply to files. Select to apply the exclusion to files only.
    • Apply to folders. Select to apply the exclusion to folders only.
    • Apply to both. Select to apply the exclusion to both files and folders.
    • Absolute location. Select to apply the exclusion to a specific file or folder in a specific location.
  4. Click OK to add the exclusion to the list.


Inclusions (WS_FTP Professional)

With the Inclusion system, you can enter a file name, file extension, or search string to have WS_FTP Synchronize include any files or folders that match the string. Wildcards (* and ?) can be used for unknown file names or several files of a similar name or type.

Note: Inclusion settings are processed before Exclusion settings.

To add an inclusion:

  1. In the Inclusions section of the dialog, click Add. The Inclusion dialog appears.
  2. Enter what you want to include in the Rules box. If you use the Absolute location type, click Browse to select the file or folder.

    Click for examples of inclusion rules.

  3. In the Type box, select what type of item you want to apply the inclusion to:
    • Apply to files. Select to apply the inclusion to files only.
    • Apply to folders. Select to apply the inclusion to folders only.
    • Apply to both. Select to apply the inclusion to both files and folders.
    • Absolute location. Select to apply the inclusion to a specific file or folder in a specific location.
  4. Click OK to add the inclusion to the list.


Using Visual Compare (WS_FTP Professional)

The Visual compare only option in WS_FTP Synchronize allows you to view the actions that Synchronize is going to perform before any transfers are made. When you open or configure a control file with the option selected and select execute, the Compare dialog will appear, showing you the files that are to be transferred.

Once you are on the Compare dialog, you can edit any of the actions that Synchronize is to take with each individual item.


Command Line Arguments (WS_FTP Professional)

WS_FTP Synchronize can be called directly from the command line by passing the name of a control file.

ftpsync updateftp1.ctl

When you run this command, output is logged to a file with the name of the control file plus an extension of ".log". This fill will be in the same directory as the control file.

-quiet

If you use the -quiet switch, ftpsync functions will be run without displaying the GUI. The switch -f must appear before the control file.

For example: ftpsync -f updateftp1.ctl -quiet


WS_FTP Backup Wizard

In This Section

Backing Up Files (WS_FTP Professional)

Using the Backup Job Wizard (WS_FTP Professional)

Example (WS_FTP Professional)


Backing Up Files (WS_FTP Professional)

The Backup Wizard lets you select folders that you want to back up, schedule a backup time, or run the backup immediately. Unlike the Synchronize utility, rather than comparing and transferring files in multiple directions (for example, synchronizing files between a local and remote site), Backup transfers selected folders from one location to another (in one direction).

This chapter provides an overview of the Backup Wizard, Managing Backup Jobs, and some examples of how you might use the Backup features.


Using the Backup Job Wizard (WS_FTP Professional)

To start the Backup Job Wizard:

  1. Click Tools > Backup Files > Add a new backup job....
  2. Complete the Backup Wizard settings to create a new Backup Job.

To use the ZIP files before backing up option, the source files must be in a local folder. Also, to include the current date/time in the name of the destination zip file, include the string "%date" in the file name you enter. WS_FTP will replace that string with the current date/time in format: yyyymmdd-hhmmss.

  1. After the settings are complete, the Manage Backup Jobs dialog opens. The new Backup Job displays in the list. The job will run at the next scheduled time, or you can click Run Now to run the job immediately.

    If you schedule a backup job to run Daily (in Backup Wizard settings), the job will start running on the day following the start date.

To manage backup jobs:

  1. Click Tools > Backup Files > Manage backup jobs. The Manage Backup Jobs dialog opens.
  2. Click to highlight a Backup Job that you want to Change, Remove, or Run:
    • Change. Click to edit the selected Backup Job.
    • Remove. Click to remove the selected Backup Job.
    • Run Now. Click to run the selected Backup Job immediately, without waiting for the scheduled time.
  3. To add a new Backup Job, click Add and complete the new Backup Job settings.


Example (WS_FTP Professional)

This example shows how you might use the Backup Job Wizard.

Adding a Backup Job

If you need to save critical report files that you receive each day and currently store on your local drive. You can back up the files to another drive (for example, a mapped network drive) at a selected time each day.

To add a backup job to the scheduler:

  1. Click Tools > Backup Files > Add a New Backup Job. The Backup Wizard opens.

  1. Browse to select the Files to backup location. When the Browse for Folder dialog opens, make sure that you select the appropriate tab (Local or Remote) for the files you want to back up. Click OK.

  1. Browse to select the Backup files to location. Again, when the Browse for Folder dialog opens, make sure that you select the appropriate tab (Local or Remote) for the files you want to back up, then click OK.
  2. If you want to have the backup files compressed to a .zip file, click ZIP file before backing up.
  3. Click Next. The Backup Schedule wizard page displays.

  1. Select the Backup Frequency, Start Time, Perform this task options to schedule the backup, then click Next. The Backup Login wizard page displays.
  2. Enter your Windows Username, Password, and Password Confirmation for your user account.

    Important: Make sure that you enter your Username, Password, and Password Confirmation. This provides the appropriate login information when the Backup Wizard starts to run a scheduled backup.

  3. Click Next. The Manage Backup Jobs dialog opens and the new Backup Job displays in the list. The job will run at the next scheduled time, or you can click Run Now to run the task immediately.


Compression Mode

In This Section

Compression mode (WS_FTP Professional)

Program Options: Compression (WS_FTP Professional)


Program Options: Compression (WS_FTP Professional)

How to get to the Program Options Dialog

  1. In the tool bar, click Options (or select Tools > Options) to open the Program Options dialog.
  2. In the left pane, select a properties category.

When Compression Mode is enabled, files are compressed into a ZIP archive before they are uploaded. Compression Mode has no effect on downloads.

  • Compression - This option determines the degree of compression used. (If you select None, the files are simply grouped into a ZIP archive without any compression.)
  • Preserve File Path - When selected, the entire folder path from the root of the drive is maintained in the archive. When cleared, only relative folder paths are saved.
  • Password Protect - Select to enable the password options:
    • Password - Enter the password you want to protect the ZIP archive with.
    • Hide Typing - When selected, the display of the password you enter is replaced with asterisks. When cleared, the password is displayed in clear text.


SSH/SFTP

In This Section

What is SSH? (WS_FTP Professional)

Making an SSH connection (WS_FTP Professional)

Generating an SSH key pair (WS_FTP Professional)

Importing an SSH Key (WS_FTP Professional)

Exporting an SSH key (WS_FTP Professional)

SSH Trusted Hosts (WS_FTP Professional)


What is SSH? (WS_FTP Professional)

SSH is a security protocol that lets you make a secure connection to a server that has the SSH and SFTP (Secure File Transfer Protocol) protocols installed.

SSH encrypts all communications to and from the client and server. When an SSH connection is made, SFTP is the protocol that is used to perform all tasks on that single secure connection. For maximum security, Ipswitch WS_FTP Professional uses SSH2 with the SFTP protocol to make SSH transfers.

Whereas FTP servers usually 'listen' on port 21 for connection, SSH servers use port 22.

SSH can be used with a variety of authentication methods. However, WS_FTP only supports simple password authentication, public key authentication, and keyboard interactive authentication.

WS_FTP Professional supports SFTP/SSH2 only.


Generating an SSH key pair (WS_FTP Professional)

You can generate an SSH key pair for use in authenticating an SSH connection to a server. Before you can use any SSH keys you create, however, you must provide the public key to the server administrator to install on the server.

To generate an SSH Key Pair:

  1. From the main window, select Tools > Options. The Program Options dialog appears.
  2. Select SSH > Client Keys.
  3. Click Create. The SSH Client Key Pair Generation wizard appears.
  4. Follow the on-screen prompts to complete the wizard.


Importing an SSH Key (WS_FTP Professional)

You can import an SSH public key to use with your SSH server's public key authentication feature.

To import an SSH Public Key:

  1. From the main window, select Tools > Options. The Program Options dialog appears.
  2. Select SSH > Client Keys.
  3. Click Import. Follow the on-screen steps to complete the import.


Exporting an SSH key (WS_FTP Professional)

You can export an SSH public key to use with your SSH server's public key authentication feature.

To export an SSH Public Key:

  1. From the main window, select Tools > Options. The Program Options dialog appears.
  2. Select SSH > Client Keys.
  3. Click Export. The Save As... dialog appears.
  4. Enter a filename, then click Save.


SSH Trusted Hosts (WS_FTP Professional)

The first time you successfully log on to and are authenticated by an SSH server, you can opt to make that server a trusted host. Each subsequent time you log on to that server, the server information sent is compared to the information stored as a trusted host. If the information does not match, WS_FTP alerts you to the potential security issue so that you can further verify that the server connection is secure.

Note: Trusted Hosts are sometimes used as a method of authenticating an SSH connection; however, WS_FTP does not support that authentication method.

To remove a trusted host:

  1. From the main window, select Tools > Options. The Program Options dialog appears.
  2. Select SSH > Trusted Hosts.
  3. In the Trusted Hosts list, locate and click the server you wish to remove.
  4. Click Delete.

To export a trusted host:

  1. From the main window, select Tools > Options. The Program Options dialog appears.
  2. Select SSH > Trusted Hosts.
  3. In the Trusted Hosts list, locate and click the server you wish to export.
  4. Click Export. Follow the on-screen prompts to complete the process.


FIPS Mode

In This Section

About FIPS (WS_FTP Professional)

Using FIPS mode (WS_FTP Professional)


About FIPS (WS_FTP Professional)

FIPS (Federal Information Processing Standard) is a standard published by the U. S. National Institute of Standards and Technology (NIST), a non-regulatory agency of the U. S. Department of Commerce. NIST works to establish various standards that the U.S. military and various government agencies must abide by. Therefore, vendors, contractors, and any organization working with the government and military must also comply with these standards where they are required. Additionally, despite the fact that FIPS is a U.S.-developed standard, the Canadian government has similar policies requiring FIPS-validated software.

WS_FTP FIPS mode includes Triple DES, AES, and HMAC SHA-1 encryption of files during transfer. Other modes of encryption are not supported, as specified by FIPS 140-2.


Using FIPS mode (WS_FTP Professional)

When FIPS mode is enabled, WS_FTP encrypts any files sent via SSH, FTP with SSL, or HTTPS with a FIPS 140-2 validated cipher. You can still send unencrypted files or files with a lower-level of encryption via regular FTP.

To activate FIPS Mode:

  1. From the Tools menu, select Options. The Program Options dialog opens.
  2. In the left pane, select FIPS.
  3. Select the Operate cryptographic module in FIPS 140-2 mode option.

    If the option is already selected, but greyed out, this means your system administrator has enabled FIPS Mode by default. In this case, FIPS Mode can be disabled only by the administrator.

  4. Restart (close, then re-open) the WS_FTP application.

    Any transfers initiated from the WS_FTP application and using FTPS (FTP over SSL), SSH, or HTTPS protocols will be sent using the FIPS 140-2 validated cryptographic module.

    Transfers over FTP protocol are still allowed, but they cannot use FIPS mode.

    For more information, see About FIPS.


Using OpenPGP Mode

In This Section

What is OpenPGP? (WS_FTP Professional)

Scenario: Encrypting files for transfer to or from a remote site (WS_FTP Professional)

Scenario: Encrypting local files and local transfers (WS_FTP Professional)

Using OpenPGP mode to encrypt and decrypt files for transfer (WS_FTP Professional)

Enabling OpenPGP mode for a site by default (WS_FTP Professional)

Encrypting and decrypting local files (WS_FTP Professional)

Generating an OpenPGP key pair (WS_FTP Professional)

Importing OpenPGP keys (WS_FTP Professional)

Generating an OpenPGP key pair (WS_FTP Professional)

Exporting OpenPGP keys (WS_FTP Professional)

Editing OpenPGP keys (WS_FTP Professional)


What is OpenPGP? (WS_FTP Professional)

OpenPGP is used to encrypt files so that only the intended recipient can receive, open, and view the files. OpenPGP is used widely to secure e-mail communications, but its technology can also be applied to file transfers or encypting files in a computer or server. File encryption provides a base level of security when sent via FTP protocol, and a second-level of security when sent over SSL or SSH. An encrypted file is protected both during transfer and post-transfer.

WS_FTP support for OpenPGP encryption

WS_FTP provides OpenPGP encryption and decryption. With WS_FTP, you can:

  • Encrypt files for transfer to a remote site
  • Decrypt OpenPGP encrypted files
  • Encrypt files for local storage or for local transfer

Before you can encrypt a file with OpenPGP you need to have an encryption key pair.

Key Pairs

OpenPGP uses a key pair to encrypt and decrypt files. Using WS_FTP or any other OpenPGP-enabled application, anyone can generate a personal key pair, which includes a Public Key and a Private Key.

  • The Public Key is distributed to anyone you want to be able to encrypt files so that only you can decrypt them.
  • The Private Key is used to unlock files that have been encrypted using your Public Key.

Note: Your Private Key is much like a password; you should not share it with anyone.

Keyrings

OpenPGP Keys are stored in files called Keyrings.

  • The Public Keyring stores public keys, both yours and those sent to you by others.
  • The Private Keyring stores your private keys.

In WS_FTP, your key pairs, those that you have either generated or imported, are shown in Program Options > OpenPGP > Key Pairs.

Related Topics:

Scenario: Encrypting files for transfer to or from a remote site

Scenario: Encrypting local files and local transfers

Using OpenPGP Mode to encrypt and decrypt transfers to or from a remote site


Scenario: Encrypting files for transfer to or from a remote site (WS_FTP Professional)

You can use OpenPGP encryption to secure a transfer from a local site to a remote site. A typical scenario is to secure a transfer that a colleague at a remote site needs to send to you. In this case:

  1. You send a public key to colleague via email. You use WS_FTP to generate or export a key.
  2. The colleague detaches the public key (from the email), encrypts and uploads the file using your public key, as follows:
    1. Imports the key into WS_FTP.
    2. Connects to the company FTP server.
    3. Enables OpenPGP Mode with your key used for encryption.
    4. Uploads the file.
  3. You download and decrypt the file using your private key.

    To decrypt an OpenPGP encrypted file (identified by file extension .pgp), right-click the file in WS_FTP and select OpenPGP > Decrypt and Verify.

Related Topics

Using OpenPGP Mode to encrypt and decrypt transfers to or from a remote site

Scenario: Encrypting local files and local transfers

Encrypting and decrypting local files


Scenario: Encrypting local files and local transfers (WS_FTP Professional)

You can use OpenPGP encryption to secure files that your store on a local disk, or to secure a transfer from a local folder to another local folder. In this case, the transfers occur on the same machine. Typical scenarios are:

  • You have files on your laptop that you want to secure in place as a precaution. You can encrypt the files with your public key, and when you need access, decrypt with your private key.
  • You regularly archive files on an external hard drive, so you want to encrypt the files when you copy them to the drive.

Encrypting files for storage:

  1. You use WS_FTP to generate or import a key.

    If you already have an OpenPGP key, you can select to use it for encryption. You can see the available keys in the Program Options > OpenPGP > Keys dialog.

    If you are the only one using the file, you do not need to send the public key to anyone else.

  2. You select a file, right-click, then select WS_FTP> OpenPGP > Encrypt.

    The encrypted file is saved with a .pgp extension.

    For information about all the OpenPGP commands, see Encrypting and decrypting local files.

  3. When you want to use the file, you select it, right-click, then select OpenPGP > Decrypt and Verify.

    Your private key is used to decrypt the file. The file must have been encrypted with the associated public key.

Encrypting files for local transfer:

  1. Connect to the local site and select the destination folder.
  2. Enable OpenPGP Mode with your key used for encryption.
  3. Upload the file. The file is saved in the destination folder; the file will have a .pgp extension.
  4. When you want to use the file, download it, then right-click the file and select OpenPGP > Decrypt and Verify.

Related Topics

Encrypting and decrypting local files

Scenario: Encrypting files for transfer to or from a remote site


Enabling OpenPGP mode for a site by default (WS_FTP Professional)

You can configure a site to enable OpenPGP Mode automatically each time you connect to that site.

Note: OpenPGP Mode cannot be used when uploading files using the Synchronize or Script Utilities.

Note: You must have at least one OpenPGP Key in your keyring before you can configure a site to enable OpenPGP Mode automatically each time you connect. For more information, see Generating an OpenPGP Key Pair or Importing OpenPGP Keys.

This site option can be set independently of the Program Option OpenPGP Mode setting.

To enable OpenPGP Mode for a site by default:

  1. In the toolbar, click Connect to open the Site Manager.
  2. From the list, locate and select the site for which you want to enable OpenPGP Mode automatically upon connecting. Click Edit. The Site Options dialog appears.
  3. Expand Advanced and click OpenPGP. The OpenPGP options appear.
  4. Select Use OpenPGP Transfer Mode after connection.
  5. Select the OpenPGP Transfer method you would prefer to use from the options listed:
  6. Encrypt the files using a key from your keyring. Select the Encryption keys to use to encrypt the files.
  7. Sign the files using your private key as the digital signature. Select the Signing key to use to sign the files. Enter the Passphrase of signing key.
  8. Select Encrypt and Sign to use both options together.
  9. Click OK to save the settings and close the dialog.


Encrypting and decrypting local files (WS_FTP Professional)

You can access the encryption commands for local files and local transfers in two ways:

  • OpenPGP menu on the local pane toolbar.
  • Right-click menu on a local folder or file provides the same menu options as above:

    OpenPGP right-click menu

Both menus offer the same set of OpenPGP commands:

  • Encrypt - Select this option to use an encryption key to encrypt the file before transfer.
  • Sign - Select this option to add your digital signature to the file. By adding your digital signature, you will allow others who download the file and who know and trust you to have more confidence in the file's integrity.
  • Encrypt and Sign - Select this option to first encrypt the file, then to add your digital signature.
  • Decrypt and Verify - Select this option to decrypt an OpenPGP encrypted file (identified by file extension .pgp) and verify the digital signature, if one is present.

When encrypting and signing files, you will be asked to select a key pair to use. Your key pairs, those that you have either generated or imported, are shown in Program Options > OpenPGP > Key Pairs.


Generating an OpenPGP key pair (WS_FTP Professional)

If you do not already have a personal OpenPGP Key Pair, WS_FTP can help you generate one.

To generate a OpenPGP Key Pair:

  1. From the main window, select Tools > Options. The Program Options dialog appears.
  2. Select OpenPGP > Keys.
  3. Click Create. The OpenPGP Key Generation Wizard appears.
  4. Follow the on-screen directions to complete the key creation process.

Related Topics

Importing OpenPGP Keys

Exporting OpenPGP Keys


Importing OpenPGP keys (WS_FTP Professional)

In order to encrypt files for others to open using OpenPGP Mode, you will need to import their OpenPGP keys. You can also import keys and keyrings that you use in another OpenPGP application.

Note: WS_FTP can only access keys and keyrings that exist as standalone files. If the keys or keyrings you wish to import are embedded in an e-mail or in a OpenPGP application, you must export them prior to importing them with WS_FTP.

To import a OpenPGP Key or Keyring:

  1. From the main window, select Tools > Options. The Program Options dialog appears.
  2. Select OpenPGP > Keys.
  3. Click Import. The OpenPGP Key Import Wizard appears.
  4. Follow the on-screen directions to complete the import process.


Exporting OpenPGP keys (WS_FTP Professional)

You can export OpenPGP Keys to use with other applications.

To export a OpenPGP Key:

  1. From the main window, select Tools > Options. The Program Options dialog appears.
  2. Select OpenPGP > Keys.
  3. Select the key you wish to export, then click Export. The OpenPGP Key Export Wizard appears
  4. Follow the instructions in the wizard to export your keys.


Editing OpenPGP keys (WS_FTP Professional)

After keys are created or imported, you can use the OpenPGP Key Edit dialog to digitally sign them, or, if they are already signed, to revoke the signature. You may also revoke the entire key, which will prevent it from being used in the future.

To sign an key:

  1. From the main window, select Tools > Options. The Program Options dialog appears.
  2. Select OpenPGP > Keys.
  3. Select the key you wish to sign, then click Edit. The OpenPGP Key Edit dialog appears.
  4. Click Sign. The OpenPGP Sign Key dialog appears.
  5. Select Expiration. Never ensures the signature will never expire, while Expires on allows you to specify a date after which the signature will not be honored.
  6. If you would like your signature to be attached to the key when it is exported, select Exportable. To export the key without your signature, clear Exportable.
  7. Click OK. The Signing Key and Passphrase dialog appears.
  8. Select a Signing Key and enter its accompanying Passphrase.
  9. Click OK. The key is now signed.

To revoke a signature on a previously signed key:

  1. From the main window, select Tools > Options. The Program Options dialog appears.
  2. Select OpenPGP > Keys.
  3. Select the key from which you wish to revoke a signature, then click Edit. The OpenPGP Key Edit dialog appears.
  4. Select the Certificate tab.
  5. Expand the key tree to locate the signature you wish to revoke. Select it, then click Revoke.
  6. A prompt appears. Click OK.
  7. Enter the passphrase for the signature you wish to revoke. Click OK to complete the process.

Note: Once the signature is revoked, you can also delete it from the key by selecting the revoked signature and clicking Delete.

To revoke an entire OpenPGP key:

  1. From the main window, select Tools > Options. The Program Options dialog appears.
  2. Select OpenPGP > Keys.
  3. Select the key from which you wish to revoke a signature, then click Edit. The OpenPGP Key Edit dialog appears.
  4. Click Revoke.
  5. A prompt will appear. Click Yes.
  6. Enter the passphrase for the key you are revoking.
  7. Click OK to complete the process.

Note: Revoking an entire key cannot be undone. Once a key is revoked, it cannot be reinstated.


Active Edit

In This Section

Configuring Active Edit (WS_FTP Professional)

Using Active Edit (WS_FTP Professional)


Configuring Active Edit (WS_FTP Professional)

The active edit feature allows you to edit remote files quickly and without having to actively transfer them first.

To configure an extension for active edit:

  1. In the toolbar, click Options, then select Active Edit.
  2. Click Add to add a new entry, or select one from the list and click Edit. The Active Edit Properties dialog appears.
  3. Enter the extension or extensions separated by commas.
  4. In the Editor box, select or enter the path to the application that you want to open the file in.
  5. Click OK. The extensions appear on the list.


Using Active Edit (WS_FTP Professional)

The active edit feature allows you to edit remote files quickly and without having to actively transfer them before and after editing.

Once active edit has been configured for an extension, you can launch the file on the remote system.

To use active edit on a remote file:

  1. Configure an editor and extension.
  2. Select the file you want to edit.
  3. Click Edit from the command bar, or right-mouse click on the file and select Operations > Edit.
  4. The file launches in the associated application.

To display information about active edits:

  • Select the Active Edit Manager button on the toolbar. (This option is only available if the application is currently editing remote files).

To edit a local file:

  1. Select the file you want to edit.
  2. Click Edit from the command bar, or right-click on the file and select Open.
  3. The file launches in the associated application.


Using workspaces

In This Section

Workspace overview (WS_FTP Professional)

Creating a new workspace (WS_FTP Professional)

Workspace toolbar (WS_FTP Professional)


Workspace overview (WS_FTP Professional)

Workspaces allow you to switch quickly between frequently- accessed groups of connections and local tabs. At any point, you can save the current connections and folder views in a workspace so that you can return to them quickly at a later time.

When you save a workspace, the following items are saved:

  • Connection tabs, including the current folder
  • Appearance of navigation and command bars
  • File masks
  • Sort orders
  • Widths of columns
  • Any comments you have made in the Workspace Manager comment box.

Workspaces can be managed via the Workspace bar.


Workspace toolbar (WS_FTP Professional)

How to turn on the Workspace toolbar

  • Workspace - Select the workspace you want to open from the list box.
  • Manager - Click to open the Workspace Manager.
  • Add - Click to save the current set of local and remote connections as a workspace.
  • Save - Click to save changes to the open workspace.
  • Close - Click to close the open workspace.


Using Notifications

In This Section

E-mail Notifications Overview

Setting Up Notifications for File Transfers


Setting Up Notifications for File Transfers

  1. In the tool bar, click Options (or select Tools > Options) to open the Program Options dialog.
  2. In the left pane, select E-Mail Notifications.

    Use this page to manage e-mail notifications.

    The Mail section of this page defines values that are shared among all e-mail notifications.

    • From Address - Enter the e- mail address you want the e-mail notification to come from.
    • Mail Server - Enter the name of an SMTP mail server.
    • Client Domain - If required by the SMTP server, the name of the client domain.
    • Authentication - Click this button to enter SMTP username/password authentication.
    • Server Port - Set the port number for the mail server identified above. The default SMTP port is 25.
    • Connect Timeout - After this number of seconds, close the SMTP connection.

    The Notification List is used to manage specific notifications. Click the checkbox beside an e-mail notification to enable or disable that notification.

    • Add - Click this button to create a new e-mail notification.
    • Edit - Click this button to modify the selected notification.
    • Remove - Click this button to remove the selected notification.


WS_FTP Command Line

You can use the command line from the MS-DOS prompt to run the WS_FTP interface.

When you use the command line, you can:

  • Upload and download files
  • Specify ASCII or binary transfer mode
  • Convert file names to lowercase when uploading
  • Set up pre-scheduled transfers
  • Create batch files that will handle multiple commands
  • Apply post-transfer actions (delete, rename, move)

For more information, see the WS_FTP Tools Guide.


Using FTP Commands

In This Section

FTP Commands (Overview)

CWD Command

HELP Command

LIST Command

NLST Command

MLSD Command

PWD Command

QUOTE Command

RETR Command

SITE Command

STOR command

SYST Command

The FEAT and CLNT commands


FTP Commands (Overview)

WS_FTP lets you use pull-down menus, dialog boxes, and mouse moves such as drag and drop to work with FTP sites; but behind the easy-to-use interface, WS_FTP is translating your choices into FTP commands, so you do not need to know the protocol commands to transfer files. However, advanced users may sometimes want to enter FTP commands directly.

The ten commands advanced users are most likely to need are included in WS_FTP on a sub-menu of the FTP Commands item on the right mouse menu. The following commands are available:

  • CWD

    This command allows the user to work with a different directory or data set for file storage or retrieval without altering his login or account information.

  • PWD

    This command causes the name of the current working directory to be returned in the reply.

  • HELP

    This command causes the server to send a list of supported commands and other helpful information.

  • SYST

    This command is used to find out the operating system of the server.

  • SITE
  • QUOTE
  • LIST

    This command causes a list to be sent from the server to the passive data transfer process. If the pathname specifies a directory or other group of files, the server should transfer a list of files in the specified directory.

  • MLSD

    This command causes a directory listing to be sent from the FTP site to the FTP client.

  • NLST

    This command causes a directory listing to be sent from the FTP site to the FTP client.

  • RETR

    This command causes the server to transfer a copy of the file specified in the pathname to the client. The status and contents of the file at the server site are unaffected.

  • STOR

    This command causes the server to accept the data transferred via the data connection and to store the data as a file at the server site. If the file specified in the pathname exists at the server site, then its contents are replaced by the data being transferred. A new file is created at the server site if the file specified in the pathname does not already exist.


CWD Command

This command allows the user to work with a different directory or data set for file storage or retrieval without altering his login or account information.


HELP Command

This command causes the server to send a list of supported commands and other helpful information.


LIST Command

This command causes a list to be sent from the server to the passive data transfer process. If the pathname specifies a directory or other group of files, the server should transfer a list of files in the specified directory.


NLST Command

This command causes a directory listing to be sent from the FTP site to the FTP client.


MLSD Command

This command causes a directory listing to be sent from the FTP site to the FTP client.


PWD Command

This command causes the name of the current working directory to be returned in the reply.


QUOTE Command

The QUOTE lets you enter any FTP command you want. WS_FTP sends it to the FTP site, unedited. It is up to you to determine the command syntax depending on the FTP site you are connected to.

For example, QUOTE SIZE filename.txt will return the size of filename.txt.


RETR Command

This command causes the server to transfer a copy of the file specified in the pathname to the client. The status and contents of the file at the server site are unaffected.


SITE Command

This allows you to enter a command that is specific to the current FTP site. WS_FTP prefixes your entry with the word SITE and sends your entry to the FTP site without any editing.

Entering HELP will show what commands are available on the site.


STOR command

This command causes the server to accept the data transferred via the data connection and to store the data as a file at the server site. If the file specified in the pathname exists at the server site, then its contents are replaced by the data being transferred. A new file is created at the server site if the file specified in the pathname does not already exist.


SYST Command

This command is used to find out the operating system of the server.


The FEAT and CLNT commands

WS_FTP sends the FEAT command to the FTP server when you connect to a site. When an FTP client sends the FEAT command, the server is expected to reply with the features that it supports (such as integrity checking, hashing, and resume transfer).

The CLNT command, if it appears in the FEAT list returned by the FTP server, causes the FTP client to send its name and version number: “CLNT WS_FTP_Professional 12.4” (or WS_FTP_LE).

You can disable the FEAT command to handle the case when a firewall does not allow the FEAT command and disconnects when the command is received.

To disable the command:

  1. In the tool bar, click Connect (or select Connections > Site Manager) to open the Site Manager.
  2. Select a remote site and click Edit. The Site Options dialog appears.
  3. In the left pane, select Startup.
  4. Select the Disable the FEAT command option.


Troubleshooting

In This Section

Cannot connect to an FTP site

Connection closes before I'm done

Corrupted files

Determining the Host Type

Can connect only to IP Address

MTDM Error Message

Problems Converting File Names

File list is missing, blank, or unreadable

Time Displays as 00:00

Unable to Open/View Files and Folders


Cannot connect to an FTP site

If you cannot connect to ANY FTP site and see the message "Cannot failure," perform the following checks:

  1. Make sure you have an active dial-up or direct Internet connection.
  2. Check that you have entered the proper server address in the site profile.


Connection closes before I'm done

In addition to the network timeout setting within WS_FTP, there is also a "server timeout" that is determined by the FTP site. Most FTP sites will shut down the connection to a client such as WS_FTP after a few minutes of inactivity. You can change this setting by setting the Keep Alive option on the Site Options dialog in the Advanced tab.


Corrupted files

You may have transferred a binary file in ASCII transfer mode ; this can result in strange characters appearing in the file (such as ^M) or in damage to the file.

Make sure you transfer text files (such as .txt, .html, .htm, .cgi) in ASCII mode and most other files (such as .bmp, .jpg, .exe, .zip) in [image] binary mode.

The binary transfer mode transfers a file as an exact copy of the original, and should be used for transferring all binary files, including bitmaps, executables, or compressed files (.bmp, .jpg, .exe, .zip).

(Binary mode contrasts with ASCII mode which treats a file as text, translating the end-of-line characters during transfer.)

If you still have problems, verify that you have "hardware flow control" enabled on your modem. If you are not using the Microsoft TCP/IP stack (part of the Windows XP, Vista, 7, 8, or Server 2008 operating system), contact your stack vendor.


Determining the Host Type

Note: If the FTP site folder/directory listing is missing, blank, or unreadable, follow the steps in File list is missing, blank, or unreadable before trying the following procedure.

You can also view a Knowledge Base article that discusses host type connection issues.

To look up the host type of an FTP site:

  1. Disconnect from the site if you are currently connected to it.
  2. Make sure that the log window is open/viewable.
  3. Exit WS_FTP and restart.
  4. Try to determine the host type from the log.
    • Connect to the site again.
    • Check the log to see if the host type is identified there. If it is, select the corresponding host type on the Advanced dialog of the Site Options. If that does not work, try the next step.
  5. If you have permission to create a test account on the site, do so and then send access information to ftpdir@ipswitch.com. If this is not possible, go to the next step.
  6. Log on anonymously.
  7. Save copies of the log and directory information by right clicking on the log window and selecting Save As.

    If, and only if, you have completed all the steps above, mail both files to ftpdir@ipswitch.com along with as much of a description of the FTP site as possible.

    Note: Do NOT send mail to this address unless you have been unsuccessful after completing the procedure in File list is missing, blank, or unreadable as well as the procedures above.

For more information visit our Knowledge Base at http://ipswitchft.force.com/kb/knowledgeHome.


Can connect only to IP Address

If WS_FTP can only connect to sites using the site IP address (for example, 123.123.123.123) and not the host name, you need to configure the DNS (Domain Name Server) in your stack. Talk to your network administrator or your Internet provider for the proper values for DNS.


MTDM Error Message

This message means that the current FTP site does not support Month-Day-Time-Marking; this means that after the file was uploaded, WS_FTP attempted to preserve the date and time, but the time cannot be preserved by this FTP site. However, files will transfer correctly, and there will be an updated timestamp from the FTP site on the files.

Note that this is not a fatal error, even though it displays in red.

You can disable this option by selecting Preserve filetime on upload (MDTM support required) on Site Properties: Transfer.


Problems Converting File Names

If you have problems converting file names when you download files from an FTP site, select Prompt for destination file names on the Transfer tab of site options. You are shown the proposed file name and allowed to change it. Alternatively, hold down the Ctrl key when you initiate the transfer and you will be prompted for each destination filename.


File list is missing, blank, or unreadable

The Execute command allows you to execute, or open, a file.

  • If you select a local filename and then, in the command bar above the file list, click Execute, the file is executed using the Windows file association.
  • If you select a filename on an FTP site and then click Execute, the file is transferred to your temporary folder and is executed using the Windows file association.


Unable to Open/View Files and Folders

The File Mask text box is displayed as a rectangle with the default entry ( *.*) which selects all files. The File Mask allows you to view a subset of the files on either the Local System or Remote Site; this is handy if there are a large number of files and folders.

Note: The File Mask is not enabled on the command bar by default. To enable the File Mask, refer to the Customizing the Command Bar topic.

In the File Mask text box, enter a filter that is valid for the system, and then press Enter. For example, to display only files with the extension .txt, enter *.txt in the File Mask text box and press Enter. The corresponding file list is refreshed to display only the files with the extension .txt.


Cancel Button

Click Cancel to cancel a search that is in progress.


FTP URL

A FTP URL begins with "ftp://" and contains at least a host name. It may optionally also include a user name, a password, a port number, and a file path. The format is as follows:

ftp://user:password@host:port/filepath

If a port number is not specified, the default FTP port number of 21 is assumed.

Examples

The following URL specifies an optional user name and a non-default port number of 1021:

ftp://jdoe@ftp.ipswitch.com:1021

The following URL specifies a username and password, and also the name of a file. (It uses the default port number of 21):

ftp://jdoe:pass1234@ftp.ipswitch.com/public/mystatus.doc


Program Options: SSH Trusted Hosts

How to get to the Program Options Dialog

  1. In the tool bar, click Options (or select Tools > Options) to open the Program Options dialog.
  2. In the left pane, select a properties category.

The first time you successfully log on to and are authenticated by an SSH server, you can opt to make that server a trusted host. Each subsequent time you log on to that server, the server information sent is compared to the information stored as a trusted host. If the information does not match, WS_FTP alerts you to the potential security issue so that you can further verify that the server connection is secure.

Note: Trusted Hosts are sometimes used as a method of authenticating an SSH connection; however, WS_FTP does not support that authentication method.

The list shows all hosts that are currently considered a "trusted host." The information on each host comes from the server that the client connected to.

  • Host - The IP address of the trusted host.
  • Port - The port that the server connected on, which is usually port 22, but can be a custom port.
  • SHA1 Fingerprint - The unique identifier (created using the SHA1 algorithm) for the server public key.
  • Delete - Select a host in the Trusted Hosts list, then click Delete to remove it from the list.
  • Export - To export the server public key for a host, select a host, then click Export.


Toolbars

There are four toolbars that you can make visible or hide by using the View menu:

  • Standard
  • Quick Connect
  • Workspace
  • Modes

You can customize each toolbar by right clicking anywhere on the toolbar and selecting Customize. By clicking on the down arrow button at the far right of the toolbar, you can quickly enable or disable toolbar buttons, or select Customize.

Individual buttons on these toolbars can be moved onto any of the other toolbars.


WS_FTP Scheduler

Scheduler is a utility that perform file transfers on a pre-defined schedule or on demand.

To use the Scheduler Utility, select Tools > Scheduler Utility.

Click here to get detailed information about the Scheduler Utility


Non-TOC Topics


POSTXFER (WS_FTP Professional)

Syntax: POSTXFER

What it does: Starts Post Transfer Mode and runs one or more of the following actions after the file transfer has completed:

  • POSTXFER PXOFF - Clears the post transfer command (turns off Post Transfer Mode).

    The PXOFF command must have POSTXFER preceding it on the same line, as in: POSTXFER PXOFF. The PXDELETE, PXRENAME, and PXMOVE commands must follow the POSTXFER command, but POSTXFER should not be repeated with each of these commands.

  • PXDELETE - After the transfer has completed, deletes the source file(s).
  • PXRENAME <Rename Mask> - After the transfer has completed, renames the source file(s) using the Rename Mask.

    The file name of the original file is compared to the mask, and the new file name is generated. In this mask, you can enter any data you want to include in the file name, such as a store number, or some other identifier, as well as any of the following macros:

    • [OnlyName] - Retain the original file name minus the extension and the period (between name and extension). To retain the original file name, you must use this macro.
    • [OnlyExt] - Retain the original file name extension. To retain the original file name extension, you must use this macro.

      If you want to retain the original file name and extension, you would enter [OnlyName].[OnlyExt]. You need to include the period between the file name and extension.

    • [H] - HOUR; minimal representation, 24-hour clock. Example: "7"
    • [HH] - HOUR; two-digit representation, 24-hour clock. Example: "07"
    • [TT] - MINUTE; two-digit representation. Example: "07"
    • [SS] - SECOND; two-digit representation. Example: "07"
    • [MM] - MONTH; two-digit numeric representation. Example: "07"
    • [DD] - DAY-OF-MONTH; two-digit representation. Example: "07"
    • [YY] - YEAR; two-digit representation. Example: "02"
    • [YYYY] - YEAR; four-digit representation. Example: "2002"
  • PXMOVE <directory> - After the transfer has completed, moves the source file(s) to the specified directory on the source machine.
  • PXRENAME <Rename Mask> PXMOVE <directory> - After the transfer has completed, renames the source file(s) using the Rename Mask (described above), then moves the files to the specified directory on the source machine.


Account (definiton)

Some FTP sites, notably VM/CMS hosts, require an account in order to authenticate the client and provide access to a default directory for the user. For many sites, however, no account is required.


ACCT

Syntax: ACCT [account_info]

What it does:This command allows the user to specify the Account information for the server that will be connected in the script. This value can also be set via the command line (-c) and in a WS_FTP site profile.


Active Edit: Properties

Use this dialog to link an extension or extensions to an application. When a local or remote file is opened for edit, it will be opened in the application selected here.

  • Extension(s). Enter the extension or extensions you want to link to an application. For multiple extensions, use a comma between each extension. (For example; .htm, .html)
  • Editor. Enter the complete path to the application, or click the folder icon to select the editing application from your local system. You only need to change this if you want the file to open in an application that is not the default Windows file association.
  • Automatically upload changes when the editing application closes. Select this option to force an upload once the application is closed. If you do not select this option, you will have to use the Active Edit Manager to upload changes.


Active Edit Details

Use this dialog to review details on files that have been selected for editing.

  • Filename. The name of the file being edited.
  • From. The address or path to the file source.
  • Local Copy. Where the file resides on the local system.
  • Application. The application that the file opened in.
  • Source File Time. The date and time stamp on the source file.
  • Download Time. The date and time the download occurred.
  • Last Change Time. If the file has been changed by the active edit process, a record of the last update is shown here.


Active Edits

This dialog acts as an edit manager, giving you the ability to select files you have chosen to edit for upload or discard. If you have selected multiple files in the edit queue, you do not have to close the application to upload the changes.

  • File Name - The list of files that are being edited. The icon to left of the filename displays the status of the file. If the icon is white, the file has not been modified. If the icon is green, the file has been modified.
  • From - The remote address of the file being edited.
  • Upload - Select a file and click Upload to upload the changes made during the edit process.
  • Discard - Select a file and click Discard to stop editing the file without uploading.
  • Details - Click Details to access the Active Edit Details dialog.


Add/Insert/Modify Command

Enter or edit a script command and the appropriate arguments (if any).


Anonymous (definition)

To log on to any FTP site, you must identify yourself with a user ID and password. Some FTP sites let you use the word anonymous as a User ID, and your e-mail address as your password; this is known as an "anonymous login." (All of the Ipswitch preconfigured FTP sites are set up as anonymous logins.)

FTP sites that allow anonymous logins usually exist to provide files that can be downloaded by the general public; anyone on the Internet can log onto the site anonymously and copy files to his or her PC. This is similar to logging on to a file server as a "guest."

Anonymous logins have access to a vast store of software, games, music, and numerous other resources. However, if you log in anonymously, you usually are not allowed to do more than view public folders and download files. (You are usually unable to view private folders or to upload files.)


ANSI (definition)

Acronym for the American National Standards Institute. Founded in 1918, ANSI is an organization that creates standards for the computer industry, among other things.


ASCII (definition)

ASCII (American Standard Code for Information Interchange). Text file format. Text files have end-of-line characters; the end- of-line character is different on different types of computers.


ASCII Transfer Mode (definition)

The end-of-line character in text files is different on different types of computers; most non-PC computers use just a linefeed character to signify the end of a line, but PCs use carriage return plus linefeed <CRLF>.

Using ASCII mode ensures that the end-of-line character is translated properly. The ASCII transfer mode should be used for all text files, including text, HTML, postscript, or other ASCII format (.txt, .html, .htm, .cgi). It should also be used for EBCDIC files.

(ASCII mode contrasts with binary mode in which characters are not translated, but are transferred as exact duplicates of the original.)


Automatic Reconnect

You can control what happens with WS_FTP each time you start the application. With the Automatic Reconnect function, you can choose to either:

  • Connect to a default site, or
  • Connect to the last site you connected to.
  • Display the Site Manager.
  • Display a blank workspace.

This feature is configured on the General page of Program Options.

This feature is particularly useful if you have only one or two sites that you connect to on a regular basis. By bypassing the connection process, you can get to your transfers after only a couple of clicks.


Binary (definition)

A file format that is used for non-text files such as bitmaps (.bmp) or JPEG (.jpg), executable programs, word processing documents, spreadsheets, databases, graphics files, and sound files.


Binary Transfer Mode (definition)

The binary transfer mode transfers a file as an exact copy of the original, and should be used for transferring all binary files, including bitmaps, executables, or compressed files (.bmp, .jpg, .exe, .zip).

(Binary mode contrasts with ASCII mode which treats a file as text, translating the end-of-line characters during transfer.)


Browse Button

Once you connect to a site, you can select Browse to locate and choose a folder to search. The folders are displayed starting at the folder shown in Look in.


Browse Dialog

If you’re not currently connected to a site, this dialog shows you a list of all the sites you have configured in WS_FTP. Select the site and folder you want to search.

If you are connected to a site, this dialog shows you the contents of the site, starting at the folder listed in Look in. Select the folder you want to search.


Program Options: Browser Integration

How to get to the Program Options Dialog

  1. In the tool bar, click Options (or select Tools > Options) to open the Program Options dialog.
  2. In the left pane, select a properties category.
  • Enable integration for FTP URLs in Internet Explorer - Select this option to have WS_FTP work with Microsoft Internet Explorer.
  • Prompt before using WS_FTP to process FTP URLs - When this option is selected, WS_FTP will prompt you before handling FTP URLs.
  • Preserve File Times - When this option is selected, the original file times are kept after the file is downloaded.
  • Close progress dialog when download completes - When this option is selected, the Download dialog box closes itself when a download is completed.
  • Use this firewall when connecting and downloading - Use this list box to select the firewall you need to use for downloads. See [image] Firewalls for more information.

    Some organizations separate their local networks from the rest of the Internet by installing a "firewall" or "gateway." A firewall is a system or software which is configured to prevent particular types of access/information from entering the network. Most firewalls block the flow into the local area network, but allow individuals to access most resources outside of the network.

    WS_FTP lets you enter information about a firewall into a firewall configuration, which you can then use when connecting to an FTP site from behind that firewall. You can configure the firewall once, and then assign that firewall configuration to whatever sites need to use it.

    Multiple Firewalls

    There are several reasons you might want to create more than one firewall configuration. If you use a laptop computer in different locations that have different firewalls, you will want to set up a firewall configuration for each location, so you can switch to the appropriate firewall configuration when you are in each location.

    Another reason you might want to set up multiple firewall configurations is that your network could have more than one router configured as a firewall. In this case, you would assign a different firewall configuration to an FTP site depending on which part of the network you are working from.

    Furthermore, you might have a number of "trusted sites" (for example, FTP sites set up by your own company) for which you would use a different firewall (or no firewall).

Related topic

Configuring Browser Integration


cd

Syntax: cd dirname

What it does: Changes the current folder on the current site to dirname where dirname is the name of a folder on the site.

Note: This command can be executed only if a connection to a site has been established.


Certificate

A certificate is an identification file used in connection negotiations. Certificate files usually have a .crt extension.


Certificate Creation Wizard

This wizard guides you through creating a self-signed client certificate and a certificate signing request for use with FTP over SSL.

  1. Enter a name in Certificate Set Name. This will be the name of the certificate that is generated by WS_FTP Client.
  2. Enter or select a date in Expiration date. This is the date that the certificate will expire.
  3. Enter a Passphrase to encrypt the private key. It is important to remember this passphrase. The passphrase can be any combination of letters, symbols, spaces, or numbers.
  4. Confirm the passphrase in Confirm passphrase.


Certificate Creation Wizard: Certificate Information

Enter the appropriate information for each of the fields.

  • City/Town. City or town where you are located. (Ex. Augusta)
  • State/Province. State or Province where you are located. (Ex. Georgia)
  • Organization. Company or individual user name.
  • Common Name. This can be either the name of the person creating the certificate or the fully qualified domain name of the server associated with the host.
  • Email. E-mail address of the person the certificate belongs to.
  • Unit. Name of organizational unit. (Ex. Research and Development)
  • Country. The country you are in. This must be a valid 2 letter country code. (Ex. US)


Certificate Creation Wizard: Created

Make note of the directories that are being used to store the various parts of the Client Certificate. To finish the creation of the certificate, click Finish.


Certificate Import: Finish

Review the information onscreen and click Finish to import the certificate.


Certificate Import: Name

Enter the name you want to call the certificate you are importing. This is the name that will appear on the certificate list.


Certificate Import: Pass Phrase

Enter the passphrase used to create the certificate selected for importing. Remember this passphrase: without it, you will not be able to use the certificate.


Certificate Import: Private Key

Select or enter a path to the private key file associated to the certificate that you want to import.


Certificate Import: Selection

Select or enter a path to the certificate file that you want to import.

Supported certificate file formats:

  • PEM (.pem)
  • DER (.der)
  • PKCS#12 (.pfx, .p12)
  • PKCS#7 (.p7b)


Certificate Signing Request

This file is created when the certificate is generated. It is to be sent to your server administrator to be signed and returned to you. The file usually ends in .csr.


Browse button

The Browse command allows you to change the current folder.

To use this command, click the Browse button in the command bar above the file list. The Browse dialog appears, asking which directory you want to change to. WS_FTP changes the current folder to the one selected.


WS_FTP Menu Bar

Click the following Menu Items to view their associated menu.

Connections

  • New Connection - Starts the Connection Wizard that you use to create a site and connect to it.
  • Disconnect - Disconnects the selected view.
  • Site Manager - Lets you create, edit, and delete sites and connect to a site.
  • Sites - Displays a list of sites you have created.
  • New Local View - Creates a new view of the local system.
  • Recent Sites - A list of sites you have connected to recently.
  • Operations - A list of commands you can perform in the active pane.
  • Exit - Closes WS_FTP.

View

  • Toolbars
    • Standard - Toggles the display of the Standard toolbar.
    • Quick Connect Bar - Toggles the display of the Quick Connect Bar.
    • Workspace Bar - Toggles the display of the Workspace Bar.
    • Modes - Toggles the display of the Modes toolbar.
    • Customize - Displays the Customize Toolbar dialog, where you can chance the look of the toolbars.
  • Information Window - Toggles the display of the Information Window.
  • Transfer Buttons - Toggles the display of the transfer arrows between the views.
  • Single Pane View - Toggles between single and standard (two-pane) displays.
  • Edit Manager - Displays the Active Edit Manager.

Tools

  • Operations after Transfer (Professional version)
    • Exit WS_FTP - When all active or scheduled transfer requests are completed, WS_FTP will close itself.
    • Shutdown Computer - When all active or scheduled transfer requests are completed, WS_FTP will attempt to shut the computer down.

      Note:Operations after Transfer will not work if a file is transferred using drag and drop.

  • Link Folders - Toggles Link Folder Mode for the selected connections. (Professional version)
  • Backup Files (Professional version)
    • Add a New Backup Job - Starts a wizard that helps you create a backup of a site.
    • Manage Backup Jobs - Launches the Backup utility, in which you can create, edit, or delete backup jobs.
  • Synchronize Files (Professional version)
    • Add a New Synchronize Task - Starts a wizard that helps you create a task to synchronize files in two locations.
    • Manage Synchronize Tasks - Launches the Synchronize Utility, which lets you add, edit, and delete Synchronize tasks.
  • Search (Professional version)
    • Local File - Launches a local search tab
    • Remote Files - Launches the Find Utility to search files on an FTP site.
  • Scheduler Utility - Launches the Scheduler Utility. (Professional version)
  • Script Utility - Launches the Scripting Utility. (Professional version)
  • Batch Mode - Toggles Batch mode for the selected remote connection. (Professional version)
  • Multipart Mode - Toggles Multipart mode for the selected remote connection. (Professional version)
  • OpenPGP Mode - Toggles OpenPGP mode for the selected remote connection. (Professional version)
  • Append File Mode - Toggles Append File Mode for the selected remote connection. (Professional version)
  • Compression Mode - Toggles Compression Mode for the selected remote connection. (Professional version)
  • Options - Displays the Program Options dialog.

Help

  • Help Topics - Displays the WS_FTP Help system.
  • Tutorials - Displays the WS_FTP tutorials. (Only accessible if you have Internet access.)
  • Tip of the Day - Shows tips for best use of WS_FTP.
  • About - Displays the About WS_FTP dialog box.


WS_FTP Interface

The WS_FTP interface is a stand-alone Windows application that displays a two-pane window with your PC's files and folders on the left and the FTP site's files and folders on the right.


Transfer Buttons

The two arrow buttons displayed between the left and the right panes of the main window are the transfer buttons. The arrow pointing to the left transfers the selected items on the right pane to the left pane. The arrow pointing right transfers the selected items on the left pane to the right pane.

Note: The Transfer Buttons can be hidden by selecting View > Transfer Buttons to toggle the display.


clear button

Click Clear to clear the results pane.


Clearing the Quick Connect History

By default, connections made via the Quick Connect bar are saved for future reference. You can manually clear the Quick Connect history, or you can configure WS_FTP to clear the history each time it closes.

To clear the Quick Connect history:

  1. Click Options on the toolbar, or select Tools > Options from the menu bar.
  2. Select the General page.
  3. To configure WS_FTP to clear the history each time it closes, select Clear Quick Connect history on application exit. To clear the history immediately, click Clear Now.


close

Syntax: CLOSE

What it does: Closes the current connection.


Compression Password

Enter and confirm your encryption password.

To hide the text of your password as you type it, make sure Hide Typing is selected.


Configured FTP Site

A configured FTP site is an FTP site about which you have saved some information in WS_FTP. The site configuration tells WS_FTP how you want to connect to the site and what you want to see when you get there.

A site configuration usually includes site name, host name/IP address, host type, user ID, password, account. However, it can also include startup folders, initialize commands, file masks, time offset, firewall information, and network settings.


Configured FTP Site (definition)

A configured FTP site is a collection of information about an FTP server. A site configuration includes:

  • Your name for the site configuration
  • The site's [image] host name or IP address, as well as host type

    Every system (computer) on the Internet has an official host name and Internet (IP) address. In order to connect to an FTP site, you must find out the official name or address of the site. For example, a system might have a host name of superserv.ipswitch.com and an IP address of 123.124.125.126. In WS_FTP, you can use either the host name or the IP address to specify a particular FTP site.

    Examples

    • For most large, well- known companies, their FTP sites are named "ftp.companyname.com" (e.g. ftp.microsoft.com, ftp.adobe.com, and ftp.aol.com)
    • To get the name or address of a popular FTP site, use a search engine such as Lycos.com or Yahoo.com to search for the name. Or, try replacing the "www" portion of the organization's URL with "ftp", for example replace www.ipswitch.com with ftp.ipswitch.com. Or simply call the company and ask for the name of their FTP site.
    • If you want to connect to an FTP site maintained by your Internet Service Provider (ISP), your ISP will provide you with an FTP name or address that looks something like: ftp.ipswitch.com or 156.22.3.1.
  • Your user ID, password, and account on the site
  • The startup folder for the FTP site
  • Any commands you want to send the site
  • The local and remote file masks
  • A time offset (if the site is in a different time zone)
  • Retry, timeout, and port settings


Configuring Browser Integration

WS_FTP can be integrated with your Web browser to handle FTP URLs when the browser links to an FTP, SFTP, or an FTPS address.

To select and set up integration with your Web browser:

  1. In the toolbar, click Options, then select Browser Integration.
  2. Set the options on the page.
  3. Click OK.


connect

Syntax: CONNECT SiteFolder!SiteProfile

What it does: This command establishes a connection between your PC and the remote server.

Note: If you have specified a profile with the command line option '-p', the CONNECT statement should be issued with no parameters.


Connect (definition)

When you "connect" to an FTP site, WS_FTP sends messages to the FTP site and -- if the connection is successful -- receives messages back from the site. These messages use the Internet's File Transfer Protocol.


Connect using the Sites Menu

The Sites and Recent sites menus offer a quick way to connect to your FTP sites, without using the Site Manager.

To show these menus, click on the down arrow next to the Connect button on the toolbar, or select the Connections menu.

To connect using this menu, select the site from the list on the menu, or from one of the folders listed there. As soon as the site is selected, WS_FTP attempts to connect.


Connecting to an Internet Service Provider

Because the FTP sites of ISPs (Internet Service Providers) often contain thousands of folders/directories (one for each user), you can experience long delays and occasional timeouts when you try to connect to an ISP FTP site. This is due to the fact that it takes a long time for the FTP site to send its folder listing to WS_FTP.

You can easily get around this sort of delay by entering the path and/or name of your folder (on the FTP site) into the FTP site configuration.


Program Options: Firewall

How to get to the Program Options Dialog

  1. In the tool bar, click Options (or select Tools > Options) to open the Program Options dialog.
  2. In the left pane, select a properties category.
  • Use UPnP for PORT commands - If selected, WS_FTP attempts to detect and manage the firewall using UPnP. This option only works on Windows XP, and you may need to explicitly enable UPnP on your firewall.
  • Force PORT IP address - If selected, WS_FTP uses the specified IP address for all PORT commands.
  • Limit local port range - If selected, WS_FTP uses only ports between the specified Minimum and Maximum.
  • Configured Firewalls - This list is used to manage firewall configurations.
    • To create a new firewall entry, click New and enter the appropriate firewall properties.
    • To edit a firewall entry, select the firewall name and click Edit. The Firewall Properties dialog appears.
    • To delete a firewall entry, select the firewall name and click Delete.
    • To edit the firewall script, select the firewall entry from the Configured Firewalls box and click the FireScript Editor button.

If your computer is behind a [image] firewall , you may need to get information about your firewall from your network administrator. For more information, see Firewall types and required information for WS_FTP.

Some organizations separate their networks from the rest of the Internet by installing a "firewall" or "gateway." A firewall is a system or software which is configured to prevent particular types of access/information from entering the network. Most firewalls block the flow into the local area network, but allow individuals to access most resources outside of the network.

Some types of router-based firewalls will not allow an FTP site to establish a data connection to your local PC. You will want to use passive transfers if your local area network is behind these types of firewalls.

Related Topics

Configuring a firewall

Editing a firewall script


Site Options: Host Info

How to get to the Site Options Dialog

  1. In the tool bar, click Connect (or select Connections > Site Manager) to open the Site Manager.
  2. Select a remote site and click Edit. The Site Options dialog appears.
  3. In the left pane, select a properties category.

You can also get to Site Options by right-clicking on an open tab of a remote connection and selecting Properties.

Edit the following information as needed.

  • Site Name - This is the name of the site. It appears in the Site Manager and on the tab for any connections to this site.
  • Host Name - This is either a fully qualified Internet [image] host name or an IP address .

    Every system (computer) on the Internet has an official host name and Internet (IP) address. In order to connect to an FTP site, you must find out the official name or address of the site. For example, a system might have a host name of superserv.ipswitch.com and an IP address of 123.124.125.126. In WS_FTP, you can use either the host name or the IP address to specify a particular FTP site.

    Examples

    • For most large, well- known companies, their FTP sites are named "ftp.companyname.com" (e.g. ftp.microsoft.com, ftp.adobe.com, and ftp.aol.com)
    • To get the name or address of a popular FTP site, use a search engine such as Lycos.com or Yahoo.com to search for the name. Or, try replacing the "www" portion of the organization's URL with "ftp", for example replace www.ipswitch.com with ftp.ipswitch.com. Or simply call the company and ask for the name of their FTP site.
    • If you want to connect to an FTP site maintained by your Internet Service Provider (ISP), your ISP will provide you with an FTP name or address that looks something like: ftp.ipswitch.com or 156.22.3.1.
  • User ID/Password - If you have special permissions on the FTP site, enter the User ID and Password provided to you by the FTP Site administrator. If not, enter [image] Anonymous for the User ID. See also [image] Notes about Passwords .

    If you are logging on anonymously (using an e-mail address as a password):

    • You can use a valid e-mail address if you do not mind the FTP site learning your e-mail address.
    • You can place a minus (-) sign in front of the e-mail address in order to minimize the number of descriptive messages you will receive from the FTP site administrator.
    • WS_FTP does not allow you to enter a blank password; however, you can enter empty quotation marks if you would rather not divulge a valid e-mail address.

    If you are not logging on anonymously:

    • We do not recommend turning on Save Password unless you are the only user of your computer and no one else has access to your WS_FTP folder. If you do not save the password, WS_FTP will prompt you for one when you initiate the connection.

    To log on to any FTP site, you must identify yourself with a user ID and password. Some FTP sites let you use the word anonymous as a User ID, and your e-mail address as your password; this is known as an "anonymous login." (All of the Ipswitch preconfigured FTP sites are set up as anonymous logins.)

    FTP sites that allow anonymous logins usually exist to provide files that can be downloaded by the general public; anyone on the Internet can log onto the site anonymously and copy files to his or her PC. This is similar to logging on to a file server as a "guest."

    Anonymous logins have access to a vast store of software, games, music, and numerous other resources. However, if you log in anonymously, you usually are not allowed to do more than view public folders and download files. (You are usually unable to view private folders or to upload files.)

  • Account - Enter the account to use for the User ID you entered. Usually, you will leave this blank because most FTP sites do not use accounts. Select Save Account if you do not want to enter the Account each time you log on to this site. Note about VM/CMS host.

    On a VM/CMS host, the account name is used as the initial password to the user's default folder. When you change folders on a VM/CMS host you are prompted each time for the password to connect to that folder.

  • Comment - Enter any comments you want to include with this site.


Create HotDrops

HotDrops are shortcuts for transferring files to remote FTP directories. Create a HotDrop from the shortcut (right-click) menu on a remote site.

After you create a hotdrop, it displays as an icon in the selected folder on your computer. HotDrops include the FTP folder name; for example, mysite. Files dragged and dropped on the hotdrop icon are transferred to the selected FTP directory.

  • Destination Folder - Enter or browse to the folder you want as the destination for the HotDrop.
  • Save password when creating HotDrop - Click to select this option if you want to automatically use the site's password when transferring files to a hotdrop site.

    Important: The save password option is only enabled if the connection is made from the Address bar.

  • Local startup folder when opening this folder from the shell - Enter the folder you want to appear in the local system pane when you open this site favorite folder, for example, My Computer.
  • Create shortcut in Send To Menu - Click to select this option if you also want to add the new HotDrop to the shortcut (right-click) > Send To > WS_FTP HotDrop menu options.
  • Create HotDrops in the Send To Menu (from the Site Manager)

    HotDrops in Send To Menu are shortcuts for transferring files to remote FTP directories. Create a HotDrop in the Send To Menu from the shortcut (right click) menu in the Site Manager.

    After you create a HotDrop in the Send To Menu, the site is added to the right-click menu with the site name; for example, mysite. When you right-click on a file in Windows Explorer or the local WS_FTP main window, select Send To > WS_FTP HotDrop and the name of the target HotDrop site in the list, the file is transferred to the selected FTP directory. Sites that are set as HotDrop in the Send To menu are indicated with a check mark beside the site icon.

  • Destination Folder - Enter a folder path or browse to the folder you want as the destination for the site favorite.
  • Save password when creating HotDrop - Click to select this option if you want to automatically use the site's password when transferring files to a hotdrop site.

    Note: The save password option is only enabled if the connection is made from the Address bar.

  • Local startup folder when opening this folder from the shell - Enter the folder you want to appear in the local system pane when you open this site favorite folder, for example, My Computer.


Creating a new folder for site configurations

To create a new folder:

  1. Select Connections > Site Manager to open the Site Manager.
  2. In Folders, select the folder in which you want to create the folder.
  3. Click Create Folder.
  4. Enter a name for the folder, then click OK. The new folder appears in the list.

To move a site profile into the new folder, drag and drop it onto the folder in the list.


del

Syntax: DEL filename

What it does: Deletes a single file named filename from the current site.

Notes:

  • This command can be executed only if a connection to a site has been established.
  • Use MDELETE to delete multiple files. Use RDEL if you need to delete folders with subfolders.


Delete button

The Delete command allows you to delete a file or folder on your PC or on the current FTP site, if you have permission to do so.

Select the file or folder you want to delete, then, in the command bar above the file list, click the Delete button.

Note: If you selected a folder and the folder is not empty, you cannot delete it unless you have selected Allow deletion of non-empty folders.


Destination System (definition)

The system to which you are transferring files; this can be either the FTP site if you are uploading files, or it can be the local system (your PC) if you are downloading files to your PC.


Loading...


dir

Syntax: DIR filemask

What it does: Issues a LIST command to the current site using filemask and displays the output to the screen.

Note: This command can be executed only if a connection to a site has been established.


Directory Properties

The Properties dialog displays information on a selected remote file or folder.

  • Site - The Site Profile used to connect to this site.
  • Location - The path from the root directory to this file or folder.
  • Type - The type of directory viewed (folder or file.)
  • Total Size - The total size, in KB and Bytes of all of the files and folders stored in this directory, or the file size of the selected file. This is only shown for directories if Show full size of remote folders in Directory Properties is selected in the Display dialog of Program Options.
  • Date - The date the item was last modified.
  • Attributes - The attributes that are set on this item (if any exist).
  • Contains - The number of files and folders contained in this directory. This is only shown if Show full size of remote folders in Directory Properties is selected in the Display dialog of Program Options.
  • UNIX Permissions
  • Numeric Value - You can enter a numeric value to manually set permissions on the item or items selected. See 'Unix file permissions' for more information.
  • Owner, Group, and World - These sections let you view and change file permissions on a UNIX (host type) FTP site, provided you have permission to do so. The proper permission settings depend on what you want to do and who normally can read files by default; this information should be available from the FTP site administrator.


Directory Info button

The Directory Info command (in the toolbar above the file list) opens a text document that displays information about the current directory as a text document in the default Text Viewer (as specified on the General tab of program options).

WS_FTP displays as much information as the FTP site delivers. Depending on the site, for each file or folder within the current directory, the following information may be shown: size, type, permission, creation date, date last modified, and name.

You can print or save the document.


Disconnect (definiton)

To disconnect your PC from an FTP site, WS_FTP closes the open connection between your PC and the FTP site.


Download (definition)

Transfer a file to your local PC from an FTP site.


E-mail Notification Properties (dialog box)

This dialog is used to edit an E-mail Notification.

  • Display Name - Enter a descriptive name for this notification. This name is used for your reference only.
  • Location - Click the browse button (...) and select the site and folder to which you want this notification to apply. Alternatively, you can enter the location directly using this format: <sitename>:<path>
  • Include Subfolders - Select to include all folders inside the folder specified in Location.
  • Transfer and Status - Select the criteria that trigger this notification; for example, selecting Either for Transfer and Failure for Status would result in an e-mail any time an upload or a download fails.
  • To - Enter the e-mail address you want to send this notification to. You can enter multiple addresses separated by commas.
  • Subject - Enter a subject for this notification.
  • Body - Enter the text you want to be included in the e-mail. You can use the following variables to get specific information about the transfer:
    • %Filelist - A list of the files involved in the transfer, including full path, name, size, modified time, and status.
    • %Timestamp - The date and time the notification was sent.
    • %User - The username connected to the server when the transfer was performed.
    • %Status - The status of the transfer; either Succeeded or Failed.
    • %Site - The URL of the site.
    • %Dir - The path on the server.
  • Test - Click this button to test the notification. Check the e-mail address To to verify that the e-mail was sent properly.


E-mail Notification Wizard: Conditions

Enter the conditions necessary for this e-mail notification to be sent.

  • Location - Click the browse button and select the site and folder to which you want this notification to apply. Alternatively, you can enter the location directly using this format: <sitename>:<path>
  • Include Subfolders - Select to include all folders inside the folder specified in Location.
  • Condition and Status - Select the criteria that trigger this notification; for example, selecting Either for Condition and Failure for Status would result in an e-mail any time an upload or a download failed.


E-mail Notification Wizard: Message

Enter the address of the person you want to receive this e- mail notification in To, then specify the text you want to be included in the e-mail subject and body.

You can use the following variables in the Subject and Body fields to get specific information about the transfer:

  • %Filelist - A list of the files involved in the transfer, including full path, name, size, modified time, and status.
  • %Timestamp - The date and time the notification was sent.
  • %User - The username connected to the server when the transfer was performed.
  • %Status - The status of the transfer; either Succeeded or Failed.
  • %Site - The URL of the site.
  • %Dir - The path on the server.


E-mail Notification Wizard: Name

Enter a name for this e-mail notification. This name is for your reference only.


E-mail Notification Wizard: Test and Finish

Review the information on the screen for accuracy. If the information is incorrect, click Back and make the necessary changes.

To verify that everything is set up properly, click Test. WS_FTP sends an e-mail notification just as it would if the conditions had been met.


EBCDIC Definition

Extended Binary Coded Decimal Interchange Code. EBCDIC is an 8-bit binary code for larger IBM computers in which each byte represents one alphanumeric character or two decimal digits. Control commands are also represented. EBCDIC is similar to ASCII code, which is used on most other computers.


Edit button

The Edit command allows you to edit a file.

  • If you select a file on your PC, and then click Edit, the file opens in its associated application.
  • If you select a file on an FTP site and then click Edit, the file is transferred to your temporary folder and is opened in the associated application.
  • If you have configured Active Edit, when you select a file on an FTP site and click Edit, the file opens in the associated editor, without being transferred to the temporary folder. You can make your changes and save the file back to the folder on the FTP site.


Edit Command

The Edit command allows you to edit a file.

  • If you select a filename on an FTP site and then click Edit, the file is transferred to your temporary folder and is opened in its associated application.


Edit OpenPGP Key: Certificate

This dialog contains details about any signatures that may have been applied to the OpenPGP key. The list at the top of the dialog contains all of the signatures applied to the key, while the Certificate section at the bottom contains information about the selected signature.

  • Signer Name - The name of the person who signed the key
  • Signer Key ID - The unique identifier of the signer's key
  • Created - The date the signer's key was created
  • Expires - The expiration date of the signer's key
  • Attributes - Indicates if the signer's key is Valid, Expired or Revoked

This dialog also contains some key management features:

  • Revoke - Click this button to revoke the selected signature. This option is only available for your signatures.
  • Sign - Click this button to add your digital signature to the key. This option is only available if you have a signing key in your keyrings.
  • Delete - Click this button to completely remove your signature from the key.


Edit OpenPGP Key: General

This dialog contains details about the OpenPGP key including:

  • Key ID - The unique identifier for this key
  • Type - The type of the key, either RSA or DSS/DH
  • Size in bits - The file size of the key
  • Cipher - The encryption algorithm used
  • Fingerprint - The unique string which can be confirmed with the key's owner
  • Created - The date the key was created
  • Expires - The expiration date of the key
  • Attributes - Indicates if the key is Valid, Expired or Revoked
  • Trust - If you have signed the key, you can indicate whether you trust this key completely, marginally, or not at all.

This dialog also contains some key management features:

  • Revoke - Click this button to revoke the key. This option is only available if the key was created by you.
  • Sign - Click this button to add your digital signature to the key. This option is only available if you have a signing key in your keyrings.


Exclusion Examples

Here are a few examples of exclusions, followed by an explanation of each.

Absolute file exclusions

Exclusion rule: /mydir/*.exe

Type: Absolute location

This will exclude all .exe files in the mydir remote directory, but the path is taken from the root of the remote system.

Exclusion rule:c:\mydir\*.exe

Type: Absolute location

This will exclude all .exe files in the c:\mydir local directory.

Exclusion rule: /mydir/nextdir/myfil?.*

Type: Absolute location

This will exclude any file beginning with myfil with one arbitrary character and any extension in the directory /mydir/nextdir.

Absolute directory exclusion

Exclusion rule: /m?dir

Type: Absolute location

This will exclude all directories that match the mask m?dir, but the path is taken from the root of the file system. The ? is a substitute for any single character.

Exclusion rule: c:\m?dir

Type: Absolute location

This will exclude all directories on the c: drive that match the mask m?dir. The ? is a substitute for any single character.

Relative directory exclusions

Exclusion rule: mydir

Type: Apply to folders

This will exclude any directory named mydir anywhere in the file system.

Exclusion rule: m*ir

Type: Apply to folders

This will exclude any directory that matches the mask m*ir from anywhere in the file system. The * means that the name can have any number and value of character in between the "m" and the "ir."

Relative file exclusion

Exclusion rule: mydir\*.exe

Type: Apply to files

This will exclude any .exe files in any directory named mydir anywhere in the file system.

Relative file/folder exclusion

Exclusion rule: ~*

Type: Apply to both

This will exclude any file or folder starting with the ~ character, anywhere in the file system.


Execute button

The Execute command allows you to execute, or open, a file.

  • If you select a local filename and then, in the command bar above the file list, click Execute, the file is executed using the Windows file association.
  • If you select a filename on an FTP site and then click Execute, the file is transferred to your temporary folder and is executed using the Windows file association.


Firewall Wizard

The firewall wizard walks you through setting up a firewall.

The following are the fields you should fill out during this process.

  • Create a Firewall Named - This will be the identifying name for your firewall.
  • Host Name or IP Address

    Every system (computer) on the Internet has an official host name and Internet (IP) address. In order to connect to an firewall, you must find out the official name or address of the firewall. For example, a firewall might have a host name of guard.acme.com and an IP address of 156.210.50.114. In WS_FTP, you can use either the host name or the IP address to specify a particular firewall.

  • User ID - Enter the firewall User ID or leave blank if not used.
  • Password - Enter a Password. We do not recommend turning on Save Password unless you are the only user of your computer.
  • Firewall Type - Select the firewall type.
  • Firewall Port - Enter a port number.


Extension Conversion Rules

downextconvert | File extensions are changed only as files are downloaded.
upextconvert | File extensions are changed only as files are uploaded.
bothextconvert | File extensions are changes as files are both uploaded and downloaded.

Example

.xyz upextconvert .txt means that if file.xyz is uploaded, it will be changed to file.txt. However, file.txt will remain file.txt if it is downloaded.


File Mask Text Box

The File Mask text box is displayed as a rectangle with the default entry ( *.*) which selects all files. The File Mask allows you to view a subset of the files on either the Local System or Remote Site; this is handy if there are a large number of files and folders.

Note: The File Mask is not enabled on the command bar by default. To enable the File Mask, refer to the Customizing the Command Bar topic.

In the File Mask text box, enter a filter that is valid for the system, and then press Enter. For example, to display only files with the extension .txt, enter *.txt in the File Mask text box and press Enter. The corresponding file list is refreshed to display only the files with the extension .txt.


File names with special characters

To transfer a file with special characters in the file name, make sure nothing is selected, and then click the Upload or Download arrow. You will be prompted for a file name.

You can hold down the Ctrl key with a file selected and click the Upload or Download arrow, you will be prompted for a file name.


File Transfer Protocol (definition)

FTP stands for File Transfer Protocol, one of the standard protocols defined for the Internet. It is a client/server based protocol, whereby a client program on one system, usually your PC, sends requests to a server program on another system, an FTP site, and receives replies from the site.

FTP allows the fastest and safest means of file transfers on the Internet.


Find Now

Click here once you have entered your search criteria on one or more tabs.


Finding files and folders

If either your PC or the FTP site contains a large number of folders and files, you can try one of these methods for locating the file you want:

  • Use the File Mask text box.
  • From the Tools menu, select the Find Utility.


FIREPASS

Syntax: FIREPASS (password )

What it does: Sets the firewall password to the value in password.

Note: This command must precede the CONNECT command.


FIREUSER

Syntax: FIREUSER (userid)

What it does: Sets the firewall user ID to userid.

Note: This command must precede the CONNECT command.


Firewall (definition)

Some organizations separate their networks from the rest of the Internet by installing a "firewall" or "gateway." A firewall is a system or software which is configured to prevent particular types of access/information from entering the network. Most firewalls block the flow into the local area network, but allow individuals to access most resources outside of the network.

Some types of router-based firewalls will not allow an FTP site to establish a data connection to your local PC. You will want to use passive transfers if your local area network is behind these types of firewalls.


Firewall Host Name and IP Address

Every system (computer) on the Internet has an official host name and Internet (IP) address. In order to connect to an firewall, you must find out the official name or address of the firewall. For example, a firewall might have a host name of guard.acme.com and an IP address of 156.210.50.114. In WS_FTP, you can use either the host name or the IP address to specify a particular firewall.


Firewall Properties

The following information is set when a firewall is configured. Use this dialog to edit or view the information.

  • Name - A descriptive name for this firewall configuration. You can use any name that helps you recall how or where this firewall configuration is used.
  • Hostname - The firewall [image] Host Name or IP Address.

    Every system (computer) on the Internet has an official host name and Internet (IP) address. In order to connect to an FTP site, you must find out the official name or address of the site. For example, a system might have a host name of superserv.ipswitch.com and an IP address of 123.124.125.126. In WS_FTP, you can use either the host name or the IP address to specify a particular FTP site.

    Examples

    • For most large, well- known companies, their FTP sites are named "ftp.companyname.com" (e.g. ftp.microsoft.com, ftp.adobe.com, and ftp.aol.com)
    • To get the name or address of a popular FTP site, use a search engine such as Lycos.com or Yahoo.com to search for the name. Or, try replacing the "www" portion of the organization's URL with "ftp", for example replace www.ipswitch.com with ftp.ipswitch.com. Or simply call the company and ask for the name of their FTP site.
    • If you want to connect to an FTP site maintained by your Internet Service Provider (ISP), your ISP will provide you with an FTP name or address that looks something like: ftp.ipswitch.com or 156.22.3.1.
  • UserID - If needed, enter the UserID for the firewall.
  • Password - Enter the password for the firewall. We do not recommend selecting Save Password unless you are the only user of your computer.
  • Type - Select the firewall type from the drop-down list.
  • Port - Enter a port number.


Folders button

The Folders button changes the file list display to show two separate panes, with folders listed on the left and files listed on the right, similar to the Windows Explorer view. Click the Folders button to toggle between the single pane view and the two-pane view.


FTP Client (definition)

An FTP client is a computer that is running FTP client software. When you use FTP to download files from an FTP site, you are actually running an FTP client (such as WS_FTP) on your PC.


FTP site (definition)

An FTP site consists of an FTP server program located on an Internet host computer.

Many companies and organizations maintain FTP sites (also known as "FTP servers"). These can be:

  • File repositories from which you can copy files such as free programs and evaluation versions of software. WS_FTP provides a number of popular FTP sites that have already been configured for you. When you connect to an FTP site like this, look for a file called readme, readme.txt, index, or 00index. Such files provide descriptions of the resources available on the site as well as other useful information.
  • File repositories where you can place files for use by others. (For example, a site on which you place your Web site pages for your ISP, or a site on which you place a photograph file for use in an on- line auction.)


FTP sites

An FTP site consists of an FTP server program located on an Internet host computer.

Many companies and organizations maintain FTP sites (also known as “FTP servers”). These can be:

  • File repositories from which you can copy files such as free programs and evaluation versions of software. WS_FTP provides a number of popular FTP sites that have already been configured for you. When you connect to an FTP site like this, look for a file called readme, readme.txt, index, or 00index. Such files provide descriptions of the resources available on the site as well as other useful information.
  • File repositories where you can place files for use by others. (For example, a site on which you place your Web site pages for your ISP, or a site on which you place a photograph file for use in an online auction.)


get

Syntax: GET (sourcefile) [destloc] [modeswitch]

What it does: Downloads sourcefile from a site, where:

  • Sourcefile is the name of the source file on the FTP site. Wildcards are not allowed in the source file specification.
  • Destloc is the name of the downloaded file or folder to be placed on the local system. If destloc is not specified, the name of the source file will be used on the local system.
  • The transfer mode is indicated in the modeswitch (0 = ASCII, 1 = BINARY).

Notes:

  • This command is executed only if a connection to a site has been established.
  • Use MGET to retrieve multiple files. Use RGET to retrieve folders with subfolders.


Getting to Local Options

  1. In the tool bar, click Connect (or select Connections > Site Manager) to open the Site Manager.
  2. Select a local site and click Edit. The Local Options dialog appears.

You can also get to Site Options by right-clicking on an open tab of a local connection and selecting Properties.


Getting to Program Options

  1. In the tool bar, click Options (or select Tools > Options) to open the Program Options dialog.
  2. In the left pane, select a properties category.


Getting to Site Options

  1. In the tool bar, click Connect (or select Connections > Site Manager) to open the Site Manager.
  2. Select a remote site and click Edit. The Site Options dialog appears.
  3. In the left pane, select a properties category.

You can also get to Site Options by right-clicking on an open tab of a remote connection and selecting Properties.


Getting to the Script Utility

Select Tools > Script Utility from the menu bar.


Getting to the Workspace Manager

In the Workspace tool bar, click the Workspace Manager button.

If the Workspace tool bar is not visible, select View > Toolbars > Workspace. The toolbar appears above the Connection panes.


goto

Syntax: GOTO labelname

What it does: Jumps to labelname and continues processing the script from that point.

Note: LABEL labelname may be before or after the GOTO statement


Handling FTP URLs

WS_FTP handles FTP URLs as follows:

  • If the URL is the name of an FTP server, such as ftp://jdoe:pass1234@ftp.ipswitch.com, WS_FTP "handles" the URL by opening the WS_FTP interface and connecting to the site.
  • If the URL includes the path and name of a file, such as ftp://jdoe:pass1234@ftp.ipswitch.com/public/mystatus.doc, WS_FTP attempts to download the file to your PC.
  • If the URL includes the path and name of a folder (and not a file), such as ftp://jdoe:pass1234@ftp.ipswitch.com/public, WS_FTP "handles" the URL by opening the WS_FTP interface, connecting to the site, and navigating to the folder.


Download Dialog

You have chosen to download a file from an FTP site using WS_FTP. You can either open this file or save it to disk.

  • If you choose to Open the file from its current location, WS_FTP will copy the file to your Temp folder, and then open the file in its associated application.
  • If you choose to Save it to disk, you will be prompted for a path and file name.
  • If you choose to Reschedule, the download will be cancelled and the WS_FTP Scheduler Utility appears.


FTPURL.exe Help Screen

WSFTPURL.exe can download, and open or save an FTP [image] URL. It is the application used by WS_FTP's Browser Integration component to actually process the URLs.

Uniform Resource Locator (URL). An Internet address which tells a browser where to find an Internet resource. For example, the URL for the Ipswitch Web site is http://www.ipswitch.com/

WSFTPURL.EXE may also be used to download a URL from the Command Prompt. To do this, enter:

C:\Program Files\Ipswitch\WS_FTP Professional\wsftpurl <URL>

where <URL> is a valid, fully [image] canonical URL, such as

A FTP URL begins with "ftp://" and contains at least a host name. It may optionally also include a user name, a password, a port number, and a file path. The format is as follows:

ftp://user:password@host:port/filepath

If a port number is not specified, the default FTP port number of 21 is assumed.

Examples

The following URL specifies an optional user name and a non-default port number of 1021:

ftp://jdoe@ftp.ipswitch.com:1021

The following URL specifies a username and password, and also the name of a file. (It uses the default port number of 21):

ftp://jdoe:pass1234@ftp.ipswitch.com/public/mystatus.doc

ftp://ftp.acme.com:8021/public/status reports/mj.txt.

If the URL specifies a file name, the file is downloaded.

If the URL does not specify a file name, the WS_FTP interface will start, connect to the FTP site, and navigate to the specified directory.


Browser Progress

WS_FTP is transferring, or has transferred, a file from an FTP site to your PC. This dialog shows the progress of the transfer.

If, while the transfer is proceeding, you click Close this dialog when download completes, the dialog box will close automatically when the transfer is complete.

While the transfer is in progress, the Cancel and Reschedule buttons appear.

  • If you choose to Reschedule, the download will be cancelled and the WS_FTP Scheduler Utility appears.

When the transfer is complete, Open and Open Folder buttons appear.

  • Open opens the file in its associated application, and close the progress dialog.
  • Open Folder opens the destination folder in Windows Explorer.

The Close button closes the progress dialog box.


URL Handler

You have specified that WS_FTP be used to handle FTP URLs for the current Web browser, but you have also specified that WS_FTP ask you each time it is asked to download a file.

  • If you want to use WS_FTP to handle this FTP URL , click Yes.
  • If you want to always use WS_FTP to handle FTP URLs and not be asked each time, select Don't ask again and then click Yes.
  • If you don't want to use WS_FTP to handle this FTP URL , click No. The Web browser will handle the URL as it normally would.


Browse (dialog box)

Select the folder you want to make current.


Confirm File Replace (dialog box)

If you are sure you want to overwrite the selected file(s) or folder(s), click Yes.


Enter Local File Name (dialog box)

Enter the name of the local file.


Enter Remote File Name (dialog box)

Enter the name of the remote file.


Make Directory (dialog box)

Enter a name for the new folder/directory.


Move file (dialog box)

Enter the complete folder path and click OK.


New Folder

Folder Name. Do not enter an underscore as the first character in the folder name; and do not use an exclamation point or brackets [] anywhere in the folder name.


Open (dialog box)

If you select Open it and the source location is an FTP site, WS_FTP will transfer the file to the Temp folder in your Windows directory and then execute the file according to its file extension.

If you select Save it to disk, you will be prompted for a path and file name.

Select the transfer mode. Files can be transferred in ASCII, binary, or "Auto" mode.

A file that appears to be text, postscript, or other ASCII format should be transferred in ASCII mode .

Warning: Transferring a binary file in ASCII format can damage the file.

A file that appears to be data, an executable, or compressed should be transferred in [image] binary mode . (Binary mode should also be used if there is no file extension or the file extension is not registered.)

The binary transfer mode transfers a file as an exact copy of the original, and should be used for transferring all binary files, including bitmaps, executables, or compressed files (.bmp, .jpg, .exe, .zip).

(Binary mode contrasts with ASCII mode which treats a file as text, translating the end-of-line characters during transfer.)

If you select Auto mode, WS_FTP checks to see if the file has an extension that is associated with a text viewer. If so, ASCII mode is used; if not, binary mode is used.


Rename (dialog box)

Enter a new file (or folder) name.


ASCII (transfer mode)

Used for text file transferring. (The end-of-line character is different on different types of computers; using ASCII mode ensures that the end-of-line character is translated properly.)

Note: If you know that the site you are transferring to or from is running the same operating system as your local system, you can always use binary mode and never use ASCII.


Auto Detect (transfer mode)

When selected, all files are transferred in binary mode unless the extension is listed on the Extensions tab of the program options/properties. Extensions can be up to ten characters long and can contain periods.

Note: These are not DOS extensions! Rather, they are the ending characters of a filename. If you expect it to match on a period, you must put the period in. Some samples are shown below.

.LST

.TXT

.ME

README


Binary (transfer mode)

Binary mode is used for transferring files that are not text (ASCII files). Executable programs, word processing documents, spreadsheets, databases, graphics files, and sound files are some examples of files that must be transferred in binary mode.

If you know that the FTP site you are transferring to or from uses the same operating system as your local system, you can always use binary mode and never use ASCII.


Password

Enter the Password you want to use for the User ID you entered.

If this is an anonymous login, enter your full electronic mail address. You can place a minus (-) sign in front of the e-mail address to reduce the number of site administrator messages you receive.


Hidden files

You can transfer a hidden file if you know its name. To transfer a hidden file, make sure nothing is selected, and then click the Upload or Download arrow. You will be prompted for the file name.


Hiding or Customizing Toolbar Buttons

In the main window, the toolbar displays buttons for frequently used functions.

To show or hide these buttons, right-click anywhere on the Toolbar and select Customize or click the down arrow to the far right of the Toolbar and select Add or Remove buttons.


Hiding or Customizing the Command Buttons

In the main window, the buttons at the top of each file list provide file and folder commands for that list.

Depending on what is selected, these commands (as well as some additional ones) are also available from the shortcut (right-click) menu.

To show or hide these buttons, right-click anywhere on the Command Bar and select Customize, or click the down arrow to the far right of the Command Bar and select Add or Remove buttons.


Host Name or IP Address (defintion)

Every system (computer) on the Internet has an official host name and Internet (IP) address. In order to connect to an FTP site, you must find out the official name or address of the site. For example, a system might have a host name of superserv.ipswitch.com and an IP address of 123.124.125.126. In WS_FTP, you can use either the host name or the IP address to specify a particular FTP site.

Examples

  • For most large, well- known companies, their FTP sites are named "ftp.companyname.com" (e.g. ftp.microsoft.com, ftp.adobe.com, and ftp.aol.com)
  • To get the name or address of a popular FTP site, use a search engine such as Lycos.com or Yahoo.com to search for the name. Or, try replacing the "www" portion of the organization's URL with "ftp", for example replace www.ipswitch.com with ftp.ipswitch.com. Or simply call the company and ask for the name of their FTP site.
  • If you want to connect to an FTP site maintained by your Internet Service Provider (ISP), your ISP will provide you with an FTP name or address that looks something like: ftp.ipswitch.com or 156.22.3.1.


Host type

The host type is usually the manufacturer and model of the FTP server (the physical device on which the FTP site resides).

You can also view a Knowledge Base article that discusses host type connection issues.


Program Options: ASCII Filenames

How to get to the Program Options Dialog

  1. In the tool bar, click Options (or select Tools > Options) to open the Program Options dialog.
  2. In the left pane, select a properties category.

When Auto Detect is selected as the transfer mode, WS_FTP transfers all files in binary mode, unless the extension is listed here -- in which case the file is transferred in ASCII (text) mode .

If you are not already viewing ASCII Filenames, select Tools > Options, and click Transfers > ASCII Filenames.

To add a file extension to the list:

  1. In the ASCII Filename box, enter a file extension. (The extension can be up to ten characters long and can contain periods.)
  2. Click Add. The extension appears in the list box.

To delete a file extension from the list box:

Select the extension and click the Remove button.


Program Options: Converting File Extensions

How to get to the Program Options Dialog

  1. In the tool bar, click Options (or select Tools > Options) to open the Program Options dialog.
  2. In the left pane, select a properties category.

WS_FTP can automatically convert the extensions of files you transfer. For example, if the FTP site uses .html for HTML files and your system uses .htm, you can specify that all files with the extension .html be converted to .htm when they are downloaded to your system.

The list in the Extensions dialog, under Options > Transfer > Extensions, shows all user defined extension conversions for the selected program options.

Important: Extensions can be set up for a per host basis or as a program option for all files. The Convert Extensions option, at Site Options: Transfer, must be selected to enable the host settings or the program options settings. If Extension settings are defined for a host and the program options, the host settings take priority over the program options settings. For more information about setting up Extension settings for a selected host, see Site Options: Converting File Extensions.

To add an extension conversion:

  1. In the toolbar, click Options.
  2. Click Transfers > Extensions.
  3. Click Add.
  4. In the Local text box enter the file extension of the local file.
  5. The Conversion drop-down allows you to configure whether the conversion should happen on [image] download, upload or both.

    downextconvert

    File extensions are changed only as files are downloaded.

    upextconvert

    File extensions are changed only as files are uploaded.

    bothextconvert

    File extensions are changes as files are both uploaded and downloaded.

    Example

    .xyz upextconvert .txt means that if file.xyz is uploaded, it will be changed to file.txt. However, file.txt will remain file.txt if it is downloaded.

  6. In the Remote text box, enter the file extension of the remote file.
  7. Click Ok. The extension conversion appears in the list box.

To delete an extension conversion:

  1. Select it in the list box.
  2. Click Remove.

To change the processing order of extension conversions:

  1. Select the entry to change.
  2. Click the up or down arrow to rearrange the item in the list. (The application processes from top to bottom, and continues until a matching conversion is found).

Related Topics

Conversion Rule Explanations

downextconvert | File extensions are changed only as files are downloaded.
upextconvert | File extensions are changed only as files are uploaded.
bothextconvert | File extensions are changes as files are both uploaded and downloaded.

Example

.xyz upextconvert .txt means that if file.xyz is uploaded, it will be changed to file.txt. However, file.txt will remain file.txt if it is downloaded.


Program Options: General

How to get to the Program Options Dialog

  1. In the tool bar, click Options (or select Tools > Options) to open the Program Options dialog.
  2. In the left pane, select a properties category.
  • E-mail address - Most FTP sites support anonymous logins which allow individuals without an account on the FTP site to log onto the site and transfer files. However, even FTP sites that allow anonymous logins still require a user ID and password; for most anonymous logins, the user ID is the word "anonymous" and the password is an e-mail address. See also [image] Notes about Passwords .

    If you are logging on anonymously (using an e-mail address as a password):

    • You can use a valid e-mail address if you do not mind the FTP site learning your e-mail address.
    • You can place a minus (-) sign in front of the e-mail address in order to minimize the number of descriptive messages you will receive from the FTP site administrator.
    • WS_FTP does not allow you to enter a blank password; however, you can enter empty quotation marks if you would rather not divulge a valid e-mail address.

    If you are not logging on anonymously:

    • We do not recommend turning on Save Password unless you are the only user of your computer and no one else has access to your WS_FTP folder. If you do not save the password, WS_FTP will prompt you for one when you initiate the connection.
  • Text Viewer - This specifies the program that WS_FTP calls when you want to view a text file. If the file you want to view is on an [image] FTP site , WS_FTP first transfers the file to the Temp folder in your Windows directory before opening it in the text viewer.

    An FTP site consists of an FTP server program located on an Internet host computer.

    Many companies and organizations maintain FTP sites (also known as "FTP servers"). These can be:

    • File repositories from which you can copy files such as free programs and evaluation versions of software. WS_FTP provides a number of popular FTP sites that have already been configured for you. When you connect to an FTP site like this, look for a file called readme, readme.txt, index, or 00index. Such files provide descriptions of the resources available on the site as well as other useful information.
    • File repositories where you can place files for use by others. (For example, a site on which you place your Web site pages for your ISP, or a site on which you place a photograph file for use in an on- line auction.)
  • Auto reconnect - This option controls how WS_FTP will operate when the application is started.
  • Open Blank Workspace - Starts WS_FTP with a blank workspace.
  • Open With Connection Dialog - Displays the Site Manager when the application starts.
  • Open Last Local and Remote Folders - Automatically connects to the last local and remote folders when the application starts.
  • Connect to Default Site - Automatically connects to the default site when the application starts.
  • Sounds - Select what type of sound, if any, you would like WS_FTP to use.
    • None - When this option is selected, WS_FTP will use no sounds.
    • Beep - When this option is selected, WS_FTP will use a system beep.
    • Wave - Uses .wav files defined on the Windows Control Panel.
  • Allow Deletion of non-empty folders - If selected, you will be able to delete folders that contain files or other folders.
  • Allow files and folders to be moved - Select this option to be able to move files. When a file is moved, the file is actually moved from one site to another, deleting the file in its original position.
  • Save password in Quick Connection Bar - If selected, passwords entered in the Quick Connect Bar are saved.
  • Clear Quick Connect history on application exit - If selected, the Quick Connect history is cleared when you close WS_FTP.
  • Show transfer information in the splash screen - If selected, the transfer information is shown in the splash screen that displays for a few seconds when you start WS_FTP. You can clear this option to make the splash screen exit quickly.
  • Clear Now - Click to clear the Quick Connect history manually.
  • Desktop Search Technology - Use these search options to search for files and file content on your local drive. To start the local desktop search, click Tools > Find > Local Files. For more information, see Using the Search Utility (local search).
  • Copernic Desktop Search (WS_FTP Professional only) - If you have the Copernic Desktop Search utility installed, you can search for file content using the Copernic Desktop Search engine.
  • Google Desktop Search (WS_FTP Professional only) - If you have the Google Desktop Search utility installed, you can search for file content using the Google Desktop Search engine.
  • Local Desktop Search (Windows search) - This search option does not require pre-installed search utilities, such as Copernic or Google. You can search based on a single criteria or click Options and enter multiple search options criteria. For more information, see Using Search Options.


Site Options: Advanced

How to get to the Site Options Dialog

  1. In the tool bar, click Connect (or select Connections > Site Manager) to open the Site Manager.
  2. Select a remote site and click Edit. The Site Options dialog appears.
  3. In the left pane, select a properties category.

You can also get to Site Options by right-clicking on an open tab of a remote connection and selecting Properties.

Advanced options for a site:

  • Server Type - Select the type of server/connection you need. The administrator of the server to which you are connecting will need to tell you which server type is being run, particularly if they are using a secure transfer protocol. The types are described below:
    • FTP - File Transfer Protocol. This is the default setting and is the correct choice for most users. The default port for FTP Is port 21.
    • FTP/SSL (AUTH SSL) - FTP in explicit SSL mode encrypts the command channel.
    • FTPS/Implicit SSL - FTP in implicit SSL mode encrypts the login as well as the command channel.
    • HTTP - Hypertext Transfer Protocol. Allows you to upload or download files over the standard World Wide Web ports and protocols. You cannot transfer folders via HTTP connection.
    • HTTPS - Secure Hypertext Transfer Protocol. Allows you to upload or download files over the standard World Wide Web ports and protocols with SSL encryption.

      If you select the HTTP or HTTPS type, the administrator for the server needs to have directory listings enabled, otherwise you will connect to the home folder, but will not see folders and files.

  • SFTP/SSH - Secure File Transfer Protocol. If the server you are connecting to is an SSH server, select this from the pull-down menu. When you connect to the server, SSH will automatically be initiated. The default port for SFTP/SSH is 22. (WS_FTP Professional)
  • Host Type - If you know the host type, select it from the list. If you do not know, try Automatic detect. Each type of server stores its directory and file information in a unique way. The host type helps WS_FTP read and display the directory information from the various types of servers. If you want to find the host type, use the procedure in the topic Determining the host type.
  • Firewall - If you have configured a [image] firewall , select the firewall configuration from the list. For more information on how to configure firewalls, see Program Options: Firewall.

    Some organizations separate their local networks from the rest of the Internet by installing a "firewall" or "gateway." A firewall is a system or software which is configured to prevent particular types of access/information from entering the network. Most firewalls block the flow into the local area network, but allow individuals to access most resources outside of the network.

    WS_FTP lets you enter information about a firewall into a firewall configuration, which you can then use when connecting to an FTP site from behind that firewall. You can configure the firewall once, and then assign that firewall configuration to whatever sites need to use it.

    Multiple Firewalls

    There are several reasons you might want to create more than one firewall configuration. If you use a laptop computer in different locations that have different firewalls, you will want to set up a firewall configuration for each location, so you can switch to the appropriate firewall configuration when you are in each location.

    Another reason you might want to set up multiple firewall configurations is that your network could have more than one router configured as a firewall. In this case, you would assign a different firewall configuration to an FTP site depending on which part of the network you are working from.

    Furthermore, you might have a number of "trusted sites" (for example, FTP sites set up by your own company) for which you would use a different firewall (or no firewall).

  • Use Passive mode for data connections - Turn this on if you want your PC to establish the data connection to the FTP site instead of the site establishing the data connection to your PC. This is recommended for most FTP sites, and it is absolutely necessary for some firewall and gateway configurations and when you get failed data channel errors. Note, however, that not all FTP sites support passive mode.
  • Force passive connections to use host address - Turn this on if you want WS_FTP to always use the IP address used on the control channel, even if the server returns another IP address..
  • Disable Directory Caching - Select this option to have WS_FTP refresh the directory listing every time the directory is accessed, including after transfers.
  • Verify Deletions - When you attempt to delete a file, you can have WS_FTP display a dialog box that confirms the deletion; this gives you a chance to change your mind, or to cancel a deletion you initiated by mistake.
  • Connection retries - Number of times to retry establishing a connection if the first connection attempt fails. This can be from 0 to 40 times.
  • Connection retry delay - Amount of time between WS_FTP retries establishing a connection if the first connection attempt fails. This can be from 5 to 300 seconds.
  • Network timeout - This is the number of seconds (from 5 to 3600) before WS_FTP times out waiting for an FTP site to respond to a command.

    The initial connection timeout is determined by your [image] Winsock DLL . Setting this value higher does not have any effect on the initial connection to the FTP site. Setting it to less than the amount of time than your Winsock DLL uses will cause the connection to fail in that amount of seconds.

    The Winsock (Windows Sockets) dynamic link library is a specification for the Microsoft Windows API (applications programming interface). Software providers use Winsock as a guideline for developing network software.

  • Remote port - This is the port to connect to on the FTP site. This is normally 21; however, it may be something different if you are passing through a firewall, or if the site administrator has assigned the FTP service to a non-standard port.
  • Keep alive - The number of seconds (from 10 to 3600) that WS_FTP will wait before issuing a command to the FTP server to keep the connection alive. To disable this option, enter 0.


Site Options: Transfer

How to get to the Site Options Dialog

  1. In the tool bar, click Connect (or select Connections > Site Manager) to open the Site Manager.
  2. Select a remote site and click Edit. The Site Options dialog appears.
  3. In the left pane, select a properties category.

You can also get to Site Options by right-clicking on an open tab of a remote connection and selecting Properties.

Each of the session options can be set for a site, a site folder, or for all sites.

Session options for a site or folder:

  • Prompt for destination file names. When you transfer a file, WS_FTP can display a prompt that shows you the proposed destination path and file name and allows you to change them.
  • Convert extensions. Select this option to enable the extension conversion rules set up for a per host (site) basis or as a program option for all files.
  • Force lowercase remote names. Some sites require file names to be in all lower case letters. Turn this on to have WS_FTP convert file names to all lower case as you transfer them.
  • Receive unique. This option makes sure that [image] downloaded file names do not conflict with existing files in the destination folder. The new filename is determined by the WS_FTP client.

    Transfer a file to your local PC from an FTP site.

  • Send unique. This option makes sure that [image] uploaded file names do not conflict with existing files if the site supports the FTP command, STOU. The new filename is determined by the site.

    Transfer a file from your local PC to an FTP site.

  • Update folders after transfer. Select this option to have WS_FTP refresh the directory listing after transfers are complete.
  • Preserve filetime on downloads. By default, when you transfer files, the file date and time are updated to the date and time of the download. You can change this by selecting this option, so that the date and time are preserved.
  • Preserve filetime on upload (MDTM support required). By default, when you transfer files, the file date and time are updated to the date and time of the upload. You can change this by selecting this option, so that the date and time are preserved.

    Note: This only works if the remote server allows it.

  • Skip unmodified files. Select this option to have WS_FTP compare file content between sites. The content is compared using the File Integrity algorithm settings. If the files are the same, no transfer occurs. If the files are not the same, they are updated to the target site(s).

    Important: This option compares files before transferring them and therefore may reduce the transfer speed.

    Note: If ASCII Transfer Mode, OpenPGP, Compression Mode, Append Mode or Local-to-Local transfer options are used, the Compare file content before transfer option is ignored.

  • Check transfer integrity. Select this option to have WS_FTP attempt to verify that transfers complete without errors. For more information, see Verifying Transfer Integrity. Also, see Program Options: File Integrity for information about file integrity algorithm options.
  • Maximum transfer connections. If you want WS_FTP to create multiple file transfer connections, enter the maximum number of additional connections you want to use. This option sets the number of connections for this site only. This option is used with multipart transfers.

    Note:This setting is also affected by two global settings found in Tools > Options > Transfers: Maximum number of concurrent transfers and Allow browsing while transferring.

    You need to make sure that Maximum number of concurrent transfers is set to a high enough number to accommodate this site setting for Maximum transfer connections, and for any other site connections you have open.

    Also, if you set the Maximum transfer connections value to 0, you cannot browse remote site directories while files are transferring because only one connection is available. Otherwise, if the Maximum transfer connections value is set to 1 or greater, you can browse remote site directories while files are being transferred if the Allow browsing while transferring option is selected.


Site Options: Startup

How to get to the Site Options Dialog

  1. In the tool bar, click Connect (or select Connections > Site Manager) to open the Site Manager.
  2. Select a remote site and click Edit. The Site Options dialog appears.
  3. In the left pane, select a properties category.

You can also get to Site Options by right-clicking on an open tab of a remote connection and selecting Properties.

Startup options:

  • Local Startup Folder - If there is a folder on the local computer that you want to always open when you connect to this FTP site, enter the path of the folder here. This folder will only open when the site is open directly; if the site is opened as part of a workspace, this option is ignored.
  • Remote Site Folder - If there is a folder on the FTP site that you want to use as your starting location when you connect to this FTP site, enter the path of the folder here.
  • Initialize Command - If you know of commands that need to be issued to the FTP site when you connect , enter them here. For example, the command SITE UMASK 022 changes the UMASK used when creating files on a UNIX system. Separate multiple commands with a semi-colon.
  • Disable the FEAT command - Enable this option to stop WS_FTP from sending the FEAT command when connecting to this site. When an FTP client sends the FEAT command, the server is expected to reply with the features that it supports (such as integrity checking, hashing, and resume transfer). This option can be used when a firewall does not allow the FEAT command and disconnects when the command is received.
  • Remote file mask and Local file mask - You can enter a file extension here to limit the display of files and folders to just one particular type. For example, you can *.zip to show only ZIP files. Remote file mask is used for files and folders on the server; Local file mask is used for files and folders on the local computer.
  • Tab Color - Select the color you want this connection's tabs to appear, or one of the following options:
  • Random Color - Changes the color of the tab to a randomly chosen color.
  • Default Color - Changes the color of the tab to the color specified in the Program Options: Display dialog.
  • Pick a Color - Opens a color dialog that allows you to select a Windows color to blend a custom color.
  • Startup Transfer Mode - Select the transfer mode that you would like to use as the default for this site or folder. For more information, see Specifying the Startup Transfer Mode.
  • Time offset in hours - There is no standard for specification of date/time on FTP sites, but often it is displayed in GMT. If the time zone of the FTP site is different from yours, you can enter a number of hours to add to the file date and times to convert them to your local date and time. Use a positive number to add, or a negative number to subtract.
  • Attempt to auto- discover time offset - Select to have WS_FTP attempt to determine the time offset for this connection automatically. It does this by uploading a small file to the Read/Write directory and comparing its create time to the time on your local computer. It then deletes the small file, so no permanent changes are made on the remote server.
  • Read/Write directory - Enter the path of the directory you want WS_FTP to use when attempting to calculate time offset automatically.


Importing SSH Keys

You can import an SSH key pair for use in authenticating an SSH connection to a server. You must have both the public and the private keys to import.

To import an SSH key pair:

  1. From the main window, select Tools > Options. The Program Options dialog appears.
  2. Select SSH > Client Keys.
  3. Click Import. The SSH Client Key Import wizard appears.
  4. Follow the on-screen prompts to complete the wizard.


Include Examples

Here are a few examples of inclusions, followed by an explanation of each.

Absolute file inclusions

Inclusion rule: /mydir/*.exe

Type: Absolute location

This will include all .exe files in the mydir remote directory, but the path is taken from the root of the remote system.

Inclusion rule:c:\mydir\*.exe

Type: Absolute location

This will include all .exe files in the c:\mydir local directory.

Inclusion rule: /mydir/nextdir/myfil?.*

Type: Absolute location

This will include any file beginning with myfil with one arbitrary character and any extension in the directory /mydir/nextdir.

Absolute directory inclusion

Inclusion rule: /m?dir

Type: Absolute location

This will include all directories that match the mask m?dir, but the path is taken from the root of the file system. The ? is a substitute for any single character.

Inclusion rule: c:\m?dir

Type: Absolute location

This will include all directories on the c: drive that match the mask m?dir. The ? is a substitute for any single character.

Relative directory inclusions

Inclusion rule: mydir

Type: Apply to folders

This will include any directory named mydir anywhere in the file system.

Inclusion rule: m*ir

Type: Apply to folders

This will include any directory that matches the mask m*ir from anywhere in the file system. The * means that the name can have any number and value of character in between the "m" and the "ir."

Relative file inclusion

Inclusion rule: mydir\*.exe

Type: Apply to files

This will include any .exe files in any directory named mydir anywhere in the file system.

Relative file/folder inclusion

Inclusion rule: ~*

Type: Apply to both

This will include any file or folder starting with the ~ character, anywhere in the file system.


Include Subfolders

To search all subfolders of the Look in location, select Include Subfolders.

If you want to search only the folder indicated in the Look in box, clear the Include Subfolders check box.


Information Window

Use the Information Window at the bottom of the WS_FTP main window to verify transfers, pause or cancel a transfer, and troubleshoot both transfer and connection problems.

You can interact with “transfer jobs” shown in the Transfer Manager and Transfer History. For example, you can use Batch Mode with the Transfer Manager to build a list of files for transfer.

The Connection Log shows the commands sent back and forth (the “conversation”) between WS_FTP and the FTP server.

By default, the Information Window is viewable, but you toggle it on or off using the View menu.


Internet Address (definition)

An Internet address or IP address is a unique identifier that defines a system's location on the Internet network. IP addresses are 32-bit addresses that are commonly specified in Internet dot notation, which consists of four numbers from 1 to 255 separated by dots (.), for example: 156.21.50.1

Each IP address is mapped to a unique hostname as it is easier for people to remember names than it is to remember strings of numbers. For example, the IP address 156.21.50.1 maps to the system named superserv.ipswitch.com.


Keyboard Interactive Dialog

This dialog appears during keyboard interactive authentication.

The server you are connecting to is requesting input in order to authenticate you as a user permitted to access its files. The server submits a request to WS_FTP Professional, which displays the request to you in this dialog.

To complete the authentication and access the server:

  1. Enter the requested input in the dialog's field(s).
  2. Click OK.

If this method fails, WS_FTP will attempt the next configured authentication method. If no other method follows this one, authentication will fail and an error will display.


label

Syntax: LABEL labelname

What it does: Establishes a labeled point in the script for use with GOTO commands, where labelname can be any combination of numbers and letters.


lcd

Syntax: LCD dirname

What it does: Changes the current folder on the local system to dirname.

Note: This command is not dependent on a connection.


Local System (definition)

The local system is simply your current local director you are using.


Local System Pane

The Local System pane displays the contents of the current directory on your PC. It is the area in which you manage your local files (rename, delete, view, copy, move, etc.). My Computer is displayed on the tab associated with local system panes.

You can organize this list by clicking on the Name, Size, Type, Modified, and Attribute buttons. In the pull-down menu at the top of the directory list is a listing of all of the network and device drives on your PC, allowing you to manage all of your files through WS_FTP.

There are many ways to change the current local directory:

  • Select the directory from the pull-down menu.
  • Click the Up arrow, which moves up one directory/folder level.
  • Click Browse, then select the directory you want to change to and click OK.
  • Select a recent folder from the list box
  • Click Folders, then select a folder

The WS_FTP Command bar is located above the local file list.


log

Syntax: LOG (Screen or filename or Off)

What it does: Sends the log of events to the specified location.

  • Screen - Sends output to the screen
  • filename - Sends output to a file. If a file named filename does not exist, it is created; otherwise, it is opened for appending and logging output is written to this file. (If LOG is later redirected to the screen or turned off, the file is closed and no more information is written to it.)
  • Off - Turns off output of LOG information.

Note: This command is most effective when used at the very beginning of a new script; it provides information that is extremely useful in getting a script up and running.


Logging on to an FTP site "anonymously"

To log on to any FTP site, you must identify yourself with a user ID and password. For many FTP sites, you can use the word anonymous as a User ID, and your e-mail address as your password; this is known as an "anonymous login." (All of the Ipswitch predefined FTP sites are set up as anonymous logins.)

FTP sites that allow anonymous logins usually exist to provide files that can be [image] downloaded by the general public; anyone on the Internet can log onto the site anonymously and copy files to his or her PC. This is similar to logging on to a file server as a "guest."

Transfer a file to your local PC from an FTP site.

Anonymous logins have access to a vast store of software, games, music, and numerous other resources. However, if you log in anonymously, you usually are not allowed to do more than view public folders and download files. (You are usually unable to view private folders or to [image] upload files.)

Transfer a file from your local PC to an FTP site.

Other FTP sites, such as those containing private information, or those that allow users to [image] upload files, usually require you to identify yourself with special user ID, password, and (sometimes) an account number or name. Examples of FTP sites such as these are those used to exchange confidential files within an organization, post personal Web sites, or store photographs for ads in on-line auctions.

Transfer a file from your local PC to an FTP site.


Login Information

If you do not enter a UserID and Password before you attempt a connection, the Login Information dialog appears.

Enter the correct User ID and Password and click OK to connect.


Look in Field

Look in:

  • The Look in list box contains a history of sites you have searched. You can connect to one of these sites by selecting it from this list.
  • Entering the path. In the same place you enter the site name (or URL), you can also enter the path you want to search. You can type it, appended it to the site name.

For example, the Look in box might show ftp://Ipswitch/pub/beta, where Ipswitch is the name of the FTP site, and /pub/beta is the path you want to search. In other words, you want to search only in a folder named beta, which is located inside a folder named pub on the Ipswitch FTP site.


MDELETE

Syntax: MDELETE filename or folder

What it does: Deletes filename or folder from the current site. The names of the files on the site to retrieve are specified in filename. Wild cards of * or ? are acceptable.

Note: This command is executed only if a connection to a site has been established.


Connection Log

In the Information Window, there is a Connection Log that displays the protocol conversation between the WS_FTP client (your PC) and the FTP server (the current FTP site).

The protocol conversation consists of FTP commands and FTP server replies. You do not need to be familiar with these commands and replies when you use WS_FTP because WS_FTP automatically translates your menu choices, dialog box selections, and mouse moves into the protocol commands, and interprets the FTP server's replies.

For descriptions of error messages that may appear in the log, see Appendix A in the WS_FTP Tools guide.


MGET

Syntax: MGET (sourcefile or folders) [destloc] [modeswitch]

What it does: Retrieves source files from a site, where

  • Sourcefile is the name(s) of file(s) downloaded to the local system. Wildcards of ‘*’ or ‘?’ are acceptable in the source file specification. If folder is specified, all files in the folder (not including subfolders) will be downloaded to the local system.
  • Destloc is the folder for the downloaded files on the local system. If destloc is not specified, the current folder on the local system is used as the destination.

The transfer mode is indicated in the modeswitch (0 = ASCII, 1 = BINARY).

Notes:

  • This command is executed only if a connection to a site has been established.
  • Use GET to retrieve a single file. Use RGET to retrieve folders with subfolders.


mkdir

Syntax: MKDIR dirname

What it does: Creates a folder of dirname on the current site.

Note: This command is executed only if a connection to a site has been established.


New Folder button

The New Folder command allows you to create a folder/directory on your PC or on the FTP site if possible. (Not all FTP sites allow you to create folders; you must have an account on the site and "create" privileges.)

When you select this command, you are prompted for a folder name that is valid for the current system.


MODE Command

Syntax: MODE (PORT or PASV or COMPRESS or APPEND or MULTIPART) [on/off]

What it does: Specifies the use of PASV, PORT, Append, Multipart or Compression Modes

Notes:

OpenPGP Mode can be used, but it must be set to be enabled by default in the site's Site Options: OpenPGP dialog.

COMPRESS only works for uploads.

MULTIPART only works for downloads.

PASV and PORT are mutually exclusive, so turning one on automatically turns the other off.

APPEND mode is ignored when selecting compress or PGP file transfers.


Move button

The Move command allows you to move a file from one location to another.

Warning: When the file is moved, it is deleted from the original location.


MPUT

Syntax: MPUT (sourcefile or folders) [destloc] [modeswitch]

What it does: Uploads source files to a site, where:

  • Sourcefile is the name(s) of file(s) uploaded to the site. Wildcards of ‘*’ or ‘?’ are acceptable in the source file specification. If folder is specified, all files in the folder (not including subfolders) will be uploaded to the site.
  • Destloc is the folder for the uploaded file(s) on the site. If destloc is not specified, the current folder on the site is used as the destination.

The transfer mode is indicated in the modeswitch (0 = ASCII, 1 = BINARY).

Note:

  • This command is executed only if a connection to a site has been established.
  • MPUT doesn’t transfer subfolders; to transfer subfolders, use RPUT .


MTU (Maximum Transfer Unit)

The Maximum Transfer Unit (MTU) is the largest packet size that can be handled by your PC's TCP/IP stack.


Named field

If you know all or part of the name of the file (or folder) you want to find, enter all or part of the name in the Named box. If you leave the Named box blank, the search will find all files in the Look in location.


Navigation Tips

If you are having trouble locating the files you want to download,

  • Look for a file called readme, readme.txt, index, or 00index to get a description of the available files, as well as other site information.
  • Look for a folder named pub.


Notes about Passwords

If you are logging on anonymously (using an e-mail address as a password):

  • You can use a valid e-mail address if you do not mind the FTP site learning your e-mail address.
  • You can place a minus (-) sign in front of the e-mail address in order to minimize the number of descriptive messages you will receive from the FTP site administrator.
  • WS_FTP does not allow you to enter a blank password; however, you can enter empty quotation marks if you would rather not divulge a valid e-mail address.

If you are not logging on anonymously:

  • We do not recommend turning on Save Password unless you are the only user of your computer and no one else has access to your WS_FTP folder. If you do not save the password, WS_FTP will prompt you for one when you initiate the connection.


Program Options: E-mail Notifications

How to get to the Program Options Dialog

  1. In the tool bar, click Options (or select Tools > Options) to open the Program Options dialog.
  2. In the left pane, select a properties category.

Use this page to manage e-mail notifications.

The Mail section of this page defines values that are shared among all e-mail notifications.

  • From Address - Enter the e- mail address you want the e-mail notification to come from.
  • Mail Server - Enter the name of an SMTP mail server.
  • Client Domain - If required by the SMTP server, the name of the client domain.
  • Authentication - Click this button to enter SMTP username/password authentication.
  • Server Port - Set the port number for the mail server identified above. The default SMTP port is 25.
  • Connect Timeout - After this number of seconds, close the SMTP connection.

The Notification List is used to manage specific notifications. Click the checkbox beside an e-mail notification to enable or disable that notification.

  • Add - Click this button to create a new e-mail notification.
  • Edit - Click this button to modify the selected notification.
  • Remove - Click this button to remove the selected notification.


E-mail Notifications Overview

E-mail Notifications are e-mail messages sent when a file transfer matches the criteria you have specified. To use e- mail notifications, you must have access to an SMTP e-mail server.

E-mail notifications are triggered by one of the following events:

  • Upload succeeds
  • Upload fails
  • Download succeeds
  • Download fails
  • Either upload or download succeeds
  • Either upload or download fails

You can configure multiple e-mail notifications to match more complex patterns. For example, you can set notifications to notify on successful uploads and failed downloads with two separate notifications.

To configure e-mail notifications, select Tools > Options > E-mail Notifications.


onerror

Syntax: ONERROR [GOTO labelname or SHELL commandline or EXIT or CONTINUE] This must come before the command you wish to monitor.

What it does: If an error is encountered, from this point on perform the specified action. The possible actions are:

  • GOTO labelname - Jump to labelname and continue processing from that point.
  • SHELL commandline - Open an MS-DOS shell, and execute commandline on the local system.
  • CONTINUE - Continue processing the script.
  • EXIT - Terminates any further execution of the script. However, any connection with a site is not disconnected unless the script is terminated or a CLOSE command is executed.

Note: If no action is specified, the script continues processing.

The CONTINUE and EXIT commands can be used only within an ONERROR or ONSUCCESS command.


onsuccess

Syntax: ONSUCCESS [GOTO labelname or SHELL commandline or EXIT or CONTINUE] This must come before the command you wish to monitor.

What it does: For any successful completion of a command from this point on perform the specified action. Possible actions are:

  • GOTO labelname - Jump to labelname and continue processing from that point.
  • SHELL commandline - SHELL out and execute commandline on the local system.
  • CONTINUE - Continue processing the script.
  • EXIT - Terminates any further execution of the script. However, any connection with a site is not disconnected unless the script is terminated or a CLOSE command is executed.

Note: If no action is specified, the script continues processing.


Site Manager

Use the Site Manager to access, configure, and organize your FTP sites.

Features

  • Site List - This list contains all of the folders and sites stored on your computer. A folder with a plus (+) icon next to it contains sites. Click the folder to view the sites stored there.
  • Connect - Select a site and click Connect to connect to that site.
  • Create Site - Select a folder and click Create Site to create a new site in that folder. The New Site Wizard walks you through creating the site.
  • Create Folder - Select the Sites folder and click Create Folder to create a new folder.
  • Edit - Select a folder or site and click Edit to view or modify the information stored there.
  • Rename - Select a folder or site and click Rename to change the name of the selected item.
  • Delete - Select a site or folder and click Delete to remove it from the list. If you delete a folder, all of the sites stored there will be removed as well.
  • Close - Click to close the dialog.
  • Help - Launches the WS_FTP help system.

Right-mouse menu

You can access this menu by right clicking in the Sites list. It offers more ways to organize your sites.

  • Copy - Select Copy to copy the selected site or folder.
  • Paste - Select Paste to paste a copied site or folder into the selected folder.
  • Delete - Select a site profile or folder and select Delete to remove it from the list. If you delete a folder, all of the sites stored there will be removed as well.
  • Rename - Select a site profile or folder and select Rename to change the name of the site or folder.
  • Default Site - Select a site profile and select Default Site to set that site as your default site. Used with the automatic reconnect feature.
  • Properties - Select a site profile or folder and select Properties to view or modify the information stored there.

Related Topics

Overview: Connecting to FTP Sites

Setting folder properties

Organizing sites in folders


Overwrite (definition)

To replace a file with another file having the same file name.


pass

Syntax: PASS (password )

What it does: Sets the password to the value in password.

Note: This command must precede the CONNECT command.


OpenPGP Alert

This dialog is displayed when you attempt to enable OpenPGP Mode using an unsigned public key.

  • Fingerprint - This field displays the unique fingerprint of the key you have selected. This fingerprint can be confirmed by the key owner.
  • UserID - This field should match an e-mail address or other user identifier that you know to be valid.
  • Use this public key in OpenPGP transfer - Select this option to use this key despite its unsigned status.
  • Certify this public key before use it - Select this option to sign the key before using it.


OpenPGP Key Export Wizard

This is placeholder text for your template. To add content to the body, replace this text. To add a header or footer, click Header or Footer on the toolbar.

The heading in this template is a special field for topic titles, so generally you do not need to edit it.

For information about applying templates to topics, press F1.


OpenPGP Key Export Wizard: Finish

This is placeholder text for your template. To add content to the body, replace this text. To add a header or footer, click Header or Footer on the toolbar.

The heading in this template is a special field for topic titles, so generally you do not need to edit it.

For information about applying templates to topics, press F1.


OpenPGP Key Export Wizard: Key File

This is placeholder text for your template. To add content to the body, replace this text. To add a header or footer, click Header or Footer on the toolbar.

The heading in this template is a special field for topic titles, so generally you do not need to edit it.

For information about applying templates to topics, press F1.


OpenPGP Key Export Wizard: Key Type

This is placeholder text for your template. To add content to the body, replace this text. To add a header or footer, click Header or Footer on the toolbar.

The heading in this template is a special field for topic titles, so generally you do not need to edit it.

For information about applying templates to topics, press F1.


OpenPGP Key Generation Wizard

This wizard will guide you through the process of generation a OpenPGP key pair for use with OpenPGP Mode.

Read the information provided, then click Next to continue.


OpenPGP Key Generation Wizard: Encryption Options

You may create OpenPGP key pairs with a variety of encryption options.

  • Key type - Select a [image] key type from the list box.

    RSA and DSS/DH are both encryption ciphers that can be used to generate OpenPGP key pairs.

    While there is some debate in the cryptographic community as to which cipher is more secure, both are widely used.

  • Key size (in bits) - Select a key size. You may choose 1024, 2048, 3072, or 4096 bits. A larger key size will yield a more secure key, but it will also require more time to generate initially and to encrypt and decrypt files.

    Note: In most cases, 1024 bits will provide an appropriate level of security. Larger key sizes can take extremely long periods of time to generate, so it is recommended that 1024 bits be used.

  • Key expiration - If you want the key to function only for a period of time, enter the date you want it to expire in Expires on. Otherwise, select Never.

Click Next to continue.


OpenPGP Key Generation Wizard: Generating Key

The progress bar will indicate the status of the key generation process. When the process is complete, a message appears indicating that the key has been generated and added to the default keyring.

Click Finish to exit the wizard.


OpenPGP Key Generation Wizard: Name and E-mail Address

  • Name - Enter your name. It is important that those who receive your public key recognize and trust your name.
  • E-mail address - Enter your e-mail address. Again, it is important that those who receive your public key recognize your e-mail address. If you have multiple addresses, you should enter the one that most people would recognize.

Click Next to continue.


OpenPGP Key Generation Wizard: Passphrase

Your private key is protected by a passphrase, which protects your key from unauthorized use by someone else.

  • Hide typing - Clear this checkbox to view the text entered in Passphrase and Confirm passphrase.
  • Passphrase - Enter a passphrase. Your passphrase should be at least eight characters long, and it can include all letters, numbers, symbols and spaces.
  • Confirm passphrase - Enter your passphrase again to prevent saving it with a typographical error.
  • Save passphrase - Select this checkbox to allow the program to save and automatically enter your passphrase when it is required. For maximum security, this checkbox should be cleared.

Click Next to continue.


OpenPGP Key Import Wizard: Import Key That Somebody Sent You

Key File - Enter the complete path and file name of the key file or keyring file that you want to import. You can also click the icon to locate the file on your hard drive or network.

Click Next to continue.

Note: WS_FTP can only access keys and keyrings that exist as standalone files. If the keys or keyrings you wish to import are embedded in an e-mail or in a OpenPGP application, you must export them prior to importing them with WS_FTP.


OpenPGP Key Import Wizard: Selecting Keys to Import

The list contains all of the specific keys which are located in the files you have selected to import.

Select the specific keys you want to import. To select multiple keys, hold down Ctrl while clicking the keys you want to select.

Click Next to continue.


OpenPGP Key Import Wizard

This wizard will guide you through the process of importing OpenPGP keys for use with OpenPGP Mode.

Read the information provided, then click Next to continue.


OpenPGP Key Import Wizard: Certify Imported Key

OpenPGP includes several security measures intended to prevent people from forging or improperly using keys. If a key is checked and found to be authentic, you can choose to certify the key by adding your signature to the key. By certifying a key, you are stating that you are certain that the key you possess is a valid key and not a forgery.

  • Would you like to certify this key? - Select Yes to certify the key or No to use the key without verifying its authenticity.
  • Fingerprint - When a OpenPGP key is created, a unique fingerprint is created, as well. This fingerprint, which is much shorter than the actual key, can be used to verify the key's authenticity with the key's owner.
  • UserID - Before you certify the key, you should verify that the information listed matches the name and user information you have for the key's owner.

If you choose to certify the key by adding your signature to it, you must select the Signature options.

  • Expiration - You can have your signature Expire on a certain date, or issue a signature that Never expires.
  • Attribute - Select Exportable to allow the key signed with your signature to be exported. To prevent the key from being exported with your signature, unselect Exportable (the key can still be exported in its unsigned, uncertified form).

Click Next to continue.


OpenPGP Key Import Wizard: Import Type

WS_FTP can import OpenPGP keys and keyrings from two sources:

  • Import keys that somebody sent you via e-mail, instant messaging, etc. - Select this option if another person has sent you a key or keyring that you want to import for use with OpenPGP Mode.
  • Import keys from another OpenPGP application's keyrings - Select this option if you use OpenPGP in another application and would like to import the keys you have stored for use with that application.

Click Next to continue.


OpenPGP Key Import Wizard: No Private Key For Signing

You must have a private key in your keyring in order to certify other keys.

Would you like to generate a OpenPGP key pair? - Select Yes to launch the OpenPGP Key Generation Wizard or No to exit the wizard.

Click Next to continue.


OpenPGP Key Import Wizard: Select Signing Key

This dialog allows you to select a key to use to sign the key you are importing.

  • Signing key - From the list box, select the key you wish to use to sign the key you are importing
  • Passphrase - Enter the passphrase for the signing key.
  • Hide typing - When selected, the Passphrase field shows stars for each character entered. When cleared, the Passphrase field shows actual input.
  • Save Passphrase - When selected, the program will store and automatically enter the passphrase each time it is needed. When cleared, the program will prompt you to enter the passphrase when it is required. For maximum security, clear this option.

Click Next to continue.


OpenPGP Key Import Wizard: Summary

Verify the information on the screen.

If it is not correct, click Back to correct it.

If it is correct, click Next to continue.


OpenPGP Signing Key and Passphrase

This dialog allows you to select a signing key to use to sign another key.

  • Signing key - From the list box, select the key you wish to use to sign the key you are importing
  • Passphrase - Enter the passphrase for the signing key.
  • Hide typing - When selected, the Passphrase field shows stars for each character entered. When cleared, the Passphrase field shows actual input.
  • Save Passphrase - When selected, the program will store and automatically enter the passphrase each time it is needed. When cleared, the program will prompt you to enter the passphrase when it is required. For maximum security, clear this option.

Click OK to continue.


OpenPGP Sign Key

This dialog displays information about a key so that you can verify its authenticity before signing it.

  • Fingerprint - This field displays the unique fingerprint of the key you are signing. This fingerprint can be confirmed by the person whose key you are signing.
  • UserID - This field should match an e-mail address or other user identifier that you know to be valid.
  • Expiration - Select Never to ensure that the signature will never expire or, for Expires on, enter a date after which the signature should no longer be honored.
  • Exportable - Select this option if you want the signature to export with the key. To export the key only (without the signature), clear this option.

Click OK to continue.


OpenPGP Transfer Mode

This dialog is used to enable OpenPGP transfers for a site for the duration of the current connection, or until OpenPGP Mode is turned off.

  • Encrypt - Select this option to use an encryption key to encrypt a file before transfer.
  • Sign - Select this option to add your digital signature to a file. By adding your digital signature, you provide a higher degree of confidence in the file integrity for those downloading your files.
  • Encrypt and Sign - Select this option to first encrypt a file, then to add your digital signature.
  • Encryption Keys - This list contains all of the keys in your public keyring that can be used for encrypting files. This list is only enabled if you have chosen Encrypt or Encrypt and Sign.
  • Signing Key - This list contains all of the keys in your private keyring that you can use for signing files. This list is only enabled if you have chosen Sign or Encrypt and Sign.
  • Passphrase of signing key - Enter the passphrase for the Signing Key you have selected in this field. This field is only enabled if you have chosen Sign or Encrypt and Sign.
  • Hide typing - This option toggles the display of the passphrase field between stars for privacy and the actual input. This option is only enabled if you have chosen Sign or Encrypt and Sign.
  • Save passphrase - This option will save the passphrase. The program automatically enters the passphrase whenever it is required after this option is selected. This option is only enabled if you have chosen Sign or Encrypt and Sign.


OpenPGP Warning

This warning dialog is displayed when no key can be found in the default keyring to complete the requested task.

  • Add an encryption key to the default keyring. Select this option to generate or import a OpenPGP key or key pair.
  • Generate a OpenPGP key pair in the default keyring. Select this option to launch theOpenPGP Key Generation Wizard.
  • Import OpenPGP keys to the default keyring. Select this option to launch theOpenPGP Key Import Wizard.


popup168411469

A checksum is the result of a numerical computation run on a file. If a file is transferred without errors, the original file and the transferred file will have identical checksum values.

If a transferred file has a different checksum from the original, the transfer was not completed properly.


popup230389672

RSA and DSS/DH are both encryption ciphers that can be used to generate OpenPGP key pairs.

While there is some debate in the cryptographic community as to which cipher is more secure, both are widely used.


Post Transfer Actions: Macros (WS_FTP Professional)

This dialog lets you create a mask, or rule, that WS_FTP will use to rename a file, after the file transfer completes. You can select from the macros to create the File Rename Mask.

  • File Rename Mask. The rule used to rename the file. The file name of the original file is compared to the mask, and the new file name is generated. In this mask, you can enter any data you want to include in the file name, such as a store number, or some other identifier, as well as any of the macros.
  • Select macro to add it to the mask. Macros are variables that you can use to add data to the file name, for example the date and time the file was transferred file. Click on a macro to add it to the File Rename Mask.

For example, if you want to upload a file named inventory.pgp, then rename the file in the destination directory with the upload date and time, you could use macros to create the following File Rename Mask:

[mm][dd][yy][hh][OnlyName].[OnlyExt]

which, if transferred on January 15, 2009 at 7:00 AM, would rename the file to: 01150907inventory.pgp

If you want to retain the original file name and extension, you would enter [OnlyName].[OnlyExt]. Whether retaining the original names or not, you need to include the period between the file name and extension.


Preconfigured FTP site (definition)

WS_FTP comes with preconfigured sites; these are popular FTP sites that have been set up for anonymous logins.


Private Key

The private key is a protected file that is used to create certificates and public keys used in establishing an SSL connection. Data encrypted with a public key can only be decrypted with the private key that was used to create it. Private key files have the ending *.key. Do NOT distribute your private key to anyone.


Program Options: Linked Folders

How to get to the Program Options Dialog

  1. In the tool bar, click Options (or select Tools > Options) to open the Program Options dialog.
  2. In the left pane, select a properties category.

This page allows you to configure how WS_FTP should act while in Link Folders mode.

  • Prompt when folders are linked - If selected, WS_FTP will display a dialog to notify you when two folders are linked.
  • Prompt when linked folders become unlinked - If selected, WS_FTP will prompt you to exit Link Folders mode if you attempt an action that cannot be completed while in Link Folders mode.
  • Create subfolder on navigating linked folder - If selected, WS_FTP will automatically create any subfolders that do not exist in one view if they are opened in the other view. If cleared, navigating into a subfolder that does not exist in the other view will break the link.
  • Rename subfolder in linked folder automatically - If you rename a folder in one view, WS_FTP will automatically rename the corresponding folder in the other view.
  • Create subfolder in linked folder automatically - When you create a folder in one view, WS_FTP will automatically create a corresponding folder in the other view.


Program Options: Active Edit

How to get to the Program Options Dialog

  1. In the tool bar, click Options (or select Tools > Options) to open the Program Options dialog.
  2. In the left pane, select a properties category.

With Active Edit, you can quickly edit a file that appears on your local or remote system. Use this dialog to configure extensions to be opened by applications installed on your local system. When you close the application, WS_FTP will update the file that you opened, if it resides on a remote server.

  • Extensions - This is a list of extensions that have been configured to work with Active Edit.
  • Application - This column shows which application is associated with the extension to the left.

Related Topics

Configuring Active Edit

Using Active Edit


Program Options: Display

How to get to the Program Options Dialog

  1. In the tool bar, click Options (or select Tools > Options) to open the Program Options dialog.
  2. In the left pane, select a properties category.
  • Save window locations on application exit - Saves the current main window size and location. Note that this works only if the main window is not maximized.
  • Display Windows associated icons - Displays Windows associated icons in the directory listings.
  • Show full size of remote folders in Directory Properties - When this option is selected, the total size of the folder is displayed in the Directory Properties window.
  • Download images from remote server to create thumbnails - Select this option to have WS_FTP download all images to create a thumbnail database for the remote server. If this option is cleared, WS_FTP will only obtain thumbnails if the remote server already has a thumbnails database.
  • Synchronize remote thumbnail databases - Select this option to have WS_FTP upload the thumbnails database to the server once it has been created locally. Any further changes to the image list will be updated in both the local and remote thumbnail databases.
  • Save folder history when connection is closed - Caches a listing of folders for a single connection so WS_FTP does not have to download a folder list every time it accesses a directory.
  • Prompt for saving workspace changes - Prompts you to save the changes to the current workspace when it is closed (either by closing it explicitly, opening another workspace, or closing the application).
  • Prompt when entering modes - Select this option to have WS_FTP notify you when you are entering any modes (Append, Multipart, Batch, OpenPGP, or Compression).
  • Folder Location (Local and Remote) - These options control where folder names are displayed in the list of files.
    • On Top - Folders are listed in a group above the list of files.
    • Mixed with Files - Folders are listed together with files in alphabetical order.
    • On Bottom - Folders are listed in a group below the list of files.
  • Default Color (Local and Remote) - These options control the default color for new local and remote connection tabs. In addition to standard colors, you can select one of these options:
    • Random Color - Changes the color of the tab to a randomly chosen color.
    • Pick a Color - Opens a color dialog that allows you to select a Windows color to blend a custom color.
  • Display file size as - WS_FTP can display file sizes in bytes or kilobytes, or it can automatically determine the most appropriate unit.
  • Double click action - When you double-click a file name, WS_FTP can transfer the file, view the file, execute the file, or do nothing.


Program Options: Internet Connection

How to get to the Program Options Dialog

  1. In the tool bar, click Options (or select Tools > Options) to open the Program Options dialog.
  2. In the left pane, select a properties category.

The following options allow you to configure which type of connection you wish to use with WS_FTP, and what to do with that connection once you exit WS_FTP.

  • Connect to Local Area Network (LAN) - If you connect to the internet via a LAN (or cable modem, DSL, T1, etc.), WS_FTP will automatically set this option and disable all others.
  • Connect using a dial-up connection - Select this option to have WS_FTP connect to the internet using a dial-up connection. This is a connection made by your computer using a modem and your telephone lines.
  • Select a dial-up connection - If you have multiple dial-up connections configured in your Windows Dial-Up Networking, select the configuration you want WS_FTP to use here.
  • Always use selected dial-up connection - Select this option to have WS_FTP use the selected dial-up connection when making an internet connection.
  • Disconnect when application exits - Select this option to have WS_FTP end your connection to the internet when the application is closed. This will end any connection you have made through any means.
  • Disconnect only when application establishes connection - Select this option to have WS_FTP end your connection to the internet when the application is closed, only when WS_FTP made the internet connection in the first place.


Program Options: OpenPGP

How to get to the Program Options Dialog

  1. In the tool bar, click Options (or select Tools > Options) to open the Program Options dialog.
  2. In the left pane, select a properties category.

Use this page to set OpenPGP Options.

  • Ciphers - Use this list to specify the ciphers used to create a OpenPGP key pair. The ciphers are listed in order of preference, with the top cipher being the most preferred. You can reorder the ciphers using the up and down arrows.
  • Always decrypt & verify encrypted and signed - Select this option to always decrypt and verify downloads that have been encrypted and signed.
  • Use ASCII armor in encryption and signing - Select this option to use ASCII armor when encrypting and signing files.
  • Use text mode in encryption and signing - Select this option to use OpenPGP's text mode when encrypting and signing files.


Program Options: OpenPGP Keys

How to get to the Program Options Dialog

  1. In the tool bar, click Options (or select Tools > Options) to open the Program Options dialog.
  2. In the left pane, select a properties category.

Use this page to manage OpenPGP Keys.

  • Keys - This list shows all of the installed OpenPGP keys.
  • Create - Click this button to generate a new OpenPGP key pair.
  • Edit - Click this button to edit the selected key from the Keys list.
  • Import - Click this button to import a OpenPGP key.
  • Export - Click this button to export a OpenPGP key.
  • Delete - Click this button to remove the selected key from the Keys list.

Each key appears with a status icon:

Icon | Meaning | Description
keys | Active | The key is valid and active (for public/private key pairs).
revoked | Revoked | This key was revoked. (Key revocation may only be done by the person who created the key.)
key1 | Expired | The key has reached its specified expiration date.
valid | Valid | The key is valid (for imported keys).
invalid | Invalid | The key is not valid (for imported keys).


Program Options: SSH

How to get to the Program Options Dialog

  1. In the tool bar, click Options (or select Tools > Options) to open the Program Options dialog.
  2. In the left pane, select a properties category.

Use this page to set SSH Options.

  • Ciphers - Use this list to specify the ciphers used during SSH connections. You can use the up and down arrows to set the priority of the ciphers during connection negotiation.
  • MAC (Message Authentication Code) - Use this list to specify the MAC algorithms used during SSH connections. You can use the up and down arrows to set the priority of the MAC algorithm used during connection negotiation.
  • Use zlib compression - Select this option to specify zlib compression to be used with the SSH connection.


Program Options: SSH Client Keys

How to get to the Program Options Dialog

  1. In the tool bar, click Options (or select Tools > Options) to open the Program Options dialog.
  2. In the left pane, select a properties category.

Use this page to manage SSH Client Keys.

  • Client Keys - Use this list to manage your client keys using the buttons on the right.
  • Create - Click to launch the SSH Client Key Generation wizard.
  • Import - Click this button to launch the SSH Client Key Import wizard.
  • Export - Click this button to export the selected key from WS_FTP for use in other applications.
  • Delete - Click this button to delete the selected key from the Client Keys list.


Program Options: Transfers

How to get to the Program Options Dialog

  1. In the tool bar, click Options (or select Tools > Options) to open the Program Options dialog.
  2. In the left pane, select a properties category.

The Transfers tab contains options that will be used when WS_FTP attempts to transfer file.

  • Number of retries for failed transfers - Number of times WS_FTP will attempt to try to make a transfer once the first attempt fails.
  • Delay between retries (seconds) - Number of seconds WS_FTP will wait before retrying a failed transfer.
  • Maximum number of concurrent transfers - If you would like WS_FTP to create a new connection for transfers, enter the maximum number of additional connections you would like to have created. This number controls the maximum number for all sites.
  • Number of parts used on multipart transfers - When in multipart mode, WS_FTP will divide large files into the number of parts entered here. If this number is higher than the number of connections allowed to a server, the largest number possible will be used to perform the transfer.
  • File Overwrite Prompt
    • Don't prompt for overwrite (always overwrite) - Select this option to have WS_FTP overwrite all files when you attempt to transfer to a destination where a file with the same name exists.
    • Prompt for overwrite if file exists - Select this option to have WS_FTP prompt before it overwrites a file when you attempt to transfer to a destination where a file with the same name exists.
    • Prompt for overwrite for same or new files only -Select this option to have WS_FTP ask if you want to overwrite a file when you attempt to transfer a file to a destination where there is the same or newer version (by date and time). Note that this feature will not work with some FTP sites.
  • Automatically resume transfers when application starts - Select this option to have WS_FTP attempt to transfer all files listed on the Transfers tab of the Transfer Manager that are in the failed state.
  • Don't transfer older/same files when transferring folders - When you transfer a folder, files within that folder will not overwrite files that have the same or a newer date stamp.
  • Display the Transfer Manager when transfers start - Select this option to have the Transfer Manager appear each time you attempt a transfer through WS_FTP. Clear this option to have the Transfer Manager appear only when you view it manually. Note: This replaces the Transfer Progress dialog from previous versions.
  • Allow browsing while transferring - Select this option to enable browsing file directories for the active remote site.

    If the Maximum transfer connections value in the Site Options > Transfer dialog is set to 0, this option is ignored and you cannot browse a remote site directory while files are transferring.

  • Request Status Colors - Select colors for WS_FTP to use when displaying successful and failed status messages.


Program Options: File Integrity

How to get to the Program Options Dialog

  1. In the tool bar, click Options (or select Tools > Options) to open the Program Options dialog.
  2. In the left pane, select a properties category.

The File Transfer Integrity feature uses built-in file verification mechanisms to validate that files that are transferred from WS_FTP to a remote site are transferred without unauthorized modifications between an FTP client and server. For more information, see About transfer integrity checks.

The File Transfer Integrity feature provides a number of algorithm options to compare files between the client and the server locations. The algorithms vary from low strength error detection and data integrity capability (for example CRC32) to very high strength error detection and data integrity capability (for example, SHA256 and SHA512 in WS_FTP Professional).

This option sets the strength of the algorithm used to check file integrity, which is dependant on the following: 1) The FTP server that you connect to must support file integrity checks 2) the FTP server must support one of the selected algorithms.

Use the File Integrity Algorithm options to specify the file integrity checking algorithm (strength):

  • Use the up and down arrows to set the preferred algorithm priority for file transfers. The following table provides supported settings for some host types:
Host type | Supported algorithms
WS_FTP Server | SHA256, SHA512, SHA1, MD5, CRC32
MOVEit DMZ | SHA1
  • Use size comparison in Transfer Integrity Checking - Select this option to have the FTP client compare file size as a way to check transfer integrity if the FTP server does not support the selected file integrity algorithms.

After you set the File Integrity options, you must also enable one of the file integrity options (Check transfer integrity and Skip unmodified files) in the Site Options > Transfers dialog.


Program Options: FIPS

How to get to the Program Options Dialog

  1. In the tool bar, click Options (or select Tools > Options) to open the Program Options dialog.
  2. In the left pane, select a properties category.

Use this page to activate the FIPS 140-2 validated cryptographic module.

To activate FIPS mode:

  1. Select the Operate cryptographic module in FIPS 140-2 mode option.

    If the option is already selected, but greyed out, this means your system administrator has enabled FIPS Mode by default. In this case, FIPS Mode can be disabled only by the administrator.

  2. Restart (close, then re-open) the WS_FTP application.

    Any transfers initiated from the WS_FTP application and using FTPS (FTP over SSL), SSH, or HTTPS protocols will be sent using the FIPS 140-2 validated cryptographic module.

    Transfers over FTP protocol are still allowed, but they cannot use FIPS mode.

    For more information, see About FIPS.


Program Options: Logging

How to get to the Program Options Dialog

  1. In the tool bar, click Options (or select Tools > Options) to open the Program Options dialog.
  2. In the left pane, select a properties category.
  • Enable Session Logging - Select this option to have log files generated for each connection. Clear it to keep WS_FTP from creating session log files.
  • Log file path - This is the path to where WS_FTP will write session log files. To change this, enter a new path in this field.
  • Enable Transfer Log - Select this option to have log files generated for each transfer. Clear it to keep WS_FTP from creating transfer log files.
  • Log file path - This is the path to where WS_FTP will write transfer log files. To change this, enter a new path in this field.
  • Display timestamps in the log - Select this option to show the timestamp for output in each log.
  • Enable debug logging - Select this option to have WS_FTP show a more complete report in the log.
  • Log Window Colors - Use the following buttons to select the color you want to use for the log window and each message type.
  • Normal - Select the color for normal messages.
  • Information - Select the color for informational messages.
  • Warning - Select the color for warning messages.
  • Critical - Select the color for critical messages.
  • Transfer - Select the color for messages related to transfers.
  • Background - Select the color for the background of the Log window.


Prompt for destination filename

Enter the new name for the selected file. Once the file has been transferred, it will be appear on the destination system with the new name.


Public Key

The public key is used to establish an encrypted SSL connection. Data encrypted with a public key can only be decrypted with the private key that was used to create it.


put

Syntax: PUT (sourcefile) [destloc] [modeswitch]

What it does: Uploads sourcefile to a site, where:

Sourcefile is the name of the file uploaded to the site. Wild cards are not allowed in the source file specification.

Destloc is the name of the uploaded file on the site. If destloc is not specified, the name of the source file will be used on the site.

  • The transfer mode is indicated in modeswitch (0=ASCII, 1=binary).

Note:

  • This command is executed only if a connection to a site has been established.
  • Use MPUT to upload multiple files. Use RPUT to upload folders with subfolders.


rdel

Syntax: RDEL filename

What it does: Deletes filenames or folders (with subfolders) from the current site.

Note: This command is executed only if a connection to a site has been established.


Recently Visited Sites

A record of the last few sites that you visited are stored in WS_FTP. You can quickly connect to any of these sites by choosing one from Connections > Recent Sites.


Refresh button

The Refresh command allows you to refresh the folder and file list box to display any recent changes to the current folder.

You can also use the Refresh command to de-select any selected files or folders.


Remote port (definition)

The remote port is the port on which an FTP site, is "listening" for an FTP request. The default remote port number for FTP is 21.


Remote System (definition)

The remote system is the FTP server you are connecting to.


Remote System Pane

The Remote System pane displays the contents of the current directory on the FTP server you are connected to. It is the area in which you manage remote files (rename, delete, view, copy, move, etc.). The site name for the remote connection is displayed on the tab associated with this pane.

You can organize this list by clicking on the Name, Size, Type, Modified, and Attribute buttons.

There are many ways to change the current remote directory:

  • Click the Up arrow
  • Click Browse, then select the directory you want to change to and click OK.
  • Select a recent folder from the list box
  • Click Folders, then select a folder

The WS_FTP Command bar is located above the remote file list.

If the server you are connected to is WS_FTP Server or WS_FTP Server with SSH v6.1 or later, and the Server Administrator has set disk space quotas, your disk space remaining is displayed at the bottom of the remote file list, in the main window.

See also: Using Tabs


RENAME

Syntax: RENAME source destination

What it does: Renames the file or folder specified in source to the name specified in destination.


Rename button

The Rename command allows you to rename a file or folder on your PC or on an FTP site, if possible. (Not all FTP sites allow you to rename files and folders; you must have an account on the site as well as renaming privileges.)

Some systems allow you to rename a file over the top of an existing file.


rget

Syntax: RGET (sourcefile or folders) [destloc] [modeswitch]

What it does: Retrieves folders (with subfolders) from the current site, where:

  • the name of the folder is specified by folders. Wild cards of * or ? are acceptable in the folder specification.
  • the name to use for the transferred file on the local system is specified by destloc. If the last character in the destloc is a '/', the destloc is assumed to be a folder and the sourcefile is placed in that folder. If destloc is not specified, the current folder on the local view is used.
  • the transfer mode is modeswitch (0=ASCII, 1=binary).

Note:

  • Empty folder will not be downloaded.
  • The command is executed only if a connection to a site has been established.
  • Use GET to download a single file. Use MGET to download multiple files.


Right-Click (Shortcut Menu)

While on a WS_FTP remote site window, you can right-click to view the WS_FTP shortcuts. The commands on this menu are as follows:

Note: Shortcut menu options vary, depending on context of the application window.

  • Explore - Navigates to the selected folder.
  • Open - Opens file in associated application.
  • Copy - Copies a file or folder to be 'pasted' to another site.
  • Copy URL - Copies the URL of the path (path and filename) to be 'pasted' to a text field.
  • Paste - Uploads or downloads a file or folder that has been copied.
  • Select All - Selects all files and folders in the current directory.

View Options

  • Large Icons - Changes the layout of the list pane to show file names along with large icons associated with the file type.
  • Small Icons - Changes the layout of the list pane to show file names along with small icons associated with the file type.
  • List - Changes the layout of the list pane to show an ordered list of files in a selected directory.
  • Details - Changes the layout of the list pane to show an ordered list of files with the name, size, type, time of last modification, and attributes listed.
  • Thumbnails - Changes the layout of the list pane to show thumbnails of graphics and the icons associated with other file types.

Arrange Icons

  • by Name - Sorts the file list by Name.
  • by Type - Sorts the file list by Type.
  • by Size - Sorts the file list by Size.
  • by Date - Sorts the file list by Date.

Arrange Folders

  • On Top - Folders are listed in a group above the list of files.
  • Mixed With Files - Folders are listed together with files in alphabetical order.
  • On Bottom - Folders are listed in a group below the list of files.

Operations

  • Transfer - Transfers the file to the current local directory.
  • Browse

    The Browse command allows you to change the current folder.

    To use this command, click the Browse button in the command bar above the file list. The Browse dialog appears, asking which directory you want to change to. WS_FTP changes the current folder to the one selected.

  • New Folder
  • View
  • Edit

    The Edit command allows you to edit a file.

    • If you select a filename on an FTP site and then click Edit, the file is transferred to your temporary folder and is opened in its associated application.
  • Append
  • Execute

    The Execute command allows you to execute, or open, a file.

    • If you select a local filename and then, in the command bar above the file list, click Execute, the file is executed using the Windows file association.
    • If you select a filename on an FTP site and then click Execute, the file is transferred to your temporary folder and is executed using the Windows file association.
  • Rename

    The Rename command allows you to rename a file or folder on your PC or on an FTP site, if possible. (Not all FTP sites allow you to rename files and folders; you must have an account on the site as well as renaming privileges.)

    Some systems allow you to rename a file over the top of an existing file.

  • Delete

    The Delete command allows you to delete a file or folder on your PC or on the current FTP site, if you have permission to do so.

    Select the file or folder you want to delete, then, in the command bar above the file list, click the Delete button.

    Note: If you selected a folder and the folder is not empty, you cannot delete it unless you have selected Allow deletion of non-empty folders.

  • Refresh

    The Refresh command allows you to refresh the folder and file list box to display any recent changes to the current folder.

    You can also use the Refresh command to de-select any selected files or folders.

  • Move Files
  • Directory Info

    The Directory Info command (in the toolbar above the file list) opens a text document that displays information about the current directory as a text document in the default Text Viewer (as specified on the General tab of program options).

    WS_FTP displays as much information as the FTP site delivers. Depending on the site, for each file or folder within the current directory, the following information may be shown: size, type, permission, creation date, date last modified, and name.

    You can print or save the document.

  • Create Thumbnails - Generates thumbnail images for all of the images in the folder.
  • FTP Commands
  • Send to Scheduler
  • Send To > WS_FTP HotDrops menu with the remote directory name - In Windows Explorer or the local WS_FTP main window, right-click to select a favorite FTP site to transfer files to.
  • Create HotDrop
  • Properties

The following are items on the shortcut menu when you right-click in the local site window:

  • WS_FTP OpenPGP > Encrypt - Select to use an encryption key to encrypt a local file.
  • WS_FTP OpenPGP > Sign - Select to add your digital signature to a local file.
  • WS_FTP OpenPGP > Encrypt and Sign - Select to use an encryption key to encrypt a local file and to add your digital signature file.
  • WS_FTP OpenPGP > Decrypt and Verify - Decrypt an OpenPGP encrypted local file and verify its digital signature.

The following items are active on the shortcut menu when you right-click in the local site window, if you are also connected to a remote site:

  • WS_FTP Transfer > Encrypt and Transfer - Select to use an encryption key to encrypt a file before transfer.
  • WS_FTP Transfer > Sign and Transfer - Select to add your digital signature to a file. By adding your digital signature, you provide a higher degree of confidence in the file integrity for those downloading your files.
  • WS_FTP Transfer > Encrypt, Sign, and Transfer - Select to first encrypt a file, then to add your digital signature.

The following are items on the right-click (shortcut) menu when you right-click in the Address, Local System, or Remote System boxes.

  • Undo - Erases the last edit you made to the selected box.
  • Cut - Removes text to be pasted into another box.
  • Copy - Copies text to be 'pasted' to another box.
  • Paste - Places cut or copied text from your clipboard into the selected box.
  • Delete - Clears all text from the box.
  • Select All - Selects all text in the selected box.

The following are items on the right-click (shortcut) menu when you right-click in the Connection Log Window.

  • Save As - Select this option to save your log file. The Save As dialog appears.
  • Clear - Completely deletes all text in your Log Window.
  • Print - Opens your default text editor and prints the log file to your default printer.
  • Copy - Copies the selected log text to your clipboard. You can paste this text in any text editor.
  • Select All - Selects all of the text in your Log Window.


rmdir

Syntax: RMDIR dirname

What it does: Removes a folder of dirname from the current site.

Note: This command is executed only if a connection to a site has been established.


RNFR

Syntax: RNFR filename

What it does: Specifies a file or folder to be renamed on the current FTP site.

Notes:

  • This command is executed only if a connection to an FTP site has been established.
  • This command must be followed by a RNTO command.


RNTO

Syntax: RNTO filename

What it does: Specifies a new name for a file or folder on the FTP site; the file or folder must be previously identified with a RNFR command.

Notes:

  • This command is executed only if a connection to an FTP site has been established.


rput

Syntax: RPUT (sourcefile or folders) [destloc] [modeswitch]

What it does: Upload folders (with subfolders) to a site, where:

sourcefile is the name of the file to send to the site. Wild cards of * or ? are acceptable in the source file specification.

destloc is the name for the transferred file on the site. If the last character in destloc is a '/', destloc is assumed to be a folder and sourcefile is placed in that folder. If destloc is not specified, the current folder on the site is used as the destination.

  • the transfer mode is modeswitch (0=ASCII, 1=binary).

Note:

  • This command is executed only if a connection to a site has been established.
  • Use PUT to upload a single file. Use MPUT to upload multiple files or multiple empty folders.
  • Empty folders will not be uploaded.


Schedule

Click Schedule to create an entry in the Scheduler utility. This will allow you to set a date and time to run the synchronize job.

You must save a control file before you can schedule a synchronize job.


Schedule Properties

The Schedule Properties dialog lets you set up tasks that are run by the Scheduler Utility. Enter the following information, then click OK to add the item to the Scheduler queue.

  • Source Path/File - Select a path, on the Local or Remote tab, to the source directory for the upload/download.
  • Destination Path/File - Select a path, on the Local or Remote tab, to the destination directory for the upload/download.
  • Task Name - Use the default task name or enter a custom task name for the scheduled task.
  • Replace scheduled item if exists - If selected, this option replaces a currently scheduled task that has the same Task Name.
  • Comment - Enter any comments about the task you want saved with the item.
  • Username - Enter you Windows user login.
  • Password - If required, enter your Windows password.
  • Password Confirmation - Reenter the same password as above.
  • Schedule Frequency - Select how often you want the scheduled task to be run. The Frequency Options are displayed based on your selection of Once, Minutes, Daily, Weekly, Monthly, Startup, Logon. Complete the option selections.


Schedule Properties Multiple Files

Use the Schedule Properties dialog to set up tasks for the Scheduler Utility to run. After the following information is entered, click OK to add the item to the Scheduler queue.

  • Start Date - Enter the date the task is to be run.
  • Start Time - Enter the exact time of day the task is to be run.
  • End Date - Enter the last day the task is to be run.
  • Executable - This box displays the path to the application set up to do the transfer.
  • Command - Command line variables used in the transfer.
  • Task Name - This is the identifying name for the scheduled task.
  • User Login - If required, enter your Windows user login.
  • Password - If required, enter your Windows password.
  • Replace scheduled item if exists - If selected, will replace a currently scheduled item with the same parameters.
  • Schedule Frequency - Select how often you want the item to be run.


Script Flow Control

There are four commands you can use to control the flow of your script. (For a simple list of commands, click here.)

  • Check for an error (ONERROR)
  • Check for successful completion of a command (ONSUCCESS)
  • Establish a labeled point in the script for use with goto commands (LABEL)
  • Go to a labeled point in the script (GOTO)


Command Line Arguments for FTPSCRPT.com (WS_FTP Professional)

For more information, see the WS_FTP Professional Tools Guide.

Syntax:

ftpscrpt -?

ftpscrpt [options]

Options:

-p profile_name

-u userid

-w password

-c account

-b Specifies binary mode, otherwise ascii is assumed

-f script_file_name

-q ssl usage 1-4

1: Allow this connection only. Certificate not added to the database.

2: Always allow this connection. Adds the certificate to the Trusted Authority database. If the remote server is not enabled for the connection type specified (SSL or SSH), the user is asked if an unsecured connection should be made.

3: Do not make the connection, if the certificate does not currently exist in the Trusted Authority database.

4: Prompt user before adding the certificate to the database.

To run a script, type ftpscrpt followed by the appropriate arguments. For example, the following example runs a script named script1.scp:

ftpscrpt -f script1.scp


Send to Scheduler (Definition)

When a file, folder, or group of files is selected and this option is used, the Schedule Properties dialog appears. Use this dialog to schedule when you want to download/upload the selected files or folders.


shell

Syntax: SHELL commandline

What it does: Opens an MS-DOS window to execute commandline.


Site Name (definition)

This is the name of the FTP site information you are saving, and can be anything you desire (Note: You must use either letters or numbers in the name. No special characters, punctuation marks, or brackets can be used). It identifies the connection you are creating and is the name you will choose from your list of configured sites. The length of this name is limited to 78 characters. This name can (and should) be different than the Host Name/Address!


Local Options

How to get to the Local Options dialog

  • Name - Enter the name of the local connection. This name is for your reference only, and it what will appear in this connection's tabs.
  • Startup Directory - Enter the path of the folder you want this connection to default to. Click the browse button to locate a folder.
  • Tab Color - Select the color you want this connection's tabs to appear, or one of the following options:
  • Random Color - Changes the color of the tab to a randomly chosen color.
  • Default Color - Changes the color of the tab to the color specified in the Program Options: Display dialog.
  • Pick a Color... - Opens a color dialog that allows you to select a Windows color to blend a custom color.
  • File Mask - Enter the default file mask you want to apply to this connection.


Site Options: OpenPGP

How to get to the Site Options Dialog

  1. In the tool bar, click Connect (or select Connections > Site Manager) to open the Site Manager.
  2. Select a remote site and click Edit. The Site Options dialog appears.
  3. In the left pane, select a properties category.

You can also get to Site Options by right-clicking on an open tab of a remote connection and selecting Properties.

  • Use OpenPGP Transfer Mode after connection - Select this option to enable OpenPGP Mode by default each time you connect to this site.

    Note:You cannot use OpenPGP Mode when transferring files using the Synchronize Utility.

  • Encrypt - Select this option to use an encryption key to encrypt the file before transfer.
  • Sign - Select this option to add your digital signature to the file. By adding your digital signature, you will allow others who download the file and who know and trust you to have more confidence in the file's integrity.
  • Encrypt and Sign - Select this option to first encrypt the file, then to add your digital signature.
  • Encryption Keys - This list contains all of the keys in your public keyring that can be used for encrypting files. This list is only enabled if you have chosen Encrypt or Encrypt and Sign.
  • Signing Key - This list contains all of the keys in your private keyring that you can use for signing files. This list is only enabled if you have chosen Sign or Encrypt and Sign.
  • Passphrase of signing key - Enter the passphrase for the Signing Key you have selected in this field. This field is only enabled if you have chosen Sign or Encrypt and Sign.
  • Hide typing - This option toggles the display of the passphrase field between stars for privacy and the actual input. This option is only enabled if you have chosen Sign or Encrypt and Sign.
  • Save passphrase - This option will save the passphrase. The program will automatically enter the passphrase whenever it is required after this option is selected. This option is only enabled if you have chosen Sign or Encrypt and Sign.


Site Options: SSH

How to get to the Site Options Dialog

  1. In the tool bar, click Connect (or select Connections > Site Manager) to open the Site Manager.
  2. Select a remote site and click Edit. The Site Options dialog appears.
  3. In the left pane, select a properties category.

You can also get to Site Options by right-clicking on an open tab of a remote connection and selecting Properties.

This dialog allows you to choose settings for SSH authentication. It also allows you to select an SSH keypair (which only applies when you activate the Public Key authentication method).

You have three choices of authentication methods. WS_FTP Pro tries each of these methods in the order in which they appear in this dialog (unless you change this order - see below):

  • Password - When you connect to the server, WS_FTP Pro will refer to your username and password for this site and use these to connect to the server.
  • Public Key - When you connect to the server, WS_FTP Pro will submit the public key (selected below under "SSH Keypair"). If the public key is valid, the user will be able to connect.
  • Keyboard Interactive - When you connect to the server, the server will ask you for input. A dialog will ask you for a password, answer to a security question, etc., depending on the server's keyboard interactive password settings. If the server receives the expected input from you, you will be able to connect. The server will allow you three tries before moving to the next method (unless there are no more configured methods to try).

You can select an authentication method by selecting the checkbox beside it. Success with any one authentication method is sufficient to connect to the server. If no method is successful, you will receive an error and the connection will fail.

The server you connect to must have capabilities to accept an authentication method in order to accept your connection.

To Change Authentication Method Order

You may want to change the order used in applying authentication methods. For instance, if you place the Public Key method first, you will not need to enter a password or keyboard interactive input in order to connect.

To change the order of your authentication methods:

  1. Select the authentication method you wish to move either back or forward in the order.
  2. Click the blue up and down arrows to the right of the authentication method list to move the selected method in the desired direction.
  3. Click OK to confirm your changes.

SSH Keypair

If your SSH server requires public key authentication, select the SSH keypair that you wish to use to authenticate. If your SSH server does not use public key authentication, no selection is necessary.


Site Options: SSL

How to get to the Site Options Dialog

  1. In the tool bar, click Connect (or select Connections > Site Manager) to open the Site Manager.
  2. Select a remote site and click Edit. The Site Options dialog appears.
  3. In the left pane, select a properties category.

You can also get to Site Options by right-clicking on an open tab of a remote connection and selecting Properties.

  • Client Certificate - Some servers require a client certificate for connection authentication. If the server you are configuring requires this, select the client certificate from the list. If no certificate exists, NONE appears in this box. For more information, see Client Certificates.
  • Use at least 128-bit SSL for secure connections - When this option is selected, WS_FTP will only make a secure connection if it can use 128-bit encryption or higher. If the server does not support this type of encryption, the connection will fail.
  • Use unencrypted command channel after SSL authentication - Select this option to have WS_FTP drop the SSL encryption on the command channel once the connection has been made. The Data channel will remain encrypted, unless Use unencrypted data channel is selected.
  • Use unencrypted data channel - Select this option to have WS_FTP drop the SSL encryption on the data channel once the connection has been made. The command channel will remain encrypted, unless Use unencrypted command channel after SSL authentication is selected.
  • Use TLSv1 only - Select this option to have WS_FTP only support TLS version 1. The SSL session is established only if the remote server also supports TLS version 1.
  • Ignore Command Failures - If the PROT P command fails, (returns other than 200 code) this option will display a warning instead of aborting the connection.
  • Reuse SSL Session. When re-connecting to the same server, if the server supports SSL session reuse, WS_FTP will use the SSL session from the previous connection, provided it still exists (rather than creating a new SSL session). This provides a faster connection because it avoids having to validate the server certificates and negotiate keys.


Site Options: Converting File Extensions

How to get to the Site Options Dialog

  1. In the tool bar, click Connect (or select Connections > Site Manager) to open the Site Manager.
  2. Select a remote site and click Edit. The Site Options dialog appears.
  3. In the left pane, select a properties category.

You can also get to Site Options by right-clicking on an open tab of a remote connection and selecting Properties.

WS_FTP can automatically convert the extensions of files you transfer to a selected FTP host (site). For example, if the FTP site uses .html for HTML files and your system uses .htm, you can specify that all files with the extension .html be converted to .htm when they are downloaded to your system.

The Extensions dialog list, under Connections > Site Manager > [select a folder or site] > Edit > Transfer > Extensions, shows all user defined extension conversions for the selected FTP host.

Important: Extensions can be set up for a per host basis or as a program option for all files. The Convert Extensions option, at Site Options: Transfer, must be selected to enable the host settings or the program options settings. If Extension settings are defined for a host and the program options, the host settings take priority over the program options settings. For more information about setting up Extension settings for a selected host, see Program Options: Converting File Extensions.

To add an extension conversion:

  1. From the Connections menu, select Site Manager. The Site Manager opens.
  2. Select a remote site or a folder.
  3. Click Transfer > Extensions.
  4. Click Add.
  5. In the Local text box, enter the file extension of the local file. For example, *.html.
  6. The Conversion drop-down lets you configure whether the conversion should happen on [image] download, upload or both .

    downextconvert

    File extensions are changed only as files are downloaded.

    upextconvert

    File extensions are changed only as files are uploaded.

    bothextconvert

    File extensions are changes as files are both uploaded and downloaded.

    Example

    .xyz upextconvert .txt means that if file.xyz is uploaded, it will be changed to file.txt. However, file.txt will remain file.txt if it is downloaded.

  7. In the Remote text box, enter the file extension of the remote file. For example, *.htm.
  8. Click OK. The extension conversion appears in the Extensions list.

To delete an extension conversion:

Select an extension in the list, then click Remove.

To change the processing order of extension conversions:

  1. Select an extension entry in the list to change.
  2. Click the up or down arrow to rearrange the item in the list. (The application processes from top to bottom, and continues until a matching conversion is found).


Site (definition)

A site is the name of a connection to an FTP server. You must create a site each time that you connect to a new ftp server to transfer or download files. WS_FTP allows you to save your settings (i.e Host name, User ID, and Password) for FTP servers that you connect to frequently. All configured sites, are displayed in the Site Manager, which is accessed by clicking Connect in the toolbar.


Site Profile Wizard ST

Choose the type of server you are connecting to:

FTP - File Transfer Protocol. This is the default setting and is the correct choice for most users. The default port for FTP Is port 21.

SFTP/SSH - Secure File Transfer Protocol. If the server you are connecting to is an SSH server, select this from the pull- down menu. When you connect to the server, SSH will automatically be initiated. The default port for SFTP/SSH is 22.

FTP/SSL - FTP in explicit SSL mode.

FTP/Implicit SSL - FTP in implicit SSL mode.

Local - A directory on your local computer.


Program Options: SMTP Server Authentication

This dialog allows you to input the authentication data sent to the SMTP server.

  • Use Server Authentication - Clearing this option deactivates server authentication (your entered values will be saved for this screen, but will not be used to authenticate).
  • Enter Username - Enter authentication username.
  • Hide Typing - Select this option to hide values as you type.
  • Enter Password - Enter authentication password.
  • Confirm Password - Confirm authentication password.


Source System (definition)

The system from which you are transferring files; this can be either the local system (your PC) if you are uploading files, or it can be the FTP site if you are downloading files to your PC.


SSH Client Key Import Wizard: Finish

This wizard guides you through the process of importing an SSH Client Key Pair.

Verify the information in the summary, then click Finish to exit the wizard. If you need to make changes, click Back.


SSH Client Key Import Wizard: Name

This wizard guides you through the process of importing an SSH Client Key Pair.

Name - Enter a name that you would like to use to identify the key. You may enter anything you want.


SSH Client Key Import Wizard: Private Key Path

This wizard guides you through the process of importing an SSH Client Key Pair.

Private Key Path - Enter the path and filename of the private key you wish to import. You may also locate the file by clicking the folder icon.


SSH Client Key Import Wizard: Public Key Path

This wizard guides you through the process of importing an SSH Client Key Pair.

Public Key Path - Enter the path and filename of the public key you wish to import. You may also locate the file by clicking the folder icon.


SSH Client Key Pair Generation Wizard: Key Name

This wizard guides you through the process of generating an SSH Client Key Pair.

Name - Enter the name you would like to use to identify these keys.


SSH Client Key Pair Generation Wizard: Key Summary

This wizard guides you through the process of generating an SSH Client Key Pair.

Verify the information in the summary, then click Finish to exit the wizard. If you need to make changes, click Back.


SSH Client Key Pair Generation Wizard: Key Type and Size

This wizard guides you through the process of generating an SSH Client Key Pair.

  • Key type - Select the algorithm you would like to use to encrypt the key. Both DSA and RSA provide acceptable levels of encryption.
  • Key size - Select the size, in bits, of the key. A larger key size will yield stronger encryption but will also require more time to generate.


AUTH

Syntax: AUTH [(SSL or SSH) (1, 2, 3 or 4)] [USER (0 or 1)]

What it does: Attempts to make a secure connection with the host via SSL or SSH.

Before the AUTH command can be used, the remote server certificate must be added to the Trusted Authority database for the connection type (SSL or SSH).

SSL or SSH

  • 1: Allow this connection only. Certificate not added to the database.
  • 2: Always allow this connection. Adds the certificate to the Trusted Authority database. If the remote server is not enabled for the connection type specified (SSL or SSH), the user is asked if an unsecured connection should be made.
  • 3: Do not make the connection, if the certificate does not currently exist in the Trusted Authority database.
  • 4: Prompt user before adding the certificate to the database.

USER

  • 0: If username and password provided are incorrect, fail the connection.
  • 1: If username and password provided are incorrect, prompt the user to enter the correct information.


SSL (definition)

SSL (Secure Sockets Layer) is a way to make a secure connection from the WS_FTP client to a server with SSL capabilities.

When an explicit SSL connection is established, all data passing from one side to the other will be encrypted and will only be able to be decrypted by the parties involved in the transfer of data.

When Implicit SSL is used, the information passed to make the connection is also encrypted. Otherwise, it is only after the connection is accepted that data is encrypted.


Program Options: SSL

How to get to the Program Options Dialog

  1. In the tool bar, click Options (or select Tools > Options) to open the Program Options dialog.
  2. In the left pane, select a properties category.

The SSL Options are used to configure WS_FTP to be able to make an SSL connection with a server you have an account on.

Ciphers - Use this list to specify the ciphers used during SSL connections. You can use the up and down arrows to set the priority of the ciphers during connection negotiation.

Related Topics

How to make an SSL connection

Using a NAT firewall


Starting the Search

Once you have entered your search criteria on one or more tabs, click Find Now.


Stop transfer button

The Stop button is active during a file transfer. You can click it to stop the transfer and cancel the transfer request.


Synchronize Options

Select the options you want WS_FTP Synchronize to use.

  • Top level only - Select this option to have the locations synchronized on the top level only. All subdirectories will be ignored.
  • Show files/folders that won't be transferred - Select this option to have Synchronize display files with the No Action code in the Compare dialog.
  • Visual compare only (no transfer) - Select this option to have Synchronize populate the Compare dialog without executing the synchronize job. Once you are on the Compare dialog, you can make changes to what tasks the job will perform.
  • Show FTP conversation in log - Select this option to show the FTP conversation in the generated log file, as well as the log pane on the Compare dialog.
  • Perform case-insensitive comparisons - Select this option to have Synchronize ignore differences in upper and lower case filenames.
  • Skip unmodified files - Select this option to have WS_FTP compare file content between sites. The content is compared using the File Integrity algorithm settings. If the files are the same, no transfer occurs. If the files are not the same, they are updated to the target site(s).

    Important: This option compares files before transferring them and therefore may reduce the transfer speed.
    Note: If ASCII Transfer Mode, OpenPGP, Compression Mode, Append Mode or Local-to-Local transfer options are used, the Perform file content comparisons option is ignored.


Synchronize Utility Compare Dialog

When a control file is executed in WS_FTP Synchronize, the Compare dialog appears. This dialog displays the status of the job, the log, and a list of actions to be performed.

The features on this dialog include:

Compare

  • Location List - This section shows the selected directories and the synchronize mode.
  • File List - Lists the files to be transferred and the synchronize action for each file. If you select the Show files/folders that won't be transferred, all files that are found are displayed.
  • File Name - The name of the file found.
  • Status - The location the source file is in (Location 1 or Location 2).
  • Action - The action that Synchronize will perform. Click the arrow button to change the synchronize action.
  • Modified (Loc1) - The date the file on Location 1 was last modified.
  • Modified (Loc2) - The date the file on Location2 was last modified.
  • Size (Loc1) - The size of the file found on Location 1.
  • Size (Loc2) - The size of the file found on Location 2.

Transfer

The Transfer view displays the progress of the synchronization:

  • Source - The path and name of the file or folder to be transferred.
  • Status - The current status code of the listed item. Click the pause icon to pause the transfer and click the play icon to start or resume the transfer.
  • Transferred - The size of the transfer in bytes.
  • Rate (KB/S) - The number of Kilobytes being transferred per second.
  • Time Left - The estimated time left until the transfer is complete.

Connection Log

The Connection log displays connection and FTP information as a task is performed in the Synchronize Utility. When Show FTP conversation in log is selected, the log window displays all of the communications between Synchronize and the server or local system.

Buttons

  • Synchronize - Click this button to run the synchronize job.
  • Close - Click to close the Compare dialog.
  • Cancel - Click to cancel the job.


Contents Index Search


Rename Tab (dialog box)

Enter a new name for the connection. The name displayed on the tab and the name displayed in the Site Manager will be replaced with this name.


Temporary Directory (definition)

The temporary directory is the folder on your PC to which WS_FTP copies files you open.


Thumbnail Folder Selection

Select the folder you want to save your thumbnails to.


Create Thumbnails (dialog box)

This dialog is used to select thumbnail creation options for the images in the remote site's selected folder.

  • Folder - Specify the folder you want to save the thumbnail images to.
  • Names - Specify how you want to name each thumbnail. Make sure you include %Original% in the file name entry. This string replaces the original file name.
  • Image Size
    • Standard (100 pixels x 100 pixels) - Select this option to create the default thumbnail size for each image.
    • Width - Enter the image width, then select the image size in Pixels wide or Percentage of the original image width. If you enter information in the Width option, the Height is automatically calculated and sized in proportion to the width.
    • Height - Enter the image height, then select the image size in Pixels wide or Percentage of the original image height. If you enter information in the Height option, the Width is automatically calculated and sized in proportion to the height.


trace

Syntax: TRACE (Screen or filename or Off)

What it does: Sends detailed information on the command to the specified location.

  • Screen - Sends output to the "Trace" window.
  • filename - Sends output to a file. If a file of filename does not exist, it is created; otherwise, it is opened for appending and tracing output is written to this file. (If TRACE is later redirected to the screen or turned off, the file is closed and no more information is written to it).
  • Off - Turns off output of TRACE information.

Note: This command is most effective when used at the very beginning of a new script; it provides information that is extremely useful in getting a script up and running.


Transfer Manager Status Codes

The Status column in the Transfer Manager indicates the event currently in progress. All possible status messages and their meanings are listed below.

  • Pending - The transfer is waiting to begin. This message is common if you are attempting to transfer more files than the number listed in Maximum number of concurrent transfers.
  • Paused - The transfer is paused. This message only appears if you explicitly pause the transfer.
  • Finished - The transfer has completed successfully.
  • Failed - The transfer failed.
  • Uploading - Files are being sent from your computer to a remote server.
  • Downloading - Files are being sent from a remote server to your computer.
  • Transferring - Files are being sent between two remote servers.
  • Compressing - Files are being compressed into a zip archive. This message appears when a file is sent in Compression Mode, or when you send a file using the Compress and Upload function from the right- click menu.
  • Sending e- mail - A transfer has met the criteria of an e-mail notification, and WS_FTP is sending the e-mail.
  • Expanding folders - WS_FTP is calculating the size of a transfer that includes multiple folders and subfolders.
  • OpenPGP Encrypting - Files are being encrypted using OpenPGP Mode.
  • Combining - The parts of a download made in Multipart Mode is being reassembled on your computer.
  • Finished and Notified - The transfer completed successfully, and an e-mail notification was successfully sent.
  • Failed and Notified - The transfer did not complete successfully, but an e-mail notification was successfully sent.
  • Finished and Notification Failed - The transfer completed successfully, but an e-mail notification failed to send.
  • Failed and Notification Failed - The transfer did not complete successfully, and an e-mail notification failed to send.


Transfer mode button

The transfer mode button allows you to change the transfer mode between binary, ASCII, and Auto-detect. If you are uncertain about the mode, use Auto-detect, which is the default.


Turning on the Workspace Bar

The Workspace Bar is used to switch between and manage workspaces. By default, the Workspace Bar is turned off.

To turn on the Workspace bar:

  • Click View > Toolbars > Workspace, or
  • Right-click on one of the visible toolbars. A context menu appears listing the available toolbars, click Workspace Bar.

The Workspace Bar appears above the Connection panes.


UNIX file permissions

Unix file permissions can be expressed as three- or four-digit values; for example, 1644.

The first digit is interpreted as follows:

  • If the first digit is 1 (known in UNIX circles as the "Sticky bit"), it sets the link permission to directories or sets the "save-text" attribute for a file.
  • If the first digit is 2, it sets the group ID on execution.
  • If the first digit is 4, it sets the user ID on execution.

The second digit expresses Owner permissions; the third, Group permissions; the fourth, Other.

Three- and four-digit values are used in the WS_FTP log, in the message area, and by some system administrators and ISPs.

The table below shows how WS_FTP check box options correspond to the last three digits. The third column shows the possible values for Owner, Group, and Other as viewed in the ten-position value in the first column of a directory list for a UNIX site.

Selected options in WS_FTP | 2nd, 3rd, or 4th digit | Permissions in directory list
none | 0 | ---
Execute | 1 | --x
Write | 2 | -w-
Write, Execute | 3 | -wx
Read | 4 | r--
Read, Execute | 5 | r-x
Read, Write | 6 | rw-
Read, Write, Execute | 7 | rwx

In the directory list, the first position indicates whether the item is a file (-, s, S, or t) or directory (d), while positions two through ten show the permissions for Owner, Group, and Other.

If you attempt to change permissions, check the message area or the log to see if you were successful.


Untrusted SSH Server Key

When you connect to a server using the SFTP/SSH connection option, that server sends a [image] pubic key . If the public key is not listed on the SSH Trusted Hosts tab, this Untrusted SSH Server Key dialog appears.

The public key is used to establish an encrypted SSL connection. Data encrypted with a public key can only be decrypted with the private key that was used to create it.

Key Information

  • Key Type. Shows the type of encryption algorithm used to generate the key.
  • Key Size. Shows the key size used for the key.
  • MD5 Fingerprint. Shows the MDF 5 Fingerprint information.
  • SHA1 Fingerprint. Shows the SHA1 Fingerprint information.

Options

  • Allow this connection only. If this option is selected, the connection will be made, but WS_FTP will still not recognize the public key as a trusted host. The next time you attempt to connect to this server, this window appears again.
  • Trust this certificate. If this option is selected, the connection will be made and the public key will be added to the trusted host database in the Trusted Hosts tab.
  • Do not allow this connection. If this option is selected, the connection will be terminated.


Up folder button

Navigates up one level to the parent folder and displays the files in that folder.


Upload (definition)

Transfer a file from your local PC to an FTP site.


Upload Wizard dialog 1

In this dialog, you can add files that you want to upload, or delete files that you have added to the list by mistake. After you have all of the files you want in the list, click Next to continue the wizard.


Upload Wizard dialog 2

In this dialog, you can select the site to upload to:

  • type in the address you want to upload to
  • select a previously used site from the drop-down list
  • click Browse to select the site and the folder on that site you want to upload to. In the browse list, WS_FTP actually connects to the sites you have configured and shows you the folders you have access to.

After you have set the address and folder, click Finish to upload the files.


URL (definition)

Uniform Resource Locator (URL). An Internet address which tells a browser where to find an Internet resource. For example, the URL for the Ipswitch Web site is http://www.ipswitch.com/


user

Syntax: USER (userid )

What it does: Sets the user ID to userid.

Note: This command must precede the CONNECT command.


User ID and Password

When you select a site name and click OK, you are connected to the [image] FTP site by means of the User ID and Password stored with the configured site in WS_FTP. If the user ID or password is blank in WS_FTP, you are prompted for the correct information.

An FTP site consists of an FTP server program located on an Internet host computer.

Many companies and organizations maintain FTP sites (also known as “FTP servers”). These can be:

  • File repositories from which you can copy files such as free programs and evaluation versions of software. WS_FTP provides a number of popular FTP sites that have already been configured for you. When you connect to an FTP site like this, look for a file called readme, readme.txt, index, or 00index. Such files provide descriptions of the resources available on the site as well as other useful information.
  • File repositories where you can place files for use by others. (For example, a site on which you place your Web site pages for your ISP, or a site on which you place a photograph file for use in an online auction.)


User ID, Password, and Account

To enter User ID, Password, and Account (on the Host Info tab), use the following guidelines:

  • If you have special permissions on the FTP site, enter the User ID and Password provided to you by the FTP Site administrator to access the site. If not, enter [image] Anonymous for the User ID. See also [image] Notes about Passwords .

    If you are logging on anonymously (using an e-mail address as a password):

    • You can use a valid e-mail address if you do not mind the FTP site learning your e-mail address.
    • You can place a minus (-) sign in front of the e-mail address in order to minimize the number of descriptive messages you will receive from the FTP site administrator.
    • WS_FTP does not allow you to enter a blank password; however, you can enter empty quotation marks if you would rather not divulge a valid e-mail address.

    If you are not logging on anonymously:

    • We do not recommend turning on Save Password unless you are the only user of your computer and no one else has access to your WS_FTP folder. If you do not save the password, WS_FTP will prompt you for one when you initiate the connection.

    To log on to any FTP site, you must identify yourself with a user ID and password. Some FTP sites let you use the word anonymous as a User ID, and your e-mail address as your password; this is known as an "anonymous login." (All of the Ipswitch preconfigured FTP sites are set up as anonymous logins.)

    FTP sites that allow anonymous logins usually exist to provide files that can be downloaded by the general public; anyone on the Internet can log onto the site anonymously and copy files to his or her PC. This is similar to logging on to a file server as a "guest."

    Anonymous logins have access to a vast store of software, games, music, and numerous other resources. However, if you log in anonymously, you usually are not allowed to do more than view public folders and download files. (You are usually unable to view private folders or to upload files.)

  • If applicable, enter the Account that you want to use for the User ID you entered. In most cases, you will leave the Account blank because most FTP sites do not use accounts. Select Save Account if you do not want to enter the Account each time you log on to this site. Note about VM/CMS host.

    On a VM/CMS host, the account name is used as the initial password to the user's default folder. When you change folders on a VM/CMS host you are prompted each time for the password to connect to that folder.


View Button

The View command allows you to view a file.

If you select a filename on an FTP site and then click View, the file is transferred to your temporary folder and is opened in the default text viewer.


VM/CMS Host (definition)

On a VM/CMS host, the account name is used as the initial password to the user's default folder. When you change folders on a VM/CMS host you are prompted each time for the password to connect to that folder.


What is NAT?

Because of today's need for increased security, many businesses and personal users use a firewall to prevent unauthorized access to or from their private systems. Firewalls can be software or hardware based, or they can be comprised of a combination of both. Part of this protection can include the use of a device or application called NAT.

NAT or Network Address Translation is an Internet standard that enables a local-area network (LAN) to use one set of IP addresses for internal traffic and a second set of addresses for external traffic. A NAT box located where the LAN meets the Internet makes all necessary IP address translations. Additionally, NAT provides a type of firewall by hiding internal IP addresses, and it enables a company to use more internal IP addresses. Since they are used internally only, there is no possibility of conflict with IP addresses used by other companies and organizations.


Where do I get a Username and Password?

Most often, you need a username/userID and password to connect to an FTP site. If you do not know your username or your password, contact the administrator of the FTP site for that information. This is the person who 'owns' the FTP site.


WinSock DLL (definition)

The Winsock (Windows Sockets) dynamic link library is a specification for the Microsoft Windows API (applications programming interface). Software providers use Winsock as a guideline for developing network software.


Workspace Manager

How to get to the Workspace Manager

Workspaces are sets of connections that are saved so that you can quickly return to them at a later time. This dialog is used to open, delete and rename Workspaces.

  • Add - Click to save the current set of connections as a workspace.
  • Open - Click to open the selected workspace.
  • Delete - Click to delete the selected workspace.
  • Rename - Click to rename the selected workspace.
  • Workspace comment - You can enter a comment about the workspace for your own reference. The system will save the text when you click on another workspace or click Close.


WS_FTP File Command Buttons

The following buttons may appear on the File Command Bar located just above the local file and remote file lists. You can set which buttons are available on the two command bars using the customize command bar function.

  • Up

    Navigates up one level to the parent folder and displays the files in that folder.

  • Folders

    The Folders button changes the file list display to show two separate panes, with folders listed on the left and files listed on the right, similar to the Windows Explorer view. Click the Folders button to toggle between the single pane view and the two-pane view.

  • Stop transfer

    The Stop button is active during a file transfer. You can click it to stop the transfer and cancel the transfer request.

  • Transfer Mode

    The transfer mode button allows you to change the transfer mode between binary, ASCII, and Auto-detect. If you are uncertain about the mode, use Auto-detect, which is the default.

  • Browse

    The Browse command allows you to change the current folder.

    To use this command, click the Browse button in the command bar above the file list. The Browse dialog appears, asking which directory you want to change to. WS_FTP changes the current folder to the one selected.

  • New Folder
  • File Mask
  • View
  • Edit

    The Edit command allows you to edit a file.

    • If you select a file on your PC, and then click Edit, the file opens in its associated application.
    • If you select a file on an FTP site and then click Edit, the file is transferred to your temporary folder and is opened in the associated application.
    • If you have configured Active Edit, when you select a file on an FTP site and click Edit, the file opens in the associated editor, without being transferred to the temporary folder. You can make your changes and save the file back to the folder on the FTP site.
  • Execute

    The Execute command allows you to execute, or open, a file.

    • If you select a local filename and then, in the command bar above the file list, click Execute, the file is executed using the Windows file association.
    • If you select a filename on an FTP site and then click Execute, the file is transferred to your temporary folder and is executed using the Windows file association.
  • Refresh

    The Refresh command allows you to refresh the folder and file list box to display any recent changes to the current folder.

    You can also use the Refresh command to de-select any selected files or folders.

  • Rename

    The Rename command allows you to rename a file or folder on your PC or on an FTP site, if possible. (Not all FTP sites allow you to rename files and folders; you must have an account on the site as well as renaming privileges.)

    Some systems allow you to rename a file over the top of an existing file.

  • Delete

    The Delete command allows you to delete a file or folder on your PC or on the current FTP site, if you have permission to do so.

    Select the file or folder you want to delete, then, in the command bar above the file list, click the Delete button.

    Note: If you selected a folder and the folder is not empty, you cannot delete it unless you have selected Allow deletion of non-empty folders.

  • Move
  • Directory Info

    The Directory Info command (in the toolbar above the file list) opens a text document that displays information about the current directory as a text document in the default Text Viewer (as specified on the General tab of program options).

    WS_FTP displays as much information as the FTP site delivers. Depending on the site, for each file or folder within the current directory, the following information may be shown: size, type, permission, creation date, date last modified, and name.

    You can print or save the document.


WS_FTP Find

The Find (remote search) utility can locate files or folders on an FTP site by name, date, and/or size.

To use the Find Utility for remote search, click Tools > Search > Remote File.

Click here for more information on the Find Utility.


Synchronize Utility

Synchronize is a utility that can "mirror" files and folders between your PC and an FTP site. This is especially useful for quickly and efficiently updating your Web site by synchronizing your web space on your ISP's FTP site with your web folder on your PC.

To create a new Synchronize task, select Tools > Synchronize Files > Add a new synchronize task.

Click here to get detailed information about the Synchronize Utility.